﻿<!-- COPIUS Transcription & orthography toolset -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>COPIUS - Communities of Practice in Uralic Studies</title>
    <link rel="icon" type="image" href="images/copius_logo.png">

    <!-- load stylesheets -->
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet"> 
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <!--link rel="stylesheet" href="css/magnific-popup.css"-->                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/style_trans.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->
</head>

<body>

<?php

header("Content-type: text/html; charset=utf-8");

include('functions.php');
include('passwords.php');

$lang = "x";	// Language
$content = ""; // Text to transcribe

if(isset($_GET['lang']))
{
	$lang = $_GET['lang'];
}

if(isset($_POST["content"]))
{
	$content = $_POST["content"];
}

$mysqli = new mysqli($host,$user,$pw,$db_name);

if ($mysqli->connect_errno)
{
	printf("Connect failed: %s\n", $mysqli->connect_error);
	exit();
}
$mysqli->query("SET CHARACTER SET utf8");
$mysqli->query("SET SESSION collation_connection =’utf8_general_ci’");

if ($lang != "x")
{

	$sqlord = "SELECT * FROM `tr-systems` WHERE `iso` LIKE \"$lang\" ORDER BY `name`";
	
	$sqlres = $mysqli->query($sqlord);
	$rows = $sqlres->num_rows;
	
	if ($rows == 0)
		$lang = "x";
	else
	{
		$word = db_result($sqlres,0,"name");
		
		echo "<table>\n";
		echo "<tr>\n";
		echo "<td>\n";
		echo "<img src=\"images/copius_logo_white-bg.png\" alt=\"Copius\" class=\"img-fluid\" width=\"150\">\n";
		echo "</td>\n";
		echo "<td>\n";
		echo "<h2  class=\"cop-blue-text cop-section-title cop-margin-b-45\">Language-specific diacritic helper: $word</h2>\n";
		echo "<p><a href=\"./index.php\">copius.eu</a> » <a href=\"./tools.php\">Tools</a> » <a href=\"./ortho.php\">Transcription & orthography toolset</a> » <a href=\"?lang=x\">Language-specific diacritic helpers</a> » <strong>$word</strong></p>\n";
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n<br/>";

	} 
	
	echo "<p><a href=\"./files/tr-manual.pdf\" class=\"cop-button cop-button-wide cop-margin-b-30\">Help and documentation</a><p>\n";
	
	
	echo "<form action=\"?lang=$lang\" method=\"post\">\n";
	
	$rules = db_result($sqlres,0,"rules");
	
	$output = str_replace("\n", "<br/>", $content);
	
	$output = diacritics ($output,$rules);
	
	echo"<table class=\"transform\" width =\"90%\">\n<tr>\n<td width=\"45%\" height=\"500\"><textarea name=\"content\">$content</textarea></td>\n<td width=\"10%\"><button type=\"submit\" class=\"bigbutton\">→<br/>→<br/>→<br/>→<br/>→</button></td>\n<td width=\"45%\"><div class=\"trans\">$output</div></td>\n</tr>\n</table>\n<hr>";

	
	echo "</form><hr>";
	
	
	
	
	
	
	$rules = str_replace("|","</p><p>","<p>".$rules."</p>");
		$rules = str_replace("~"," → ",$rules);
	
	echo "<h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Transformations</h3>\n$rules";
		


}
else
{
	
	echo "<table>\n";
	echo "<tr>\n";
	echo "<td>\n";
	echo "<img src=\"images/copius_logo_white-bg.png\" alt=\"Copius\" class=\"img-fluid\" width=\"150\">\n";
	echo "</td>\n";
	echo "<td>\n";
	echo "<h2  class=\"cop-blue-text cop-section-title cop-margin-b-45\">Language-specific diacritic helpers</h2>\n";
	echo "<p><a href=\"./index.php\">copius.eu</a> » <a href=\"./tools.php\">Tools</a> » <a href=\"./ortho.php\">Transcription & orthography toolset</a> » <strong>Language-specific diacritic helpers</strong></p>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n<br/>";
	
	
	
	
	
	

	
	echo "<p><a href=\"./files/tr-manual.pdf\" class=\"cop-button cop-button-wide cop-margin-b-30\">Help and documentation</a><p>\n";
	
	echo "<h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Latin-based orthographies</h3>";
	

	$sqlord = "SELECT `iso`, `name` FROM `tr-systems` WHERE `cyr` NOT LIKE \"x\" ORDER BY `name`";
	
	$sqlres = $mysqli->query($sqlord);
	$rows = $sqlres->num_rows;
	for ($i = 0; $i < $rows; $i++)
	{
		$perc = ($rows+1)/5;

		echo "\n<table width = \"700\">\n<tr>\n<td style=\"width:20%\" class=\"with_border\">";
		
		$j = 0;
		for ($i = 0; $i < $rows; $i = $i + 1)
		{
			$j++;
			if ($j >= $perc)
			{
				echo "</td >\n<td style=\"width:20%\" class=\"with_border\">";
				$j = 0;
			}
			$word = db_result($sqlres,$i,"name");
			$iso = db_result($sqlres,$i,"iso");
			
			echo "<a href=\"?int=$int&lang=$iso\">$word</a><br/>\n";
		}
		echo "</td>\n</tr>\n</table>\n";
	}
	

	echo "<br><h3 class=\"cop-blue-text cop-section-title cop-margin-b-30\">Cyrillic-based orthographies:</h3>";
	
	$sqlord = "SELECT `iso`, `name` FROM `tr-systems` WHERE `cyr` LIKE \"x\" ORDER BY `name`";
	
	$sqlres = $mysqli->query($sqlord);
	$rows = $sqlres->num_rows;
	for ($i = 0; $i < $rows; $i++)
	{
		$perc = ($rows+1)/5;

		echo "\n<table width = \"700\">\n<tr>\n<td style=\"width:20%\" class=\"with_border\">";
		
		$j = 0;
		for ($i = 0; $i < $rows; $i = $i + 1)
		{
			$j++;
			if ($j >= $perc)
			{
				echo "</td>\n<td style=\"width:20%\" class=\"with_border\">";
				$j = 0;
			}
			$word = db_result($sqlres,$i,"name");
			$iso = db_result($sqlres,$i,"iso");
			
			echo "<a href=\"?int=$int&lang=$iso\">$word</a><br/>\n";
		}
		echo "</td>\n</tr>\n</table>\n";
	}
}

?> 

<hr>
<h2 class="cop-blue-text cop-section-title cop-margin-b-30">Contact Us</h2>

<form action="submit.php?page=diac<?php if ($lang != "x") echo "-$lang"; ?>" method="post" class="contact-form">
	<div class="form-group">
		<input type="text" id="contact_name" name="contact_name" class="form-control" placeholder="Name"  required/>
	</div>
	<div class="form-group">
		<input type="email" id="contact_email" name="contact_email" class="form-control" placeholder="Email"  required/>
	</div>
	<div class="form-group">
		<textarea id="contact_message" name="contact_message" class="form-control" rows="18" placeholder="Message" required></textarea>
	</div>											
	<button type="submit" class="float-right cop-button">Send</button>
</form>	

<br/>
<hr>
<?php
								
include('passwords.php');

echo "<p class=\"cop-copyright-p\">Copyright &copy; <span class=\"cop-current-year\">$year</span> COPIUS, last update: $last</p>\n";

?>





<p>Quick Access: <a href="./index.php">Home </a>| <a href="./teaching.php">Activities </a>| <a href="./materials.php">Materials </a>| <a href="./tools.php">Tools </a> | <a href="./login.php">Log In</a></p>

</body>
</html>