﻿
<!-- COPIUS Transcription & orthography toolset -->
<!-- Version 1.1, 11 March 2021 -->
<!-- Jeremy Bradley, jeremy.moss.bradley@univie.ac.at -->

<?php

//header("Content-type: text/html; charset=utf-8");

// CHARACTER GROUPINGS

$punctb = array("£ ", "£,", "£!", "£?", "£:", "£;", "£.", "£-", "£–", "£«", "£»", "£[", "£]", "£(", "£)", "£—", "£”", "£“", "£’", "£\"", "£<", "£>", "£/", "£=", "£©", "£№", "£&", "£*", "£+", "£°", "¤£");
$puncta = array(" £", ",£", "!£", "?£", ":£", ";£", ".£", "-£", "–£", "«£", "»£", "[£", "]£", "(£", ")£", "—£", "”£", "“£", "’£", "\"£", "<£", ">£", "/£", "=£", "©£", "№£", "&£", "*£", "+£", "°", "¤£");

$gr_allm  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "ь", "ъ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ь", "Ъ", "Ы", "ы", "Ӹ", "ӹ", "Ӓ", "ӓ"); // All letters of the  Mari alphabet

$gr_l  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // L - all letters but ь, ъ
$gr_lj = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // J! - all letters but ь, ъ, й
$gr_ly  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "ь", "ъ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ь", "Ъ" ); // Y! - all letters but ы

$gr_c  = array ("б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "җ", "ң", "һ", "Җ", "Ң", "Һ", "Ғ", "ғ", "Ҡ", "ҡ", "Ӟ", "ӟ", "Ӝ", "ӝ", "Ӵ", "ӵ", "Ԁ", "ԁ", "Ԃ", "ԃ", "Ԅ", "ԅ", "Ԇ", "ԇ", "Ԉ", "ԉ", "Ԋ", "ԋ", "Ԍ", "ԍ", "Ԏ", "ԏ", "ҙ", "Ҙ", "ҫ", "Ҫ"); // C - consonants
$gr_c1 = array ("б", "в", "д", "ж", "з", "л", "м", "н", "п", "р", "с", "т", "ф", "ч", "ш", "Б", "В", "Д", "Ж", "З", "Л", "М", "Н", "П", "Р", "С", "Т", "Ф", "Ч", "Ш" ); // C? - consonants that can be followed by ь
$gr_c2 = array ("г", "к", "ҥ", "х", "ц", "щ", "Г", "К", "Ҥ", "Х", "Ц", "Щ"); // C! - non-й consonants that cannot be followed by ь 
$gr_ce = array ("б", "в", "г", "д", "ж", "з", "к", "м", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "М", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ӱ"); // C€ - non-й non-palatalizable consonants (all but й, л, н) + у ӱ
$gr_csh= array ("б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Щ"); // C$ - all consonants but ш
$gr_cl = array ("б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ю", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ю", "Ӱ" ); // J+ - all consonants but й + у ю ӱ
$gr_ck = array ("б", "в", "г", "д", "ж", "з", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Щ" ); // K$ - consonants other than к, ч, ш (i.e., possible results of verbal stem simplification), й
$gr_cp = array ("л", "н", "Л", "Н" ); // C - palatalizable consonant (л н)
$gr_co = array ("б", "в", "г", "д", "ж", "з", "к", "п", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "Б", "В", "Г", "Д", "Ж", "З", "К", "П", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // O - obstruent consonants
$gr_cs = array ("й", "л", "м", "н", "ҥ", "р", "у", "ӱ", "Й", "Л", "М", "Н", "Ҥ", "Р", "У", "Ӱ"); // S - sonorant consonants + у ӱ

$gr_cvv  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я",  "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "б", "в", "г", "ж", "з", "й", "л", "м", "н", "ҥ", "р", "Б", "В", "Г", "Ж", "З", "Й", "Л", "М", "Н", "Ҥ", "Р"); // Voiced consonants and vowels - minus д

$gr_clat= array ("b", "c", "d", "f", "g", "h", "j", "k", "l", "m", "n", "p", "r", "s", "t", "v", "w", "x", "z", "š", "ž", "č", "ŋ", "β", "γ", "δ", "'", "*", "ĺ", "ń", "", "B", "C", "D", "F", "G", "H", "J", "K", "L", "M", "N", "P", "R", "S", "T", "V", "W", "X", "Z", "Š", "Ž", "Č", "Ŋ", "Β", "Γ", "Δ", "'", "*", "Ĺ", "Ń", "", "q", "Q", "ɫ", "Ɫ", "χ", "Χ", "ʔ", "ʀ", "ʟ", "ϑ", "Θ", "ʷ", "η", "ś", "ń", "ľ", "ť", "Ś", "Ń", "Ľ", "Ť"); // Latin consonants
$gr_vlat= array ("a", "å", "e", "i", "o", "u", "ə", "ö", "ü", "ä", "A", "Å", "E", "I", "O", "U", "Ə", "Ö", "Ü", "Ä", "ï", "Ï", "•", "ʲ", "ā", "Ā", "ē", "Ē", "ī", "Ī", "ō", "Ō", "ū", "Ū"); // Latin vowels

$gr_v  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я",  "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "ә", "ө", "ү", "Ә", "Ө", "Ү", "a", "A", "e", "E", "i", "I", "o", "O", "u", "U", "ä", "Ä", "ə", "Ə", "ö", "Ö", "ü", "Ü", "Ï", "ï", "ӓ", "Ӓ", "ӹ", "Ӹ", "ӑ", "Ӑ", "ӗ", "Ӗ", "ӳ", "Ӳ", "ӥ", "Ӥ", "і", "І", "ə̑", "Ə̑", "y", "ø", "ɤ̘", "ə̈", "Ə̈"); // V - vowels
$gr_v1 = array ("а", "е", "и", "э", "я", "А", "Е", "И", "Э", "Я"); // V1 - vowels prompting harmonic е 
$gr_v2 = array ("ё", "о", "у", "ю", "Ё", "О", "У", "Ю"); // V2 - vowels prompting harmonic о
$gr_v3 = array ("ӧ", "ӱ", "Ӧ", "Ӱ"); // V3 - vowels prompting harmonic ӧ
$gr_vn = array ("а", "ё", "и", "у", "ӱ", "э", "ю", "я", "А", "Ё", "И", "У", "Ӱ", "Э", "Ю", "Я"); // V! - vowels other than ы, е, о, ӧ 
$gr_vr = array ("е", "о", "ӧ", "Е", "О", "Ӧ"); // R - reducible vowels 

$gr_ve = array ("у", "ӱ", "и", "ю", "У", "Ӱ", "И", "Ю"); // Vowels after which -е-suffixes are always realized with -э (кӱтӱ - кӱтӱэм)
$gr_ves = array ("о", "ӧ", "О", "Ӧ"); // Vowels after which -е-suffixes are  realized with -э when stressed (пальто• - пальтоэм)


$gr_hmp = array ("ӓ", "е", "э", "и", "ӧ", "ӹ", "ӱ", "Ӓ", "Е", "Э", "И", "Ӧ", "Ӹ", "Ӱ"); // Palatal vowels - Hill Mari
$gr_hmv = array ("а", "о", "у", "ы", "ё", "ю", "ъ", "А", "О", "У", "Ы", "Ё", "Ю", "Ъ", "-"); // Velar vowels + hard sign + "-" - Hill Mari



$gr_vl  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "a", "e", "i", "o", "u", "ö", "ü", "y", "A", "E", "I", "O", "U", "Ö", "Ü", "Y", "|", "-", "ь", "ъ", "Ь", "Ъ"); // Vowels, Cyrillic and Latin, capitalized and not, soft and hard signs


$tat_vel = array ("a", "å", "ə", "o", "u", "A", "Å", "Ə", "O", "U", "а", "я", "ы", "о", "у", "ю", "А", "Я", "Ы", "О", "У", "Ю", "ъ", "Ъ", "̑"); // Tatar velar vowels + ъ
$tat_pal = array ("ä", "e", "i", "ö", "ü", "Ä", "E", "I", "Ö", "Ü", "ә", "е", "э", "и", "ө", "ү", "Ә", "Е", "Э", "И", "Ө", "Ү", "ь", "Ь", "¤"); // Tatar velar vowels + ь

$rus_vowels = array ("а", "э", "ы", "о", "у", "я", "е", "и", "ё", "ю", "А", "Э", "Ы", "О", "У", "Я", "Е", "И", "Ё", "Ю");

$rus_latal = array ("a", "b", "v", "g", "d", "ž", "z", "i", "j", "k", "l", "m", "n", "o", "p", "r", "s", "t", "u", "f", "χ", "c", "č", "š", "ï", "e", "A", "B", "V", "G", "D", "Ž", "Z", "I", "J", "K", "L", "M", "N", "O", "P", "R", "S", "T", "U", "F", "Χ", "C", "Č", "Š", "Ï", "E", "'"); // UPA Russian alphabet

$trig_soft = array ("b", "d", "g", "z", "ž", "B", "D", "G", "Z", "Ž"); // Assimilation triggers in Russian (voiced)
$trig_hard = array ("p", "t", "k", "f", "s", "š", "χ", "P", "T", "K", "F", "S", "Š", "Χ");// Assimilation triggers in Russian (voiceless)


$mar_latso = array ("j", "l", "l'", "m", "n", "n'", "ŋ", "r", "J", "L", "L'", "M", "N", "N'", "Ŋ", "R", "a", "e", "i", "o", "u", "ö", "ü", "ə̑", "A", "E", "I", "O", "U", "Ö", "Ü", "Ə̑"); // Mari Latin sonorant consonants + vowels
$mar_latv = array ("a", "e", "i", "o", "u", "ö", "ü", "ə̑", "A", "E", "I", "O", "U", "Ö", "Ü", "Ə̑"); // Mari Latin vowels

$rus_pal = array ("j", "mʲ", "pʲ", "bʲ", "fʲ", "vʲ", "nʲ", "tʲ", "dʲ", "sʲ", "zʲ", "rʲ", "lʲ", "kʲ", "gʲ", "xʲ"); //Russian palatal(ized) consonants, IPA


$hm_pal = array ("ӓ", "е", "и", "ӧ", "ӱ", "ӹ", "э", "Ӓ", "Е", "И", "Ӧ", "Ӱ", "Ӹ", "Э"); // Hill Mari palatal vowels
$hm_vel = array ("а", "я", "о", "ё", "у", "ю", "ы", "А", "Я", "О", "Ё", "У", "Ю", "Ы", "ѩ", "Ѩ"); // Hill Mari velar vowels

$hm_cl = array ("б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ю", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ю", "Ӱ", "и", "И", "о", "О", "ӧ", "Ӧ"); // all consonants but й + у ю ӱ и о ӧ - Hill Mari counterpart to J+

$udm_cl = array ("b", "g", "d", "ž", "z", "k", "l", "m", "n", "p", "r", "s", "t", "č́", "š", "B", "G", "D", "Ž", "Z", "K", "L", "M", "N", "P", "R", "S", "T", "Č́", "Š"); // Udmurt letters that can be precede ъ, in Latin

$kom_pal = array ("д", "Д", "т", "Т", "з", "З", "с", "С", "н", "Н", "л", "Л"); // Komi consonants that are palatal if followed by я, е, и, ё, ю

$mor_pal = array ("д", "Д", "т", "Т", "з", "З", "с", "С", "н", "Н", "л", "Л", "р", "Р", "ц", "Ц"); // Mordvin consonants that can be palatalized


function disp ($text, $lang) // Remove non-standard characters/annotation
{
	
	if ($lang == "tat")
	{
		$text = str_replace("Ҡ", "К", $text);
		$text = str_replace("ҡ", "к", $text);
		$text = str_replace("Ғ", "Г", $text);
		$text = str_replace("ғ", "г", $text);
	}
	
	$text = str_replace("◌", "", $text);
	$text = str_replace("¤", "", $text);
	$text = str_replace("|", "", $text);	
	$text = str_replace("⊥", "", $text);
	$text = str_replace("❀", "", $text);
	$text = str_replace("❁", "", $text);
	$text = str_replace("*❉", "", $text);
	$text = str_replace("❉", "", $text);
	
	$text = str_replace("ЕЪ", "Е", $text);	
	$text = str_replace("Еъ", "Е", $text);	
	$text = str_replace("еъ", "е", $text);	
	$text = str_replace("qqqq", "", $text);
	
	$text = str_replace("*", "•", $text);
	$text = str_replace("••", "•", $text);
		
	$wordlen = 0;
	$cap = false;
	
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		$a = mb_strtolower($x, "UTF-8");
		$b = mb_strtoupper($x, "UTF-8");
		
		if ($a == $b && $x != "'")
		{
			$wordlen = 0;
			$cap = false;
		}
		else
			$wordlen++;
		
		if ($wordlen > 1 && $a != $b && $x == $b)
			$cap = true;
		
		if ($cap)
			$text = mb_substr($text,0,$i,"UTF-8").$b.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
	}
	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		$a = mb_strtolower($x, "UTF-8");
		$b = mb_strtoupper($x, "UTF-8");
		
		if ($a == $b && $x != "'")
		{
			$wordlen = 0;
			$cap = false;
		}
		else
			$wordlen++;
		
		if ($wordlen > 1 && $a != $b && $x == $b)
			$cap = true;
		
		if ($cap)
			$text = mb_substr($text,0,$i,"UTF-8").$b.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
	}

	
	return $text;
}


function bash_prep ($text) // Phonetic features in Bashkir not orthographically marked
{
	$text = str_replace("l", "ɫ", $text);
	$text = str_replace("L", "Ɫ", $text);
	
	$velar = 0;
	$palatal = 0;
		
	global $gr_clat;
	global $tat_vel;
	global $tat_pal;

	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if (in_array($x, $tat_pal))
		{
			$palatal = 1;
		}
		else if (in_array($x, $tat_vel) || !in_array($x, $gr_clat))
		{
			$palatal = 0;
		}
	}
	
	global $gr_vlat;

	$palatal = 0;
	$ina = 0;
	$o = 0;
	$oe = 0;
	$vowels = 0;
			
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($ina == 0 && $x == "a")
			$text = mb_substr($text,0,$i,"UTF-8")."å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
		else if ($ina == 0 && $x == "A")
			$text = mb_substr($text,0,$i,"UTF-8")."Å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");	
		
		if (in_array($x, $tat_vel))
			$ina++;
		else if (in_array($x, $tat_pal))
		{
			$palatal = 1;
			$ina++;
		}
		else if (!in_array($x, $gr_clat))
		{
			$palatal = 0;
			$ina = 0;
		}
	}
	
	return $text;
}

function tat_prep ($text) // Phonetic features in Tatar not orthographically marked
{
	$text = str_replace("l", "ɫ", $text);
	$text = str_replace("L", "Ɫ", $text);
	
	$palatal = 0;
		
	global $gr_clat;
	global $tat_vel;
	global $tat_pal;

	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($x == "Й")
		{
			$w = mb_substr($text, $i-1, 1,"UTF-8");
			if (!in_array($w, $gr_clat))
				$text = mb_substr($text,0,$i,"UTF-8")."J".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else
				$text = mb_substr($text,0,$i,"UTF-8")."'".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		else if ($x == "й")
		{
			$w = mb_substr($text, $i-1, 1,"UTF-8");
			if (!in_array($w, $gr_clat))
				$text = mb_substr($text,0,$i,"UTF-8")."j".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else
				$text = mb_substr($text,0,$i,"UTF-8")."'".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		else if (!($x =="Q" | $x =="q" | $x =="Γ" | $x =="γ"))
		{
			if (in_array($x, $tat_pal))
			{
				$palatal = 1;
			}
			else if (in_array($x, $tat_vel))
			{
			}
			else if (!in_array($x, $gr_clat))
			{
				$palatal = 0;
			}
		}
	}
	
	$text = str_replace("a◌", "ä", $text);
	$text = str_replace("A◌", "Ä", $text);
	$text = str_replace("u◌", "ü", $text);
	$text = str_replace("U◌", "Ü", $text);

	$text = str_replace("◌ə̑j", "i", $text);
	$text = str_replace("◌Ə̑J", "I", $text);

	$text = str_replace("e¤", "ə̑", $text);
	$text = str_replace("E¤", "Ə̑", $text);
	
	$text = str_replace("◌a", "ä", $text);
	$text = str_replace("◌A", "Ä", $text);
	$text = str_replace("◌ə̑", "e", $text);
	$text = str_replace("◌Ə̑", "E", $text);
	$text = str_replace("◌o", "ö", $text);
	$text = str_replace("◌O", "Ö", $text);
	$text = str_replace("◌u", "ü", $text);
	$text = str_replace("◌U", "Ü", $text);
	
	global $gr_vlat;

	$palatal = 0;
	$ina = 0;
	$o = 0;
	$oe = 0;
	$vowels = 0;
			
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if (in_array($x, $gr_vlat))
		{
			if ($o == 1 && $vowels <= 2)
			{
				if ($x == "ə")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."o¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "o";
				}
				else if ($x == "Ə")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."O¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "O";
				}
			}
			else if ($oe == 1 && $vowels <= 2)
			{
				if ($x == "e")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."ö¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "ö";
				}
				else if ($x == "E")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."Ö¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "Ö";
				}
			}
		
			$vowels++;
		
			if ($x == "o" || $x == "O")
			{
				$o = 1;
			}
			else if ($x == "ö" || $x == "Ö")
			{
				$oe = 1;
			}
			else
			{
				$o = 0;
				$oe = 0;
			}
		}
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($ina == 0 && $x == "a")
			$text = mb_substr($text,0,$i,"UTF-8")."å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
		else if ($ina == 0 && $x == "A")
			$text = mb_substr($text,0,$i,"UTF-8")."Å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");	
		
		if (in_array($x, $tat_vel))
			$ina++;
		else if (in_array($x, $tat_pal))
		{
			$palatal = 1;
			$ina++;
		}
		else if (!in_array($x, $gr_clat))
		{
			$palatal = 0;
			$ina = 0;
			$o = 0;
			$oe = 0;
			$vowels = 0;
		}
	}
	
	$text = str_replace("¤̑", "¤", $text);
	
	$text = str_replace("ь", "", $text);
	$text = str_replace("Ь", "", $text);
	$text = str_replace("ъ", "", $text);
	$text = str_replace("Ъ", "", $text);
	
	return $text;
}

function universal($text, $sqlres1, $sqlres2)
{
	$in = $text;
	$rows1 = $sqlres2->num_rows;
	$rows2 = $sqlres2->num_rows;
	for ($i = 0; $i < $rows2; $i++)
	{
		$lat = db_result($sqlres2,$i,"cs-lat");
		$rus = db_result($sqlres2,$i,"cs-rus");
		$from1 = db_result($sqlres2,$i,"lc-from");
		$to1 = db_result($sqlres2,$i,"lc-to");
		$from2 = db_result($sqlres2,$i,"uc-from");
		$to2 = db_result($sqlres2,$i,"uc-to");
		
		if ($from1 != "-")
		{
			$text = str_replace($from1."[".$lat."]", $to1, $text);
			$text = str_replace($from1."[".$rus."]", $to1, $text);
		}
		
		if ($from2 != "-")
		{
			$text = str_replace($from2."[".$lat."]", $to2, $text);
			$text = str_replace($from2."[".$rus."]", $to2, $text);
		}
	}
	
	if ($in != $text && (strpos($text,"[") >-1))
	{
		$text = universal($text, $sqlres1, $sqlres2);
	}
	
	if (strpos($text,"[") >-1)
	{
		for ($i = 0; $i < $rows1; $i++)
		{
			$lat  = db_result($sqlres1,$i,"lat");
			$cyr  = db_result($sqlres1,$i,"cyr");
			$comb = db_result($sqlres1,$i,"comb");
			
			if ($comb != "-")
			{	
				$text = str_replace("[".$lat."]", $comb, $text);
				$text = str_replace("[".$cyr."]", $comb, $text);
			}
			else
			{
				$text = str_replace("[".$lat."]", "", $text);
				$text = str_replace("[".$cyr."]", "", $text);			
			}
			
		}
		
	}
	
	return $text;
}

function diacritics($text, $rules)
{
	$rulearray = explode("|", $rules);
	for ($i = 0; $i < count($rulearray); $i++)
	{
		$current = explode("~", $rulearray[$i]);
		
		$text = str_replace($current[0], "*".$current[0], $text);
		$text = str_replace("**", "", $text);
		$text = str_replace("*".$current[0], $current[1], $text);
	}
	$text = str_replace("*", "", $text);
	$text = str_replace("|", "", $text);
	return $text;
}

function upa_to_zam($text, $lang)	// Zamanälif
{
	if ($lang == "tat")
	{
		$text = str_replace("oyo", "oyı", $text);
		$text = str_replace("OYO", "OYI", $text);
		
		$text = str_replace("öyö", "öye", $text);
		$text = str_replace("ÖYÖ", "ÖYE", $text);
		
		$text = str_replace("uβ", "u", $text);
		$text = str_replace("UΒ̑", "U", $text);

		$text = str_replace("üβ", "ü", $text);
		$text = str_replace("ÜΒ", "Ü", $text);
		
		$text = str_replace("Ə̑J","Í", $text);
		$text = str_replace("Ə̑j","Í", $text);
		$text = str_replace("ə̑j","í", $text);
		
		$text = str_replace("Ž'","C", $text);
		$text = str_replace("ž'","c", $text);	
	}
	else
	{
		$text = str_replace("Θ","C", $text);
		$text = str_replace("ϑ","c", $text);	

		$text = str_replace("Δ","Ź", $text);
		$text = str_replace("δ","ź", $text);
	}

	$text = str_replace("Å","A", $text);
	$text = str_replace("å","a", $text);

	$text = str_replace("Ɫ","L", $text);
	$text = str_replace("ɫ","l", $text);
	
	$text = str_replace("Γ","Ğ", $text);
	$text = str_replace("γ","ğ", $text);
	
	$text = str_replace("C","[Ts]", $text);
	$text = str_replace("c","[ts]", $text);	//ALL CAPS?	

	$text = str_replace("J","Y", $text);
	$text = str_replace("j","y", $text);

	$text = str_replace("I","İ", $text);
	
	$text = str_replace("Ə̑","I", $text);
	$text = str_replace("ə̑","ı", $text);

	$text = str_replace("[Š́Š́]","[ŞÇ]", $text);
	$text = str_replace("[Š́š́]","[Şç]", $text);
	$text = str_replace("[š́š́]","[şç]", $text);
	
	$text = str_replace("Š́","Ç", $text);
	$text = str_replace("š́","ç", $text);	
	
	$text = str_replace("Š","Ş", $text);
	$text = str_replace("š","ş", $text);	


	
	$text = str_replace("Ž","J", $text);
	$text = str_replace("ž","j", $text);	
	
	$text = str_replace("Ŋ","Ñ", $text);
	$text = str_replace("ŋ","ñ", $text);	
	
	$text = str_replace("χ","x", $text);
	$text = str_replace("Χ","X", $text);	

	$text = str_replace("β","w", $text);
	$text = str_replace("Β","W", $text);	
	
	$text = str_replace("ʔ", "'", $text);
	
		if ($lang == "tat")
	{
		$text = str_replace("o¤", "ı", $text);
		$text = str_replace("O¤", "I", $text);
		$text = str_replace("ö¤", "e", $text);
		$text = str_replace("Ö¤", "E", $text);
	}
	
	return ($text);
}

function lat_to_una($text, $lang)	// Zamanälif
{
	if ($lang == "mns")
	{
		
		$text = str_replace("ʷ","v", $text);		
		
		$text = str_replace("ā","a", $text);
		$text = str_replace("Ā","A", $text);		

		$text = str_replace("ē","e", $text);
		$text = str_replace("Ē","E", $text);	
		
		$text = str_replace("ī","i", $text);
		$text = str_replace("Ī","I", $text);	
		
		$text = str_replace("ō","o", $text);
		$text = str_replace("Ō","O", $text);	
		
		$text = str_replace("ū","u", $text);
		$text = str_replace("Ū","U", $text);	
		
		$text = str_replace("γ","ꜧ", $text);
		$text = str_replace("Γ","Ꜧ", $text);

		$text = str_replace("χ","h", $text);
		$text = str_replace("Χ","H", $text);

		$text = str_replace("ə","ь", $text);
		$text = str_replace("Ə","Ь", $text);
		
		$text = str_replace("l'","ļ", $text);
		$text = str_replace("L'","Ļ", $text);		

		$text = str_replace("t'","ț", $text);
		$text = str_replace("T'","Ț", $text);

		$text = str_replace("ń","ņ", $text);
		$text = str_replace("Ń","Ņ", $text);

		$text = str_replace("ś","ꞩ", $text);
		$text = str_replace("Ś","Ꞩ", $text);

		$text = str_replace("η","ŋ", $text);
		$text = str_replace("Η","Ŋ", $text);

		$text = str_replace("w","v", $text);
		$text = str_replace("W","V", $text);
		
		
		$text = str_replace("ьm","um", $text);
		$text = str_replace("ЬM","UM", $text);
		
		$text = str_replace("ьp","up", $text);
		$text = str_replace("ЬP","UP", $text);		

		$text = str_replace("ьv","uv", $text);
		$text = str_replace("ЬV","UV", $text);		
		
		global $gr_vlat;
			
		for ($i = 0; $i < count($gr_vlat); $i++)
		{
			$text = str_replace($gr_vlat[$i]."v",$gr_vlat[$i]."u", $text);
			$text = str_replace($gr_vlat[$i]."V",$gr_vlat[$i]."U", $text);
		}

		$text = str_replace("uu","uv", $text);
		$text = str_replace("Uu","Uv", $text);	
		$text = str_replace("UU","UV", $text);	
		
	}
	return ($text);
}

function zam_to_upa($text, $lang)
{
	$text = str_replace("A¤","Å", $text);		//IMPLEMENT!
	$text = str_replace("a¤","å", $text);

	$text = str_replace("L¤","Ɫ", $text);		//IMPLEMENT!
	$text = str_replace("l¤","ɫ", $text);
	
	if ($lang = "tat")
	{
		$text = str_replace("uı", "uβə̑", $text);
		$text = str_replace("UI", "UΒƏ̑", $text);

		$text = str_replace("üe", "üβe", $text);
		$text = str_replace("ÜE", "ÜΒE", $text);

		$text = str_replace("oyı", "oyo", $text);
		$text = str_replace("OYI", "OYO", $text);
		
		$text = str_replace("öye", "öyö", $text);
		$text = str_replace("ÖYE", "ÖYÖ", $text);
		
		
		$text = str_replace("Í","Ə̑j", $text);		// ALL CAPS
		$text = str_replace("í","ə̑j", $text);		
		
		$text = str_replace("C","Ž'", $text);
		$text = str_replace("c","ž'", $text);			
	}
	else
	{
		$text = str_replace("C","Θ", $text);
		$text = str_replace("c","ϑ", $text);	

		$text = str_replace("Ź","Δ", $text);
		$text = str_replace("ź","δ", $text);
	}

	$text = str_replace("'", "ʔ", $text);

	$text = str_replace("Ğ","Γ", $text);
	$text = str_replace("ğ","γ", $text);
	
	
	
	$text = str_replace("I","Ə̑", $text);
	$text = str_replace("ı","ə̑", $text);

	$text = str_replace("İ","I", $text);

	$text = str_replace("J","Ž", $text);
	$text = str_replace("j","ž", $text);	

	$text = str_replace("Y","J", $text);
	$text = str_replace("y","j", $text);
	
	$text = str_replace("[Ts]","C", $text);
	$text = str_replace("[TS]","C", $text);	
	$text = str_replace("[ts]","c", $text);	
	
	$text = str_replace("[ŞÇ]","[Š́Š́]", $text);
	$text = str_replace("[Şç]","[Š́š́]", $text);
	$text = str_replace("[şç]","[š́š́]", $text);
	
	$text = str_replace("Ç","Š́", $text);
	$text = str_replace("ç","š́", $text);	
	
	$text = str_replace("Ş","Š", $text);
	$text = str_replace("ş","š", $text);	

	$text = str_replace("Ñ","Ŋ", $text);
	$text = str_replace("ñ","ŋ", $text);	
	
	$text = str_replace("x","χ", $text);
	$text = str_replace("X","Χ", $text);
	
	if ($lang = "tat")
		$text = tat_prep ($text);	
	else
		$text = bash_prep ($text);
	
	return ($text);
}

function zamprep($text, $lang)
{	
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);

		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("i:","ı", $text);
		$text = str_replace("I:","İ", $text);

		if ($lang = "tat")
		{
			$text = str_replace("YI","Í", $text);
			$text = str_replace("Yı","Í", $text);
			$text = str_replace("yı","í", $text);
		}
		else
		{
			$text = str_replace("z:","ź", $text);
			$text = str_replace("Z:","Ź", $text);			
		}
		
		$text = str_replace("I-","Í", $text);
		$text = str_replace("i-","í", $text);
		
		$text = str_replace("G:","Ğ", $text);
		$text = str_replace("GH","Ğ", $text);
		$text = str_replace("Gh","Ğ", $text);
		$text = str_replace("g:","ğ", $text);
		$text = str_replace("gh","ğ", $text);
		
		$text = str_replace("SH", "Ş", $text);
		$text = str_replace("Sh", "Ş", $text);
		$text = str_replace("S:", "Ş", $text);
		$text = str_replace("sh", "ş", $text);
		$text = str_replace("s:", "ş", $text);

		$text = str_replace("CH", "Ç", $text);
		$text = str_replace("Ch", "Ç", $text);
		$text = str_replace("C:", "Ç", $text);
		$text = str_replace("ch", "ç", $text);
		$text = str_replace("c:", "ç", $text);

		$text = str_replace("N:", "Ñ", $text);
		$text = str_replace("n:", "ñ", $text);

		$text = str_replace("NG", "Ñ", $text);
		$text = str_replace("Ng", "Ñ", $text);		
		$text = str_replace("ng", "ñ", $text);	
		
	return $text;
}

function latprep($text, $lang)
{
	if ($lang == "mrj")
	{
		$text = str_replace("y:","ə̈", $text);
		$text = str_replace("Y:","Ə̈", $text);		
	}
	
	if ($lang == "mhr")
	{
		$text = str_replace("•", "*", $text);
		$text = str_replace("́", "*", $text);
		$text = str_replace("̋", "*", $text);
		
		$text = str_replace("á", "a*", $text);
		$text = str_replace("Á", "A*", $text);

		$text = str_replace("é", "e*", $text);
		$text = str_replace("É", "E*", $text);

		$text = str_replace("í", "i*", $text);
		$text = str_replace("Í", "I*", $text);
		
		$text = str_replace("ó", "o*", $text);
		$text = str_replace("Ó", "O*", $text);
		
		$text = str_replace("ú", "u*", $text);
		$text = str_replace("Ú", "U*", $text);
		
		$text = str_replace("ő", "ö*", $text);
		$text = str_replace("Ő", "Ö*", $text);
		
		$text = str_replace("ű", "ü*", $text);
		$text = str_replace("Ű", "Ü*", $text);
		
		$text = str_replace("ý", "y*", $text);
		$text = str_replace("Ý", "Y*", $text);
	}
	

	
	if ($lang == "rus")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		$text = str_replace("SH", "Š", $text);
		$text = str_replace("Sh", "Š", $text);
		$text = str_replace("S:", "Š", $text);
		$text = str_replace("sh", "š", $text);
		$text = str_replace("s:", "š", $text);

		$text = str_replace("ZH", "Ž", $text);
		$text = str_replace("Zh", "Ž", $text);
		$text = str_replace("Z:", "Ž", $text);
		$text = str_replace("zh", "ž", $text);
		$text = str_replace("z:", "ž", $text);
		
		$text = str_replace("CH", "Č", $text);
		$text = str_replace("Ch", "Č", $text);
		$text = str_replace("C:", "Č", $text);
		$text = str_replace("ch", "č", $text);
		$text = str_replace("c:", "č", $text);

		$text = str_replace("ŠČ", "Š́Š́", $text);
		$text = str_replace("Šč", "Š́š́", $text);
		$text = str_replace("šč", "š́š́", $text);
		$text = str_replace("Š:", "Š́š́", $text); // ALL CAPS?
		$text = str_replace("š:", "š́š́", $text);


		$text = str_replace("h", "χ", $text);
		$text = str_replace("H", "Χ", $text);
		
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);	
		
		$text = str_replace("W", "V", $text);
		$text = str_replace("w", "v", $text);

		$text = str_replace("Y", "Ï", $text);
		$text = str_replace("y", "ï", $text);
		$text = str_replace("Õ", "Ï", $text);
		$text = str_replace("õ", "ï", $text);
		
		$text = str_replace("ɣ","γ", $text);
		$text = str_replace("Ɣ","Γ", $text);
	}
	else if ($lang == "tat" || $lang == "bak")
	{
		$text = str_replace("w" ,"β", $text);
		$text = str_replace("W" ,"Β", $text);
	
		$text = str_replace("ł","ɫ", $text);
		$text = str_replace("Ł","Ɫ", $text);

		$text = str_replace("ï","ə̑", $text);
		$text = str_replace("Ï","Ə̑", $text);
		
		$text = str_replace("ɣ","γ", $text);
		$text = str_replace("Ɣ","Γ", $text);

		$text = str_replace("ĕ","e", $text);
		$text = str_replace("Ĕ","E", $text);		

		$text = str_replace("ĕ","e", $text);
		$text = str_replace("Ĕ","E", $text);		
		
		$text = str_replace("a-","å", $text);
		$text = str_replace("A-","Å", $text);
	
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);

		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("y","ə̑", $text);
		$text = str_replace("Y","Ə̑", $text);

		$text = str_replace("G:","Γ", $text);
		$text = str_replace("GH","Γ", $text);
		$text = str_replace("Gh","Γ", $text);
		
		$text = str_replace("g:","γ", $text);
		$text = str_replace("gh","γ", $text);
		
		$text = str_replace("SH", "Š", $text);
		$text = str_replace("Sh", "Š", $text);
		$text = str_replace("S:", "Š", $text);
		$text = str_replace("sh", "š", $text);
		$text = str_replace("s:", "š", $text);

		$text = str_replace("ZH", "Ž", $text);
		$text = str_replace("Zh", "Ž", $text);
		$text = str_replace("Z:", "Ž", $text);
		$text = str_replace("zh", "ž", $text);
		$text = str_replace("z:", "ž", $text);

		$text = str_replace("CH", "Š́", $text);
		$text = str_replace("Ch", "Š́", $text);
		$text = str_replace("C:", "Š́", $text);
		$text = str_replace("Č", "Š́", $text);
		$text = str_replace("ch", "š́", $text);
		$text = str_replace("c:", "š́", $text);
		$text = str_replace("č", "š́", $text);
		
		$text = str_replace("Š:", "[Š́š́]", $text); // ALL CAPS?
		$text = str_replace("š:", "[š́š́]", $text);

		$text = str_replace("N:","Ŋ", $text);
		$text = str_replace("NG","Ŋ", $text);
		$text = str_replace("Ng","Ŋ", $text);
		$text = str_replace("n:","ŋ", $text);
		$text = str_replace("ng","ŋ", $text);
	
		$text = str_replace("n:","ŋ", $text);
		$text = str_replace("ng","ŋ", $text);
	
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);	
	
		$text = str_replace("\"", "ʔ", $text);
		
		if ($lang == "tat")
		{
			$text = str_replace("Ž:", "Ž'", $text);
			$text = str_replace("ž:", "ž'", $text);	
			
			$text = tat_prep ($text);
		}
		else
		{
			$text = str_replace("T:", "Θ", $text);
			$text = str_replace("t:", "ϑ", $text);
			$text = str_replace("D:", "Δ", $text);
			$text = str_replace("d:", "δ", $text);	
			
			$text = bash_prep ($text);
			
		}
	}
	else if ($lang == "udm")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("́", "'", $text);
		$text = str_replace("`", "'", $text);	

		
		$text = str_replace("w" ,"v", $text);
		$text = str_replace("W" ,"V", $text);
	
		$text = str_replace("β" ,"v", $text);
		$text = str_replace("Β" ,"V", $text);
		
		$text = str_replace("ö" ,"e̮", $text);
		$text = str_replace("Ö" ,"E̮", $text);

		$text = str_replace("q" ,"e̮", $text);
		$text = str_replace("Q" ,"E̮", $text);
		
		$text = str_replace("o:" ,"e̮", $text);
		$text = str_replace("O:" ,"E̮", $text);		
		$text = str_replace("ø","e̮", $text);
		$text = str_replace("Ø","E̮", $text);
		
		$text = str_replace("y" ,"i̮", $text);
		$text = str_replace("Y" ,"I̮", $text);

		$text = str_replace("õ" ,"i̮", $text);
		$text = str_replace("Õ" ,"I̮", $text);
		
		
		$text = str_replace("s:" ,"š", $text);		
		$text = str_replace("sh" ,"š", $text);
		$text = str_replace("S:" ,"Š", $text);				
		$text = str_replace("SH" ,"Š", $text);		
		$text = str_replace("Sh" ,"Š", $text);				

		$text = str_replace("š:" ,"š́š́", $text);
		$text = str_replace("Š:" ,"Š́Š́", $text);		
		$text = str_replace("ɕː" ,"š́š́", $text);

	
		$text = str_replace("ʒ", "ž", $text);
		$text = str_replace("Ʒ", "Ž", $text);
		
		$text = str_replace("zh" ,"ž", $text);		
		$text = str_replace("ZH" ,"Ž", $text);		
		$text = str_replace("Zh" ,"Ž", $text);			

		$text = str_replace("ž:" ,"ǯ", $text);		
		$text = str_replace("Ž:" ,"Ǯ", $text);		
		$text = str_replace("Ž:" ,"Ǯ", $text);

		
		$text = str_replace("z:" ,"ʒ́", $text);		
		$text = str_replace("Z:" ,"Ʒ́", $text);

		$text = str_replace("ǯ'" ,"ʒ́", $text);
		$text = str_replace("Ǯ'" ,"Ʒ́", $text);		
		
		$text = str_replace("ž'" ,"ʒ́", $text);
		$text = str_replace("Ž'" ,"Ʒ́", $text);	
		
		$text = str_replace("ch" ,"č́", $text);		
		$text = str_replace("CH" ,"Č́", $text);		
		$text = str_replace("Ch" ,"Č́", $text);
		
		
		$text = str_replace("č'" ,"č́", $text);		
		$text = str_replace("Č'" ,"Č́", $text);	

		$text = str_replace("č́:" ,"č", $text);		
		$text = str_replace("Č́:" ,"Č", $text);			

		$text = str_replace("š'š'" ,"š́š́", $text);		
		$text = str_replace("Š'š'" ,"Š́š́", $text);		
		$text = str_replace("Š'Š'" ,"Š́Š́", $text);		
			
		$text = str_replace("ʒ'" ,"ʒ́", $text);		
		$text = str_replace("Ʒ'" ,"Ʒ́", $text);		
		

		$text = str_replace("s'","ś", $text);
		$text = str_replace("S'","Ś", $text);		

		$text = str_replace("sj","ś", $text);
		$text = str_replace("Sj","ś", $text);
		$text = str_replace("SJ","Ś", $text);
		
		
		$text = str_replace("z'","ź", $text);
		$text = str_replace("Z'","Ź", $text);		
		
		$text = str_replace("zj","ź", $text);
		$text = str_replace("Zj","Ź", $text);
		$text = str_replace("ZJ","Ź", $text);


		$text = str_replace("ť","t'", $text);
		$text = str_replace("Ť","T'", $text);		
		
		$text = str_replace("tj","t'", $text);
		$text = str_replace("Tj","T'", $text);
		$text = str_replace("TJ","T'", $text);
		
		
		$text = str_replace("ď","d'", $text);
		$text = str_replace("Ď","D'", $text);			
		
		$text = str_replace("dj","d'", $text);
		$text = str_replace("Dj","D'", $text);
		$text = str_replace("DJ","D'", $text);

		$text = str_replace("ɫ","l", $text);
		$text = str_replace("Ɫ","L", $text);	

		
		$text = str_replace("ĺ","l'", $text);
		$text = str_replace("Ĺ","L'", $text);				
		
		$text = str_replace("lj","l'", $text);
		$text = str_replace("Lj","L'", $text);
		$text = str_replace("LJ","L'", $text);
		
	
		$text = str_replace("nj","n'", $text);
		$text = str_replace("Nj","N'", $text);
		$text = str_replace("NJ","N'", $text);
		
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);

		$text = str_replace("h","χ", $text);
		$text = str_replace("H","Χ", $text);


		$text = str_replace("γ","g", $text);
		$text = str_replace("ɣ","g", $text);
		$text = str_replace("δ","d", $text);
		$text = str_replace("ð","d", $text);
		$text = str_replace("ʃ","š", $text);		
		
		$text = str_replace("ʎ","l'", $text);
		$text = str_replace("ɲ","ń", $text);
		$text = str_replace("ɕ","ś", $text);
		$text = str_replace("ʑ","ź", $text);
		$text = str_replace("ɟ","d'", $text);		
		
		

		
		$text = str_replace("ɨ","i̮", $text);
		$text = str_replace("ɨ","i̮", $text);
		$text = str_replace("ɯ","i̮", $text);
		$text = str_replace("ʌ","e̮", $text);
		$text = str_replace("ɘ","e̮", $text);

		
		$text = str_replace("Γ","G", $text);
		$text = str_replace("Ɣ","G", $text);
		$text = str_replace("Δ","D", $text);
		$text = str_replace("Ð","D", $text);
		$text = str_replace("Ʃ","Š", $text);		
		
		$text = str_replace("ʎ","L'", $text);
		$text = str_replace("Ɲ","Ń", $text);
		$text = str_replace("ɕ","Ś", $text);
		$text = str_replace("ʑ","Ź", $text);
		$text = str_replace("ɟ","D'", $text);		

		$text = str_replace("T͡Ś","Č́", $text);
		$text = str_replace("T͡Š","Č", $text);
		$text = str_replace("D͡Ź","Ʒ́ ", $text);	
		$text = str_replace("D͡Ž","Ǯ", $text);
		$text = str_replace("T͡S","C", $text);

		$text = str_replace("t͡ś","č́", $text);
		$text = str_replace("t͡š","č", $text);
		$text = str_replace("d͡ź","ʒ́ ", $text);	
		$text = str_replace("d͡ž","ǯ", $text);		
		$text = str_replace("t͡s","c", $text);

		
		$text = str_replace("Ɨ","I̮", $text);
		$text = str_replace("Ɯ","I̮", $text);
		$text = str_replace("Ə","E̮", $text);
		$text = str_replace("Ʌ","E̮", $text);
	
	}
	else if ($lang == "mns")
	{
	
		$text = str_replace("ʎ","l'", $text);
		$text = str_replace("ľ","l'", $text);
		$text = str_replace("Ľ","L'", $text);

		$text = str_replace("ɲ","ń", $text);
		$text = str_replace("n'","ń", $text);
		$text = str_replace("N'","Ń", $text);	
		
		$text = str_replace("ɕ","ś", $text);
		$text = str_replace("s'","ś", $text);
		$text = str_replace("S'","Ś", $text);	
		
		$text = str_replace("ť","t'", $text);
		$text = str_replace("Ť","T'", $text);	
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		$text = str_replace("č'","č", $text);
		$text = str_replace("Č'","Č", $text);			

		$text = str_replace("ʃ","š", $text);

		$text = str_replace("aa","ā", $text);
		$text = str_replace("Aa","Ā", $text);		
		$text = str_replace("AA","Ā", $text);
		$text = str_replace("aː","ā", $text);
		$text = str_replace("Aː","Ā", $text);
		$text = str_replace("ā","ā", $text);
		$text = str_replace("Ā","Ā", $text);
		
		$text = str_replace("ee","ē", $text);
		$text = str_replace("Ee","Ē", $text);		
		$text = str_replace("eː","ē", $text);
		$text = str_replace("Eː","Ē", $text);
		$text = str_replace("ē","ē", $text);
		$text = str_replace("Ē","Ē", $text);

		$text = str_replace("ii","ī", $text);
		$text = str_replace("Ii","Ī", $text);		
		$text = str_replace("II","Ī", $text);
		$text = str_replace("iː","ī", $text);
		$text = str_replace("Iː","Ī", $text);
		$text = str_replace("ī","ī", $text);
		$text = str_replace("Ī","Ī", $text);
		
		$text = str_replace("oo","ō", $text);
		$text = str_replace("Oo","Ō", $text);		
		$text = str_replace("OO","Ō", $text);
		$text = str_replace("oː","ō", $text);
		$text = str_replace("Oː","Ō", $text);
		$text = str_replace("ō","ō", $text);
		$text = str_replace("Ō","Ō", $text);
		
		$text = str_replace("uu","ū", $text);
		$text = str_replace("Uu","Ū", $text);		
		$text = str_replace("UU","Ū", $text);
		$text = str_replace("uː","ū", $text);
		$text = str_replace("Uː","Ū", $text);
		$text = str_replace("ū","ū", $text);
		$text = str_replace("Ū","Ū", $text);
		
		$text = str_replace("ŋ","η", $text);
		$text = str_replace("ng","η", $text);	

		$text = str_replace("[g]","¤1¤", $text);
		$text = str_replace("[G]","¤2¤", $text);

		$text = str_replace("g","γ", $text);
		$text = str_replace("ɣ","γ", $text);
		$text = str_replace("G","Γ", $text);
		$text = str_replace("Ɣ","Γ", $text);

		$text = str_replace("¤1¤","g", $text);
		$text = str_replace("¤2¤","G", $text);


		$text = str_replace("y","ə", $text);
		$text = str_replace("Y","Ə", $text);

		$text = str_replace("[v]","¤1¤", $text);
		$text = str_replace("[V]","¤2¤", $text);
		
		$text = str_replace("ь","ə", $text);
		$text = str_replace("ļ","l'", $text);
		$text = str_replace("ņ","ń", $text);
		$text = str_replace("ꞩ","ś", $text);
		$text = str_replace("ț","t'", $text);
		$text = str_replace("h","χ", $text);
		$text = str_replace("ꜧ","γ", $text);
		$text = str_replace("v","w", $text);

		$text = str_replace("Ь","Ə", $text);
		$text = str_replace("Ļ","L'", $text);
		$text = str_replace("Ņ","Ń", $text);
		$text = str_replace("ꞩ","Ś", $text);
		$text = str_replace("Ț","T'", $text);
		$text = str_replace("H","Χ", $text);
		$text = str_replace("ꜧ","Γ", $text);
		$text = str_replace("V","W", $text);
		
		$text = str_replace("¤1¤","v", $text);
		$text = str_replace("¤2¤","V", $text);
		
		$text = str_replace("kw","kʷ", $text);
		$text = str_replace("Kw","Kʷ", $text);		
		$text = str_replace("KW","Kʷ", $text);

		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);	

		$text = str_replace("χw","χʷ", $text);
		$text = str_replace("Χw","Χʷ", $text);		
		$text = str_replace("ΧW","Χʷ", $text);		

		$text = str_replace("au", "aw", $text);
		$text = str_replace("AU", "AW", $text);		

		$text = str_replace("eu", "ew", $text);
		$text = str_replace("EU", "EW", $text);	

		$text = str_replace("iu", "iw", $text);
		$text = str_replace("IU", "IW", $text);	

		$text = str_replace("ou", "ow", $text);
		$text = str_replace("OU", "OW", $text);
		
		$text = str_replace("əu", "əw", $text);
		$text = str_replace("ƏU", "ƏW", $text);	


		
	}
	else
	{
		$text = str_replace("lj","l'", $text);
		$text = str_replace("Lj","L'", $text);	

		$text = str_replace("nj","n'", $text);
		$text = str_replace("Nj","N'", $text);


		
		if ($lang == "mrj")
		{
			$text = str_replace("tj","t'", $text);
			$text = str_replace("Tj","T'", $text);
		}
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);
		
		
		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("y:","ə", $text);
		$text = str_replace("Y:","Ə", $text);
		$text = str_replace("õ:","ə", $text);
		$text = str_replace("Õ:","Ə", $text);
		$text = str_replace("q","ə", $text);
		$text = str_replace("Q","Ə", $text);
		
		$text = str_replace("y","ə̑", $text);
		$text = str_replace("Y","Ə̑", $text);
		$text = str_replace("õ","ə̑", $text);
		$text = str_replace("Õ","Ə̑", $text);
		
		$text = str_replace("č'","č́", $text);
		$text = str_replace("Č'","Č́", $text);
		
		$text = str_replace("š':","š́", $text);
		$text = str_replace("Š'","Š́", $text);

		
		$text = str_replace("z:","žqqqq", $text);
		$text = str_replace("Z:","Žqqqq", $text);
		$text = str_replace("zh","žqqqq", $text);
		$text = str_replace("ZH","Žqqqq", $text);
		$text = str_replace("Zh","Žqqqq", $text);

		$text = str_replace("s:","šqqqq", $text);
		$text = str_replace("S:","Šqqqq", $text);
		$text = str_replace("sh","šqqqq", $text);
		$text = str_replace("SH","Šqqqq", $text);
		$text = str_replace("Sh","Šqqqq", $text);

		$text = str_replace("š:","[š́š́]qqqq", $text);
		$text = str_replace("Š:","[Š́Š́]qqqq", $text); // ALL CAPS?
		
		if ($lang == "mrj")
		{
			$text = str_replace("c:","čqqqq", $text);
			$text = str_replace("C:","Čqqqq", $text);
			$text = str_replace("ch","čqqqq", $text);
			$text = str_replace("CH","Čqqqq", $text);
			$text = str_replace("Ch","Čqqqq", $text);
		}
		else
		{
			$text = str_replace("c:","č́qqqq", $text);
			$text = str_replace("C:","Č́qqqq", $text);
			$text = str_replace("ch","č́qqqq", $text);
			$text = str_replace("CH","Č́qqqq", $text);
			$text = str_replace("Ch","Č́qqqq", $text);
		}
		
		$text = str_replace("n:","ŋqqqq", $text);
		$text = str_replace("N:","Ŋqqqq", $text);
		
		if ($lang == "mhr")
		{
			$text = str_replace("ng","ŋqqqq", $text);
			$text = str_replace("NG","Ŋqqqq", $text);	
			$text = str_replace("Ng","Ŋqqqq", $text);
		}
		
		$text = str_replace("n:","ŋqqqq", $text);
		$text = str_replace("N:","Ŋqqqq", $text);	

		$text = str_replace("ĺ","l'qqqq", $text);
		$text = str_replace("Ĺ","L'qqqq", $text);		

		$text = str_replace("ń","n'qqqq", $text);
		$text = str_replace("Ń","N'qqqq", $text);	

		$text = str_replace("ť","t'qqqq", $text);
		$text = str_replace("Ť","T'qqqq", $text);	
		
		$text = str_replace("x","χqqqq", $text);
		$text = str_replace("X","Χqqqq", $text);	
		$text = str_replace("h","χqqqq", $text);
		$text = str_replace("H","Χqqqq", $text);	
		
		$text = str_replace("w","v", $text);
		$text = str_replace("W","V", $text);	

		$text = str_replace("β","v", $text);
		$text = str_replace("γ","g", $text);
		$text = str_replace("ɣ","g", $text);
		$text = str_replace("δ","d", $text);
		$text = str_replace("ð","d", $text);
		$text = str_replace("ʒ","ž", $text);
		$text = str_replace("ʎ","l'", $text);
		$text = str_replace("ɲ","n'", $text);
		$text = str_replace("t͡s","c", $text);
		
		if ($lang != "kom")
			$text = str_replace("č́","č", $text);
		
		$text = str_replace("t͡ɕ","č", $text);
		$text = str_replace("ʃ","š", $text);
		
		$text = str_replace("ə̈","ӹ", $text);
		$text = str_replace("Ə̈","Ӹ", $text);
		
		
		$text = str_replace("ɤ̘","ə̑", $text);
		$text = str_replace("ɤ","ə̑", $text);
		$text = str_replace("ə","ə̑", $text);
		
		$text = str_replace("Β","V", $text);
		$text = str_replace("Γ","G", $text);
		$text = str_replace("Ɣ","G", $text);
		$text = str_replace("Δ","D", $text);
		$text = str_replace("Ð","D", $text);
		$text = str_replace("Ʒ","Ž", $text);
		$text = str_replace("ʎ","L'", $text);
		$text = str_replace("Ɲ","N'", $text);
		$text = str_replace("T͡s","C", $text);
		$text = str_replace("T͡S","C", $text);
		$text = str_replace("Č́","Č", $text);
		$text = str_replace("T͡ɕ","Č", $text);
		$text = str_replace("Ʃ","Š", $text);
		$text = str_replace("Ə","Ə̑", $text);

		$text = str_replace("̑̑","̑", $text);
		
		$text = str_replace("ӹ","ə̈", $text);
		$text = str_replace("Ӹ","Ə̈", $text);		
		
	}

	return $text;
}

function thirtiesprep($text, $lang) // MM HM TATAR BASHKIR RUSSIAN KOMI MANSI
{
	if ($lang == "mhr")
	{
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."Й",$gr_c[$i]."ЪЙ", $text);
			$text = str_replace($gr_c[$i]."й",$gr_c[$i]."ъй", $text);
		}
		
		$text = str_replace("ЙА","Я", $text);
		$text = str_replace("Йа","Я", $text);
		$text = str_replace("йа","я", $text);

		$text = str_replace("ЬА","Я", $text);
		$text = str_replace("ьа","я", $text);

		$text = str_replace("ЙЭ","Е", $text);
		$text = str_replace("Йэ","Е", $text);
		$text = str_replace("йэ","е", $text);	

		$text = str_replace("ЬЭ","¤Е", $text);
		$text = str_replace("ьэ","¤е", $text);

		$text = str_replace("ЙУ","Ю", $text);
		$text = str_replace("Йу","Ю", $text);
		$text = str_replace("йу","ю", $text);	

		$text = str_replace("ЬУ","Ю", $text);
		$text = str_replace("ьу","ю", $text);
		
		$text = str_replace("э","⊥е", $text);
		$text = str_replace("Э","⊥Е", $text);
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."⊥",$gr_c[$i], $text);
		}
		
		$text = str_replace("⊥е","э", $text);
		$text = str_replace("⊥Е","Э", $text);
	}
	else if ($lang == "tat")
	{
		$text = str_replace("وُ","ө",$text);
	
		$text = str_replace("۰","0",$text);
		$text = str_replace("۱","1",$text);
		$text = str_replace("۲","2",$text);
		$text = str_replace("۳","3",$text);
		$text = str_replace("۴","4",$text);
		$text = str_replace("۵","5",$text);
		$text = str_replace("۶","6",$text);
		$text = str_replace("۷","7",$text);
		$text = str_replace("۸","8",$text);
		$text = str_replace("۹","9",$text);
		
		$text = str_replace("آ","а",$text);
		$text = str_replace("ا","ә",$text);
			$text = str_replace("ﺎ","ә",$text);
		$text = str_replace("ب","б",$text);
			$text = str_replace("ﺒ","б",$text);
		$text = str_replace("پ","п",$text);
			$text = str_replace("ﭗ","п",$text);
		$text = str_replace("ت","т",$text);
			$text = str_replace("ﺗ","т",$text);
		$text = str_replace("ث","с",$text);
		$text = str_replace("ج","җ",$text);
			$text = str_replace("ﺟ","җ",$text);
		$text = str_replace("چ","ч",$text);
			$text = str_replace("ﭼ","ч",$text);
		$text = str_replace("ح","х",$text);
			$text = str_replace("ﺣ","х",$text);
		$text = str_replace("خ","х",$text); 
		$text = str_replace("د","д",$text);
			$text = str_replace("ﺩ","д",$text);
		$text = str_replace("ز","з",$text);
			$text = str_replace("ﺯ","з",$text); 
		$text = str_replace("ر","р",$text);
			$text = str_replace("ﺭ","р",$text);		
		$text = str_replace("ز","з",$text);
		$text = str_replace("ژ","ж",$text);
		$text = str_replace("س","с",$text);
			$text = str_replace("ﺳ","с",$text);
		$text = str_replace("ش","ш",$text);
			$text = str_replace("ﺷ","ш",$text);
		$text = str_replace("ص","с",$text);
		$text = str_replace("ض","д",$text);
			$text = str_replace("ﺖ","т",$text);
		$text = str_replace("ظ","з",$text);
		$text = str_replace("ع","ғ",$text);
			$text = str_replace("ﻋ","ғ",$text);
			$text = str_replace("ﻌ","ғ",$text);
		$text = str_replace("غ","ғ",$text);
		$text = str_replace("ف","ф",$text);
			$text = str_replace("ﻔ","ф",$text);
		$text = str_replace("ق","ҡ",$text);
			$text = str_replace("ﻗ","ҡ",$text); 
			$text = str_replace("ﻘ","ҡ",$text);
		$text = str_replace("ک","к",$text);
			$text = str_replace("ﻜ","к",$text);
			$text = str_replace("ﻛ","к",$text);
			$text = str_replace("ك","к",$text);
		$text = str_replace("گ","г",$text);
			$text = str_replace("ﮔ","г",$text);
		$text = str_replace("ﯓ","ң",$text);
		$text = str_replace("ل","л",$text);
			$text = str_replace("ﻟ","л",$text);
		$text = str_replace("م","м",$text);
			$text = str_replace("ﻣ","м",$text);
		$text = str_replace("ن","н",$text);
			$text = str_replace("ﻧ","н",$text);
		$text = str_replace("ه","һ",$text);
			$text = str_replace("ﻫ","һ",$text);

		$text = str_replace("و","у",$text);
		$text = str_replace("ﯞ","в",$text);
		$text = str_replace("ی","и",$text);
			$text = str_replace("ﻳ","и",$text);
			$text = str_replace("ﻴ","и",$text);
			$text = str_replace("ﻯ","и",$text);
			$text = str_replace("ﻲ","и",$text);		
			$text = str_replace("ﯾ","и",$text);
		$text = str_replace("ئ","е",$text);
		$text = str_replace("ە","ә",$text);
			$text = str_replace("ﻪ","ә",$text);
		$text = str_replace("ۇ","о",$text);
		$text = str_replace("ڭ","ң",$text);	
			$text = str_replace("ﯕ","ң",$text);	
			
		$text = str_replace("ﺀ","э",$text);	
			
		$text = str_replace("ﺌ","ы",$text);	
		$text = str_replace("ﺋ","ы",$text);	
		$text = str_replace("ِ", "", $text);	
	}
	else if ($lang == "bak")
	{
		$text = str_replace("وُ","ө",$text);
	
		$text = str_replace("۰","0",$text);
		$text = str_replace("۱","1",$text);
		$text = str_replace("۲","2",$text);
		$text = str_replace("۳","3",$text);
		$text = str_replace("۴","4",$text);
		$text = str_replace("۵","5",$text);
		$text = str_replace("۶","6",$text);
		$text = str_replace("۷","7",$text);
		$text = str_replace("۸","8",$text);
		$text = str_replace("۹","9",$text);
		
		$text = str_replace("آ","а",$text);
		$text = str_replace("ا","ә",$text);
			$text = str_replace("ﺎ","ә",$text);
		$text = str_replace("ب","б",$text);
			$text = str_replace("ﺒ","б",$text);
		$text = str_replace("پ","п",$text);
			$text = str_replace("ﭗ","п",$text);
		$text = str_replace("ت","т",$text);
			$text = str_replace("ﺗ","т",$text);
		$text = str_replace("ث","с",$text);
		$text = str_replace("ج","ж",$text);
			$text = str_replace("ﺟ","ж",$text);
		$text = str_replace("چ","ч",$text);
			$text = str_replace("ﭼ","ч",$text);
		$text = str_replace("ح","х",$text);
			$text = str_replace("ﺣ","х",$text);
		$text = str_replace("خ","х",$text); 
		$text = str_replace("د","д",$text);
			$text = str_replace("ﺩ","д",$text);
		$text = str_replace("ز","з",$text);
			$text = str_replace("ﺯ","з",$text); 
		$text = str_replace("ر","р",$text);
			$text = str_replace("ﺭ","р",$text);		
		$text = str_replace("ز","з",$text);
		$text = str_replace("ژ","ж",$text);
		$text = str_replace("س","с",$text);
			$text = str_replace("ﺳ","с",$text);
		$text = str_replace("ش","ш",$text);
			$text = str_replace("ﺷ","ш",$text);
		$text = str_replace("ص","с",$text);
		$text = str_replace("ض","д",$text);
			$text = str_replace("ﺖ","т",$text);
		$text = str_replace("ظ","з",$text);
		$text = str_replace("ع","ғ",$text);
			$text = str_replace("ﻋ","ғ",$text);
			$text = str_replace("ﻌ","ғ",$text);
		$text = str_replace("غ","ғ",$text);
		$text = str_replace("ف","ф",$text);
			$text = str_replace("ﻔ","ф",$text);
		$text = str_replace("ق","ҡ",$text);
			$text = str_replace("ﻗ","ҡ",$text); 
			$text = str_replace("ﻘ","ҡ",$text);
		$text = str_replace("ک","к",$text);
			$text = str_replace("ﻜ","к",$text);
			$text = str_replace("ﻛ","к",$text);
			$text = str_replace("ك","к",$text);
		$text = str_replace("گ","г",$text);
			$text = str_replace("ﮔ","г",$text);
		$text = str_replace("ﯓ","ң",$text);
		$text = str_replace("ل","л",$text);
			$text = str_replace("ﻟ","л",$text);
		$text = str_replace("م","м",$text);
			$text = str_replace("ﻣ","м",$text);
		$text = str_replace("ن","н",$text);
			$text = str_replace("ﻧ","н",$text);
		$text = str_replace("ه","һ",$text);
			$text = str_replace("ﻫ","һ",$text);

		$text = str_replace("و","у",$text);
		$text = str_replace("ﯞ","в",$text);
		$text = str_replace("ی","и",$text);
			$text = str_replace("ﻳ","и",$text);
			$text = str_replace("ﻴ","и",$text);
			$text = str_replace("ﻯ","и",$text);
			$text = str_replace("ﻲ","и",$text);		
			$text = str_replace("ﯾ","и",$text);
		$text = str_replace("ئ","е",$text);
		$text = str_replace("ە","ә",$text);
			$text = str_replace("ﻪ","ә",$text);
		$text = str_replace("ۇ","о",$text);
		$text = str_replace("ڭ","ң",$text);	
			$text = str_replace("ﯕ","ң",$text);	
			
		$text = str_replace("ﺀ","э",$text);	
			
		$text = str_replace("ﺌ","ы",$text);	
		$text = str_replace("ﺋ","ы",$text);	
		$text = str_replace("ِ", "", $text);	
	}	
	else if ($lang == "rus")
	{
		$text = str_replace("Ѣ","Е",$text);
		$text = str_replace("ѣ","е",$text);

		$text = str_replace("І","И",$text);
		$text = str_replace("і","и",$text);

		$text = str_replace("Ѵ","И",$text);
		$text = str_replace("ѵ","и",$text);

		$text = str_replace("Ѳ","Ф",$text);
		$text = str_replace("ѳ","ф",$text);

		$text = str_replace("ъ","ъ⊥",$text);		
		$text = str_replace("Ъ","Ъ⊥",$text);

		$text = str_replace("⊥я","я",$text);		
		$text = str_replace("⊥Я","Я",$text);
		$text = str_replace("⊥е","е",$text);		
		$text = str_replace("⊥Е","Е",$text);
		$text = str_replace("⊥ё","ё",$text);		
		$text = str_replace("⊥Ё","Ё",$text);
		$text = str_replace("⊥ю","ю",$text);		
		$text = str_replace("⊥Ю","Ю",$text);

		$text = str_replace("ъ⊥","",$text);		
		$text = str_replace("Ъ⊥","",$text);

		$text = str_replace("ѕ","з",$text);
		$text = str_replace("Ѕ","З",$text);

		$text = str_replace("ѯ","кс",$text);
		$text = str_replace("Ѯ","Кс",$text);		

		$text = str_replace("ѱ","пс",$text);
		$text = str_replace("Ѱ","Пс",$text);	

		$text = str_replace("ѡ","о",$text);
		$text = str_replace("Ѡ","О",$text);		

		$text = str_replace("ѫ","ю",$text);
		$text = str_replace("Ѫ","Ю",$text);		

		$text = str_replace("ѧ","я",$text);
		$text = str_replace("Ѧ","Я",$text);
		
		$text = str_replace("ѭ","ю",$text);
		$text = str_replace("Ѭ","Ю",$text);
		
		$text = str_replace("ѩ","я",$text);
		$text = str_replace("Ѩ","Я",$text);
	}
	else if ($lang == "mrj")
	{
		global $gr_allm;

		$current = "";

		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
				$current = $current.$x;
			else
			{
				$replace = ortup_hill($current);
				$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
				$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
				$current = "";
			}
		}

		$text = str_replace("ѩ","ы",$text);
		$text = str_replace("Ѩ","Ы",$text);
	}
	else if ($lang == "kom")
	{	
		$text = str_replace("І","И", $text);
		$text = str_replace("і","и", $text);
		
		$text = str_replace("Ԁ","Д", $text);
		$text = str_replace("ԁ","д", $text);

		global $kom_pal;
		
		for ($i = 0; $i < count($kom_pal); $i++)
		{
			$text = str_replace($kom_pal[$i]."Е",$kom_pal[$i]."Э", $text);
			$text = str_replace($kom_pal[$i]."е",$kom_pal[$i]."э", $text);
			$text = str_replace($kom_pal[$i]."И",$kom_pal[$i]."І", $text);
			$text = str_replace($kom_pal[$i]."и",$kom_pal[$i]."і", $text);
		}
		
		
		$text = str_replace("Е","Еʷ", $text);
		$text = str_replace("е","еʷ", $text);

		
		global $gr_c;
			
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."Еʷ",$gr_c[$i]."Е", $text);
			$text = str_replace($gr_c[$i]."еʷ",$gr_c[$i]."е", $text);
		}
		
		$text = str_replace("Еʷ","Э", $text);
		$text = str_replace("еʷ","э", $text);
		
		$text = str_replace("дзэ","дзе", $text);
		$text = str_replace("Дзэ","Дзе", $text);
		$text = str_replace("ДЗЭ","ДЗЕ", $text);		

		$text = str_replace("дзі","дзи", $text);
		$text = str_replace("Дзі","Дзи", $text);
		$text = str_replace("ДЗІ","ДЗИ", $text);		
	
		$text = str_replace("Ԃ","Дʲ", $text);
		$text = str_replace("ԃ","дʲ", $text);
		
		$text = str_replace("Җ","Дж", $text);
		$text = str_replace("җ","дж", $text);
		
		$text = str_replace("Ԅ","Зʲ", $text);
		$text = str_replace("ԅ","зʲ", $text);

		$text = str_replace("Ԇ","Дз", $text);
		$text = str_replace("ԇ","дз", $text);
		
		$text = str_replace("Ԉ","Лʲ", $text);
		$text = str_replace("ԉ","лʲ", $text);

		$text = str_replace("Ԋ","Нʲ", $text);
		$text = str_replace("ԋ","нʲ", $text);

		$text = str_replace("Ԍ","Сʲ", $text);
		$text = str_replace("ԍ","сʲ", $text);

		$text = str_replace("Ԏ","Тʲ", $text);
		$text = str_replace("ԏ","тʲ", $text);

		$text = str_replace("ʲА","Я", $text);
		$text = str_replace("ʲа","я", $text);

		$text = str_replace("ʲЕ","Е", $text);
		$text = str_replace("ʲе","е", $text);		
		
		$text = str_replace("ʲИ","И", $text);
		$text = str_replace("ʲи","и", $text);

		$text = str_replace("ʲО","Ё", $text);
		$text = str_replace("ʲо","ё", $text);

		$text = str_replace("ʲУ","Ю", $text);
		$text = str_replace("ʲу","ю", $text);		
		
		$text = str_replace("ЈА","ʷЯ", $text);
		$text = str_replace("Ја","ʷЯ", $text);
		$text = str_replace("ја","ʷя", $text);
		
		$text = str_replace("ЈЭ","ʷЕ", $text);
		$text = str_replace("Јэ","ʷЕ", $text);
		$text = str_replace("јэ","ʷе", $text);
		
		$text = str_replace("ЈЕ","ʷЕ", $text);
		$text = str_replace("Је","ʷЕ", $text);
		$text = str_replace("је","ʷе", $text);
		
		$text = str_replace("ЈО","ʷЁ", $text);
		$text = str_replace("Јо","ʷЁ", $text);
		$text = str_replace("јо","ʷё", $text);	
		
		$text = str_replace("ЈУ","ʷЮ", $text);
		$text = str_replace("Ју","ʷЮ", $text);
		$text = str_replace("ју","ʷю", $text);
		
		$text = str_replace("Ј","Й", $text);
		$text = str_replace("ј","й", $text);
		
		$text = str_replace("ЙІ","ЙИ", $text);
		$text = str_replace("Йі","Йи", $text);
		$text = str_replace("йі","йи", $text);
		
		$text = str_replace("ʲʷ","ʲ", $text);
		
		$text = str_replace("ʲ","ь", $text);
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."ʷ",$gr_c[$i]."ъ", $text);
		}

		$text = str_replace("ДЗЪ","ДЗЬ", $text);		
		$text = str_replace("дзъ","дзь", $text);
		
		$text = str_replace("ʷ","", $text);
	}
	
	return $text;
}

function mixed_to_lat($text, $lang, $alph)	// Mixed Latin
{
	if ($alph == 1)
		return cyr_to_lat($text, $lang, false);
		
	if ($alph != 2)
		return $text;
		
	$text = str_replace("c","€¤€", $text);
	$text = str_replace("C","€¤€", $text);
	
	$text = cyr_to_lat($text, $lang, false);

	$text = upa_to_ipa($text, $lang, false);
	$text = str_replace("€¤€","c", $text);
	
	return $text;

}

function cyrprep($text, $lang)	// MARI TATAR RUSSIAN UDMURT KOMI CHUVASH MANSI
{
	$text = str_replace("•", "*", $text);
	$text = str_replace("́", "*", $text);
	$text = str_replace("̋", "*", $text);
	
	if ($lang != "chv")
	{
		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	
	if ($lang == "mns")
	{
		$text = str_replace("ā","а̄", $text);
		$text = str_replace("Ā","А̄", $text);

		$text = str_replace("ē","е̄", $text);
		$text = str_replace("Ē","Е̄", $text);

		$text = str_replace("ō","о̄", $text);
		$text = str_replace("Ō","О̄", $text);

		$text = str_replace("ȳ","ӯ", $text);
		$text = str_replace("Ȳ","Ӯ", $text);

		$text = str_replace("НГ","Ӈ", $text);
		$text = str_replace("нг","ӈ", $text);
		


		$text = str_replace("аа","а̄", $text);
		$text = str_replace("АА","А̄", $text);
		$text = str_replace("Аа","А̄", $text);		

		$text = str_replace("яа","я̄", $text);
		$text = str_replace("ЯА","Я̄", $text);
		$text = str_replace("Яа","Я̄", $text);			


		$text = str_replace("еэ","е̄", $text);
		$text = str_replace("ЕЭ","Е̄", $text);
		$text = str_replace("Еэ","Е̄", $text);		

		$text = str_replace("ээ","э̄", $text);
		$text = str_replace("ЭЭ","Э̄", $text);
		$text = str_replace("Ээ","Э̄", $text);	


		$text = str_replace("ии","ӣ", $text);
		$text = str_replace("ИИ","Ӣ", $text);
		$text = str_replace("Ии","Ӣ", $text);		

		$text = str_replace("ыы","ы̄", $text);
		$text = str_replace("ЫЫ","Ы̄", $text);
		$text = str_replace("Ыы","Ы̄", $text);


		$text = str_replace("оо","о̄", $text);
		$text = str_replace("ОО","О̄", $text);
		$text = str_replace("Оо","О̄", $text);		

		$text = str_replace("ёо","ё̄", $text);
		$text = str_replace("ЁО","Ё̄", $text);
		$text = str_replace("Ёо","Ё̄", $text);	


		$text = str_replace("уу","ӯ", $text);
		$text = str_replace("УУ","Ӯ", $text);
		$text = str_replace("Уу","Ӯ", $text);		

		$text = str_replace("юу","ю̄", $text);
		$text = str_replace("ЮУ","Ю̄", $text);
		$text = str_replace("Юу","Ю̄", $text);

		$text = str_replace("щ","с¤", $text);
		$text = str_replace("Щ","С¤", $text);
		
		$text = str_replace("¤а̄","я̄", $text);
		$text = str_replace("¤А̄","Я̄", $text);		

		$text = str_replace("¤а","я", $text);
		$text = str_replace("¤А","Я", $text);
		
		$text = str_replace("¤е̄","е̄", $text);
		$text = str_replace("¤Е̄","Е̄", $text);		

		$text = str_replace("¤е","е", $text);
		$text = str_replace("¤Е","Е", $text);		

		$text = str_replace("¤ӣ","ӣ", $text);
		$text = str_replace("¤Ӣ","Ӣ", $text);	
		
		$text = str_replace("¤и","и", $text);
		$text = str_replace("¤И","И", $text);		
		
		$text = str_replace("¤о̄","ё̄", $text);
		$text = str_replace("¤О̄","Ё̄", $text);	

		$text = str_replace("¤о","ё", $text);
		$text = str_replace("¤О","Ё", $text);	
		
		$text = str_replace("¤ӯ","ю̄", $text);
		$text = str_replace("¤Ӯ","Ю̄", $text);			
		
		$text = str_replace("¤у","ю", $text);
		$text = str_replace("¤У","Ю", $text);

		$text = str_replace("с¤","сь", $text);
		$text = str_replace("С¤","СЬ", $text);				
		
	}
	
	if ($lang == "mhr" || $lang == "mrj")
	{

		$text = str_replace("ӹ̈", "ӹ", $text);
		$text = str_replace("Ӹ̈", "Ӹ", $text);
		
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "Н" || $x == "О"|| $x == "У"|| $x == "А"|| $x == "Ы"  || $x == "Е" || $x == "З" || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("а:","ӓ", $text);
		$text = str_replace("А:","Ӓ", $text);
		$text = str_replace("ә","ӓ", $text);
		$text = str_replace("Ә","Ӓ", $text);
		
		$text = str_replace("о:","ӧ", $text);
		$text = str_replace("О:","Ӧ", $text);
		$text = str_replace("ө","ӧ", $text);
		$text = str_replace("Ө","Ӧ", $text);
		
		$text = str_replace("у:","ӱ", $text);
		$text = str_replace("У:","Ӱ", $text);
		$text = str_replace("ү","ӱ", $text);
		$text = str_replace("Ү","Ӱ", $text);
		$text = str_replace("ӳ","ӱ", $text);
		$text = str_replace("Ӳ","Ӱ", $text);

		
		$text = str_replace("ы:","ӹ", $text);
		$text = str_replace("Ы:","Ӹ", $text);
		
		$text = str_replace("н:","ҥ", $text);
		$text = str_replace("Н:","Ҥ", $text);
		
		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);

		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		
		
		$text = str_replace("н'","ҥ", $text);
		$text = str_replace("Н'","Ҥ", $text);
		
		$text = str_replace("ң","ҥ", $text);
		$text = str_replace("Ң","Ҥ", $text);
		$text = str_replace("ӈ","ҥ", $text);
		$text = str_replace("Ӈ","Ҥ", $text);	
		$text = str_replace("ԣ","ҥ", $text);
		$text = str_replace("Ԣ","Ҥ", $text);	
		
		$text = str_replace("ў","ӹ", $text);
		$text = str_replace("Ї","Ӹ", $text);
		$text = str_replace("‰","ҥ", $text);
		$text = str_replace("ˆ","Ҥ", $text);
		$text = str_replace("ў","ӱ", $text);
		$text = str_replace("™","Ӱ", $text);
		$text = str_replace("є","ӧ", $text);
		$text = str_replace("Є","Ӧ", $text);
	}
	else if ($lang == "tat")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "О" || $x == "У" || $x == "Х" || $x == "Н" || $x == "Ж" || $x == "Е"  || $x == "З" || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("а:","ә", $text);
		$text = str_replace("А:","Ә", $text);
		$text = str_replace("ӓ","ә", $text);
		$text = str_replace("Ӓ","Ә", $text);
		$text = str_replace("ӑ","ә", $text);
		$text = str_replace("Ӑ","Ә", $text);
		
		$text = str_replace("о:","ө", $text);
		$text = str_replace("О:","Ө", $text);
		$text = str_replace("ӧ","ө", $text);
		$text = str_replace("Ӧ","Ө", $text);
		
		$text = str_replace("у:","ү", $text);
		$text = str_replace("У:","ү", $text);
		$text = str_replace("ӱ","ү", $text);
		$text = str_replace("Ӱ","ү", $text);
		$text = str_replace("ӳ","ү", $text);
		$text = str_replace("Ӳ","ү", $text);
		
		$text = str_replace("н:","ң", $text);
		$text = str_replace("Н:","Ң", $text);
		$text = str_replace("н,","ң", $text);
		$text = str_replace("Н,","Ң", $text);
		
		$text = str_replace("ҥ","ң", $text);
		$text = str_replace("Ҥ","Ң", $text);
		$text = str_replace("ӈ","ң", $text);
		$text = str_replace("Ӈ","Ң", $text);
		$text = str_replace("ԣ","ң", $text);
		$text = str_replace("Ԣ","Ң", $text);
		
		$text = str_replace("ж,","җ", $text);
		$text = str_replace("Ж,","Җ", $text);
		
		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		

		$text = str_replace("ж:","җ", $text);
		$text = str_replace("Ж:","Җ", $text);
		
		$text = str_replace("х:","һ", $text);
		$text = str_replace("Х:","Һ", $text);

		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	else if ($lang == "udm" || $lang == "kom")
	{
		if ($lang == "udm")
		{
			$text = str_replace("і","ӥ", $text);
			$text = str_replace("І","Ӥ", $text);
		}
		else
		{
			$text = str_replace("ӥ","і", $text);
			$text = str_replace("Ӥ","І", $text);
			
			$text = str_replace("ӟ","дз", $text);
			$text = str_replace("Ӟ","Дз", $text);

			$text = str_replace("ӝ","дж", $text);
			$text = str_replace("Ӝ","Дж", $text);
			
			$text = str_replace("ӵ","тш", $text);
			$text = str_replace("Ӵ","Тш", $text);
		}
		
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "О" || $x == "Ж" || $x == "З" || $x == "И" || $x == "О" ||$x == "Ч" || $x == "Е"  || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}

		$text = str_replace("ө","ӧ", $text);
		$text = str_replace("Ө","Ӧ", $text);
		
		$text = str_replace("љ","ӝ", $text);
		$text = str_replace("Љ","Ӝ", $text);
		$text = str_replace("њ","ӟ", $text);
		$text = str_replace("Њ","Ӟ", $text);
		$text = str_replace("ћ","ӥ", $text);
		$text = str_replace("Ћ","Ӥ", $text);
		$text = str_replace("ќ","ӧ", $text);
		$text = str_replace("Ќ","Ӧ", $text);
		$text = str_replace("џ","ӵ", $text);
		$text = str_replace("Џ","Ӵ", $text);
		
	//	$text = str_replace("с:","ш", $text);
	//	$text = str_replace("С:","Ш", $text);

	//	$text = str_replace("ш:","щ", $text);
	//	$text = str_replace("Ш:","Щ", $text);

	//	$text = str_replace("ц:","ч", $text);
	//	$text = str_replace("Ц:","Ч", $text);
	
		$text = str_replace("о:","ӧ", $text);
		$text = str_replace("О:","Ӧ", $text);

		if ($lang == "udm")
		{
			$text = str_replace("ж:","ӝ", $text);
			$text = str_replace("Ж:","Ӝ", $text);
			$text = str_replace("з:","ӟ", $text);
			$text = str_replace("З:","Ӟ", $text);
			$text = str_replace("и:","ӥ", $text);
			$text = str_replace("И:","Ӥ", $text);

			$text = str_replace("ч:","ӵ", $text);
			$text = str_replace("Ч:","Ӵ", $text);
	//		$text = str_replace("е:","ё", $text);
	//		$text = str_replace("Е:","Ё", $text);
		}
		else if ($lang == "kom")
		{
			$text = str_replace("Ӝ","Дж", $text);
			$text = str_replace("Ӵ","Тш", $text);
			$text = str_replace("Ӟ","Дз", $text);
			$text = str_replace("Ӥ","І", $text);

			$text = str_replace("ӝ","дж", $text);
			$text = str_replace("ӵ","тш", $text);
			$text = str_replace("ӟ","дз", $text);
			$text = str_replace("ӥ","і", $text);
		}
	}
	else if ($lang == "chv")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "Е"|| $x == "С"|| $x == "У"  || $x == "З" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		
		
		$text = str_replace("а:","ӑ", $text);
		$text = str_replace("А:","Ӑ", $text);
		
		$text = str_replace("ä","ӑ", $text);
		$text = str_replace("Ä","Ӑ", $text);

		$text = str_replace("Ə","Ӑ", $text);
		$text = str_replace("ә","ӑ", $text);
		
		$text = str_replace("е:","ӗ", $text);
		$text = str_replace("Е:","Ӗ", $text);
		$text = str_replace("с:","ҫ", $text);
		$text = str_replace("С:","ҫ", $text);
		
		$text = str_replace("ӱ","ӳ", $text);
		$text = str_replace("Ӱ","Ӳ", $text);
		$text = str_replace("ү","ӳ", $text);
		$text = str_replace("Ү","Ӳ", $text);
		$text = str_replace("у:","ӳ", $text);
		$text = str_replace("У:","Ӳ", $text);		
	}
	else if ($lang == "bak")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "О" || $x == "У" || $x == "Х" || $x == "Н" || $x == "Г" || $x == "К" || $x == "З" || $x == "С"  || $x == "Д" || $x == "Т"  || $x == "Е"  || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}



		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		

		$text = str_replace("а:","ә", $text);
		$text = str_replace("А:","Ә", $text);
		$text = str_replace("ӓ","ә", $text);
		$text = str_replace("Ӓ","Ә", $text);
		$text = str_replace("ӑ","ә", $text);
		$text = str_replace("Ӑ","Ә", $text);
		
		$text = str_replace("о:","ө", $text);
		$text = str_replace("О:","Ө", $text);
		$text = str_replace("ӧ","ө", $text);
		$text = str_replace("Ӧ","Ө", $text);
		
		$text = str_replace("у:","ү", $text);
		$text = str_replace("У:","ү", $text);
		$text = str_replace("ӱ","ү", $text);
		$text = str_replace("Ӱ","ү", $text);
		$text = str_replace("ӳ","ү", $text);
		$text = str_replace("Ӳ","ү", $text);
		
		$text = str_replace("н:","ң", $text);
		$text = str_replace("Н:","Ң", $text);
		$text = str_replace("н,","ң", $text);
		$text = str_replace("Н,","Ң", $text);
		
		$text = str_replace("ҥ","ң", $text);
		$text = str_replace("Ҥ","Ң", $text);
		$text = str_replace("ӈ","ң", $text);
		$text = str_replace("Ӈ","Ң", $text);
		$text = str_replace("ԣ","ң", $text);
		$text = str_replace("Ԣ","Ң", $text);
		
		$text = str_replace("х:","һ", $text);
		$text = str_replace("Х:","Һ", $text);

		$text = str_replace("г:","ғ", $text);
		$text = str_replace("Г:","Ғ", $text);		
		
		$text = str_replace("к:","ҡ", $text);
		$text = str_replace("К:","Ҡ", $text);			

		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);			
		
		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);
		
		$text = str_replace("д:","ҙ", $text);
		$text = str_replace("Д:","Ҙ", $text);			
		
		$text = str_replace("т:","ҫ", $text);
		$text = str_replace("Т:","Ҫ", $text);

		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	return $text;
}

function lat_to_cyr($text, $lang) // Latin to Cyrillic
{

	$text = str_replace("’", "'", $text);
	$text = str_replace("`", "'", $text);
	$text = str_replace("´", "'", $text);
	
	if ($lang != "chv")
	{
		$text = str_replace("e:" ,"ё", $text);
		$text = str_replace("E:" ,"Ё", $text);
	}
	
	
	
	if ($lang == "kom")
	{
		$text = str_replace("ǯ" ,"dž", $text);
		$text = str_replace("ž́" ,"dź", $text);
		$text = str_replace("č́" ,"ч", $text);		
		$text = str_replace("č" ,"tš", $text);
		$text = str_replace("Ǯ" ,"Dž", $text);
		$text = str_replace("Ž́" ,"Dź", $text);
		$text = str_replace("Č́" ,"Ч", $text);		
		$text = str_replace("Č" ,"Tš", $text);
	}
	
	if ($lang == "myv" || $lang == "mdf")
	{
		$text = str_replace("ŋ" ,"n", $text);	
	}
	
	if ($lang == "chv")
	{
		global $gr_clat;
		
		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat[$i]."E",$gr_clat[$i]."Е", $text);
			$text = str_replace($gr_clat[$i]."e",$gr_clat[$i]."е", $text);
		}
		
		$text = str_replace("a" ,"а", $text);
		$text = str_replace("ă" ,"ӑ", $text);
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("je" ,"е", $text);
		$text = str_replace("ĕ" ,"ӗ", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("ś" ,"ҫ", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ӳ", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("č́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("š́š́" ,"щ", $text);
		$text = str_replace("ï" ,"ы", $text);
		$text = str_replace("e" ,"э", $text);
		$text = str_replace("ju" ,"ю", $text);
		$text = str_replace("ja" ,"я", $text);
		
		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Ă" ,"Ӑ", $text);
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("JE" ,"Е", $text);
		$text = str_replace("Je" ,"Е", $text);
		$text = str_replace("Ĕ" ,"Ӗ", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("Ś" ,"Ҫ", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ӳ", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Č́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		$text = str_replace("Š́Š́" ,"Щ", $text);
		$text = str_replace("Šš́́" ,"Щ", $text);
		$text = str_replace("Ï" ,"Ы", $text);
		$text = str_replace("E" ,"Э", $text);
		$text = str_replace("JU" ,"Ю", $text);
		$text = str_replace("Ju" ,"Ю", $text);
		$text = str_replace("JA" ,"Я", $text);
		$text = str_replace("Ja" ,"Я", $text);
	}	
	else if ($lang == "bak")
	{
		$text = str_replace("å" ,"a", $text);
		$text = str_replace("Å" ,"A", $text);

		$text = str_replace("aw","aу", $text);
		$text = str_replace("ow","oу", $text);
		$text = str_replace("ə̑w","ə̑у", $text);
		$text = str_replace("uw","uу", $text);

		$text = str_replace("äw","äү", $text);
		$text = str_replace("ew","eү", $text);
		$text = str_replace("öw","öү", $text);
		$text = str_replace("iw","iү", $text);
		$text = str_replace("üw","üү", $text);		

		$text = str_replace("AW","AУ", $text);
		$text = str_replace("OW","OУ", $text);
		$text = str_replace("Ə̑W","Ə̑У", $text);
		$text = str_replace("UW","UУ", $text);

		$text = str_replace("ÄW","ÄҮ", $text);
		$text = str_replace("EW","EҮ", $text);
		$text = str_replace("ÖW","ÖҮ", $text);
		$text = str_replace("IW","IҮ", $text);
		$text = str_replace("ÜW","ÜҮ", $text);


		$text = str_replace("Aw","Aу", $text);
		$text = str_replace("Ow","Oу", $text);
		$text = str_replace("Ə̑w","Ə̑у", $text);
		$text = str_replace("Uw","Uу", $text);

		$text = str_replace("Äw","Äү", $text);
		$text = str_replace("Ew","Eү", $text);
		$text = str_replace("Öw","Öү", $text);
		$text = str_replace("Iw","Iү", $text);
		$text = str_replace("Üw","Üү", $text);

		$text = str_replace("aʔ","aъ", $text);
		$text = str_replace("oʔ","oъ", $text);
		$text = str_replace("ə̑ʔ","ə̑ъ", $text);
		$text = str_replace("uʔ","uъ", $text);
		$text = str_replace("öʔ","öъ", $text);
		
		$text = str_replace("äʔ","äь", $text);
		$text = str_replace("eʔ","eь", $text);
		$text = str_replace("iʔ","iь", $text);
		$text = str_replace("üʔ","üь", $text);		

		$text = str_replace("Aʔ","AЪ", $text);
		$text = str_replace("Oʔ","OЪ", $text);
		$text = str_replace("Ə̑ʔ","Ə̑Ъ", $text);
		$text = str_replace("Uʔ","UЪ", $text);
		$text = str_replace("Öʔ","ÖЪ", $text);
		
		$text = str_replace("Äʔ","ÄЬ", $text);
		$text = str_replace("Eʔ","EЬ", $text);
		$text = str_replace("Iʔ","IЬ", $text);
		$text = str_replace("Üʔ","ÜЬ", $text);	

		$text = str_replace("ʔa","ъa", $text);
		$text = str_replace("ʔo","ъo", $text);
		$text = str_replace("ʔə̑","ъə̑", $text);
		$text = str_replace("ʔu","ъu", $text);
		$text = str_replace("ʔö","ъö", $text);
		
		$text = str_replace("ʔä","ьä", $text);
		$text = str_replace("ʔe","ьe", $text);
		$text = str_replace("ʔi","ьi", $text);
		$text = str_replace("ʔü","ьü", $text);		

		$text = str_replace("ʔA","ЪA", $text);
		$text = str_replace("ʔO","ЪO", $text);
		$text = str_replace("ʔƏ̑","ЪƏ̑", $text);
		$text = str_replace("ʔU","ЪU", $text);
		$text = str_replace("ʔÖ","ЪÖ", $text);
		
		$text = str_replace("ʔÄ","ЬÄ", $text);
		$text = str_replace("ʔE","ЬE", $text);
		$text = str_replace("ʔI","ЬI", $text);
		$text = str_replace("ʔÜ","ЬÜ", $text);	
		
		global $gr_vlat;
		global $gr_clat;
			
		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat[$i]."JE",$gr_clat[$i]."ʷЕ", $text);
			$text = str_replace($gr_clat[$i]."je",$gr_clat[$i]."ʲе", $text);
			$text = str_replace($gr_clat[$i]."E",$gr_clat[$i]."Е", $text);
			$text = str_replace($gr_clat[$i]."e",$gr_clat[$i]."е", $text);
			$text = str_replace($gr_clat[$i]."JA",$gr_clat[$i]."ʷЯ", $text);
			$text = str_replace($gr_clat[$i]."ja",$gr_clat[$i]."ʲя", $text);
			$text = str_replace($gr_clat[$i]."JU",$gr_clat[$i]."ʷЮ", $text);
			$text = str_replace($gr_clat[$i]."ju",$gr_clat[$i]."ʲю", $text);
		}
		
		$pal = 0;
		
		global $tat_pal;
		
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if ($x == "ʲ" && $pal == 1)
				$text = mb_substr($text,0,$i,"UTF-8")."ь".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʲ")
				$text = mb_substr($text,0,$i,"UTF-8")."ъ".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʷ" && $pal == 1)
				$text = mb_substr($text,0,$i,"UTF-8")."Ь".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʷ")
				$text = mb_substr($text,0,$i,"UTF-8")."Ъ".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if (in_array($x,  $tat_pal))
				$pal = 1;
			else if (in_array($x,  $gr_vlat) || !in_array($x,  $gr_clat))
				$pal = 0;
		}
		
		$text = str_replace("JE","Е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("je","е", $text);
		$text = str_replace("JA","Я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("ja","я", $text);
		$text = str_replace("JU","Ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("ju","ю", $text);
		
	
		
		$text = str_replace("a" ,"а", $text);		
		$text = str_replace("ä" ,"ә", $text);		
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("w" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("γ" ,"ғ", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("e" ,"э", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("q" ,"ҡ", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("ɫ" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("ŋ" ,"ң", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("ö" ,"ө", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ү", $text);
		$text = str_replace("ə̑" ,"ы", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("h" ,"һ", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("š́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("ϑ" ,"ҫ", $text);
		$text = str_replace("δ" ,"ҙ", $text);

		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Ä" ,"Ә", $text);
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("W" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("Γ" ,"Ғ", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("E" ,"Э", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("Q" ,"Ҡ", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("Ɫ" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("Ŋ" ,"Ң", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("Ö" ,"Ө", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ү", $text);
		$text = str_replace("Ə̑" ,"Ы", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("H" ,"Һ", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Š́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		$text = str_replace("Θ" ,"Ҫ", $text);
		$text = str_replace("Δ" ,"Ҙ", $text);	
	}
	else if ($lang == "tat")
	{
		$text = str_replace("åk" ,"а¤к", $text);
		$text = str_replace("ÅK" ,"А¤К", $text);
			
		$text = str_replace("o¤" ,"ə̑", $text);
		$text = str_replace("O¤" ,"Ə̑", $text);
		$text = str_replace("ö¤" ,"e", $text);
		$text = str_replace("Ö¤" ,"E", $text);
		
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("γ" ,"ғ", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("ž'" ,"җ", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("q" ,"ҡ", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("ɫ" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("ŋ" ,"ң", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("h" ,"һ", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("š́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("juβ" ,"◌ю", $text);
		$text = str_replace("jüβ" ,"◌ю¤", $text);
		$text = str_replace("ju" ,"◌ю", $text);
		$text = str_replace("jü" ,"◌ю¤", $text);
		$text = str_replace("uβ" ,"у", $text);
		$text = str_replace("üβ" ,"ү", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ү", $text);
		$text = str_replace("β" ,"в", $text);
		$text = str_replace("ja" ,"◌я", $text);
		$text = str_replace("jå" ,"◌я", $text);
		$text = str_replace("jä" ,"◌я¤", $text);
		$text = str_replace("a" ,"а", $text);
		$text = str_replace("å" ,"а", $text);
		$text = str_replace("ä" ,"ә", $text);

		$text = str_replace("ojo" ,"ое¤", $text);
		$text = str_replace("öjö" ,"өе¤", $text);		
	
		$text = str_replace("jə̑" ,"◌еъ", $text);
		$text = str_replace("je" ,"◌е", $text);
		$text = str_replace("ə̑" ,"ы", $text);
		
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("ö" ,"ө", $text);

		$text = str_replace("e" ,"⊥е", $text);
	
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("Γ" ,"Ғ", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("Ž'" ,"Җ", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("Q" ,"Ҡ", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("Ɫ" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("Ŋ" ,"Ң", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("H" ,"Һ", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Š́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		
		$text = str_replace("JUΒ" ,"◌Ю", $text);
		$text = str_replace("JÜΒ" ,"◌Ю¤", $text);
		$text = str_replace("JU" ,"◌Ю", $text);
		$text = str_replace("JÜ" ,"◌Ю¤", $text);
		$text = str_replace("UΒ" ,"У", $text);
		$text = str_replace("ÜΒ" ,"Ү", $text);
		$text = str_replace("Juβ" ,"◌Ю", $text);
		$text = str_replace("Jüβ" ,"◌Ю¤", $text);
		$text = str_replace("Ju" ,"◌Ю", $text);
		$text = str_replace("Jü" ,"◌Ю¤", $text);
		$text = str_replace("Uβ" ,"У", $text);
		$text = str_replace("Üβ" ,"Ү", $text);	
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ү", $text);
		$text = str_replace("Β" ,"В", $text);
		$text = str_replace("JA" ,"◌Я", $text);
		$text = str_replace("JÅ" ,"◌Я", $text);
		$text = str_replace("JÄ" ,"◌Я¤", $text);
		$text = str_replace("Ja" ,"◌Я", $text);
		$text = str_replace("Jå" ,"◌Я", $text);
		$text = str_replace("Jä" ,"◌Я¤", $text);
		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Å" ,"А", $text);
		$text = str_replace("Ä" ,"Ә", $text);

		$text = str_replace("OJO" ,"ОЕ¤", $text);
		$text = str_replace("ÖJÖ" ,"ӨЕ¤", $text);		
		$text = str_replace("Ojo" ,"ОЕ¤", $text);
		$text = str_replace("Öjö" ,"ӨЕ¤", $text);	
			
		$text = str_replace("JƏ̑" ,"◌ЕЪ", $text);
		$text = str_replace("JE" ,"◌Е", $text);
		$text = str_replace("Jə̑" ,"◌ЕЪ", $text);
		$text = str_replace("Je" ,"◌Е", $text);
		$text = str_replace("Ə̑" ,"Ы", $text);
			
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("Ö" ,"Ө", $text);

		$text = str_replace("E" ,"⊥Е", $text);
	
		$text = str_replace("ʔ" ,"⊥ʔ", $text);
			
		global $gr_c;
			
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."⊥",$gr_c[$i], $text);
			$text = str_replace($gr_c[$i]."◌",$gr_c[$i]."ь", $text);
		}
					
		$text = str_replace("⊥Е" ,"Э", $text);
		$text = str_replace("⊥е" ,"э", $text);
		
		$text = str_replace("⊥ʔә" ,"а¤", $text);	
		$text = str_replace("⊥ʔӘ" ,"А¤", $text);	
			
		$text = str_replace("⊥ʔ" ,"", $text);	
		
		$text = str_replace("ʔ" ,"ь", $text);
			
		$text = str_replace("АВ" ,"АВ⊥", $text);		
		$text = str_replace("Ав" ,"Ав⊥", $text);
		$text = str_replace("ав" ,"ав⊥", $text);

		$text = str_replace("ӘВ" ,"ӘВ⊥", $text);
		$text = str_replace("Әв" ,"Әв⊥", $text);
		$text = str_replace("әв" ,"әв⊥", $text);
			
		global $gr_v;
			
		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace("⊥".$gr_v[$i],$gr_v[$i], $text);
		}
					
		$text = str_replace("АВ⊥" ,"АУ", $text);		
		$text = str_replace("Ав⊥" ,"Ау", $text);
		$text = str_replace("ав⊥" ,"ау", $text);

		$text = str_replace("ӘВ⊥" ,"ӘҮ", $text);
		$text = str_replace("Әв⊥" ,"Әү", $text);
		$text = str_replace("әв⊥" ,"әү", $text);
			
		$text = str_replace("ҡә" ,"ка¤", $text);
		$text = str_replace("Ҡә" ,"Ка¤", $text);
		$text = str_replace("ҠӘ" ,"КА¤", $text);
			
		$text = str_replace("ҡе" ,"кы¤", $text);
		$text = str_replace("Ҡе" ,"Кы¤", $text);
		$text = str_replace("ҠЕ" ,"КЫ¤", $text);
		
		$text = str_replace("ҡи" ,"кы¤й", $text);
		$text = str_replace("Ҡи" ,"Кы¤й", $text);
		$text = str_replace("ҠИ" ,"КЫ¤Й", $text);
			
		$text = str_replace("ҡө" ,"ко¤", $text);
		$text = str_replace("Ҡө" ,"Ко¤", $text);
		$text = str_replace("ҠӨ" ,"КО¤", $text);
			
		$text = str_replace("ҡү" ,"ку¤", $text);
		$text = str_replace("Ҡү" ,"Ку¤", $text);
		$text = str_replace("ҠҮ" ,"КУ¤", $text);
		
		$text = str_replace("ғә" ,"га¤", $text);
		$text = str_replace("Ғә" ,"Га¤", $text);
		$text = str_replace("ҒӘ" ,"ГА¤", $text);
			
		$text = str_replace("ғе" ,"гы¤", $text);
		$text = str_replace("Ғе" ,"Гы¤", $text);
		$text = str_replace("ҒЕ" ,"ГЫ¤", $text);
		
		$text = str_replace("ғи" ,"гы¤й", $text);
		$text = str_replace("Ғи" ,"Гы¤й", $text);
		$text = str_replace("ҒИ" ,"ГЫ¤Й", $text);
		
		$text = str_replace("ғө" ,"го¤", $text);
		$text = str_replace("Ғө" ,"Го¤", $text);
		$text = str_replace("ҒӨ" ,"ГО¤", $text);
			
		$text = str_replace("ғү" ,"гу¤", $text);
		$text = str_replace("Ғү" ,"Гу¤", $text);
		$text = str_replace("ҒҮ" ,"ГУ¤", $text);
		
		$text = str_replace("әҡ" ,"әкъ", $text);
		$text = str_replace("Әҡ" ,"Әкъ", $text);
		$text = str_replace("ӘҠ" ,"ӘКЪ", $text);
			
		$text = str_replace("еҡ" ,"екъ", $text);
		$text = str_replace("Еҡ" ,"Екъ", $text);
		$text = str_replace("ЕҠ" ,"ЕКЪ", $text);
		
		$text = str_replace("иҡ" ,"икъ", $text);
		$text = str_replace("Иҡ" ,"Икъ", $text);
		$text = str_replace("ИҠ" ,"ИКЪ", $text);

		$text = str_replace("өҡ" ,"өкъ", $text);
		$text = str_replace("Өҡ" ,"Өкъ", $text);
		$text = str_replace("ӨҠ" ,"ӨКЪ", $text);

		$text = str_replace("үҡ" ,"үкъ", $text);
		$text = str_replace("Үҡ" ,"Үкъ", $text);
		$text = str_replace("ҮҠ" ,"ҮКЪ", $text);

		$text = str_replace("әғ" ,"әгъ", $text);
		$text = str_replace("Әғ" ,"Әгъ", $text);
		$text = str_replace("ӘҒ" ,"ӘГЪ", $text);
			
		$text = str_replace("еғ" ,"егъ", $text);
		$text = str_replace("Еғ" ,"Егъ", $text);
		$text = str_replace("ЕҒ" ,"ЕГЪ", $text);
		
		$text = str_replace("иғ" ,"игъ", $text);
		$text = str_replace("Иғ" ,"Игъ", $text);
		$text = str_replace("ИҒ" ,"ИГЪ", $text);

		$text = str_replace("өғ" ,"өгъ", $text);
		$text = str_replace("Өғ" ,"Өгъ", $text);
		$text = str_replace("ӨҒ" ,"ӨГЪ", $text);

		$text = str_replace("үғ" ,"үгъ", $text);
		$text = str_replace("Үғ" ,"Үгъ", $text);
		$text = str_replace("ҮҒ" ,"ҮГЪ", $text);

			
		$text = str_replace("ИЙ" ,"И", $text);
		$text = str_replace("Ий" ,"И", $text);
		$text = str_replace("ий" ,"и", $text);
			
		global $tat_vel;
		global $tat_pal;	
		
		$velar = 0;
		$pending = 0;
		$x = "";
				
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$prev = $x;
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if ($x == "ь" && mb_strtolower($prev, "UTF-8") != $prev)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."Ь".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				$x = "Ь";
			}
			
			if ($x == "ь" && $velar == 1)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."ъ".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			}
			else if ($x == "Ь" && $velar == 1)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."Ъ".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			}
			else if(in_array($x, $tat_pal))
			{
				$velar = 0;
			}
			else if(in_array($x, $tat_vel))
			{
				$velar = 1;
			}
				
			if ($x == "¤")
			{
				$pending = 1;
			}
			else if(in_array($x, $tat_vel) || in_array($x, $tat_pal))
			{
				$pending = 0;
			}
			else if (!in_array($x, $gr_c) && $pending == 1 && in_array($prev, $gr_c))
			{
				$add = "ь";
				
				if (mb_strtolower($prev, "UTF-8") != $prev)
					$add = "Ь";
		
				$text = mb_substr($text,0,$i,"UTF-8").$add.mb_substr($text,$i,mb_strlen($text),"UTF-8");
				$pending = 0;
			}
			
			}
	}
	else if ($lang == "rus")
	{
		$text = str_replace("Ž'Ž'","ЗЖ", $text);
		$text = str_replace("ž'ž'","зж", $text);
		
		$text = str_replace("'A" ,"Я", $text);
		$text = str_replace("'а" ,"я", $text);
		
		$text = str_replace("JA" ,"Я", $text);
		$text = str_replace("Ja" ,"Я", $text);
		$text = str_replace("ja" ,"я", $text);
		
		$text = str_replace("'E" ,"Е", $text);
		$text = str_replace("'e" ,"е", $text);
		
		$text = str_replace("JE" ,"Е", $text);
		$text = str_replace("Je" ,"Е", $text);
		$text = str_replace("je" ,"е", $text);
		
		$text = str_replace("'О" ,"Ё", $text);
		$text = str_replace("'о" ,"ё", $text);
		
		$text = str_replace("JО" ,"Ё", $text);
		$text = str_replace("Jо" ,"Ё", $text);
		$text = str_replace("jo" ,"ё", $text);

		$text = str_replace("'U" ,"Ю", $text);
		$text = str_replace("'u" ,"ю", $text);

		$text = str_replace("JU" ,"Ю", $text);
		$text = str_replace("Ju" ,"Ю", $text);
		$text = str_replace("ju" ,"ю", $text);
		
		$text = str_replace("'i","и", $text);
		$text = str_replace("'I","И", $text);
				
		$text = str_replace("'", "ь", $text);
		$text = str_replace("*", "ъ", $text);

		$text = str_replace("Š́:", "Щ", $text);
		$text = str_replace("š́:", "щ", $text);
		
		$text = str_replace("ï","ы", $text);
		$text = str_replace("Ï","Ы", $text);
		
		$text = str_replace("n","н", $text);
		$text = str_replace("N","Н", $text);
			
		$text = str_replace("a","а", $text);			
		$text = str_replace("b","б", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("e","э", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("γ","г", $text);
		$text = str_replace("i","и", $text);
		$text = str_replace("j","[й]", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("č","ч", $text);

		$text = str_replace("A","А", $text);
		$text = str_replace("B","Б", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("E","Э", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("Γ","Г", $text);
		$text = str_replace("I","И", $text);
		$text = str_replace("J","[Й]", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("O","О", $text);
		$text = str_replace("P","П", $text);
		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("U","У", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("Z","З", $text);

		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Č","Ч", $text);
		
		global $gr_v;

		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v[$i]."[",$gr_v[$i], $text);
			$text = str_replace("]".$gr_v[$i],$gr_v[$i], $text);
		}
		
		$text = str_replace("[Й]","Ь", $text);
		$text = str_replace("[й]","ь", $text);
		
		$text = str_replace("Й]","Й", $text);
		$text = str_replace("й]","й", $text);

		$text = str_replace("[Й","Й", $text);
		$text = str_replace("[й","й", $text);
	}
	else if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("ë","ё", $text);
		$text = str_replace("z̄","ӝ", $text);
		$text = str_replace("z̈","ӟ", $text);
		$text = str_replace("î","ӥ", $text);
		$text = str_replace("c̈","ӵ", $text);
		$text = str_replace("ŝ","щ", $text);
		$text = str_replace("è","э", $text);
		$text = str_replace("û","ю", $text);		
		$text = str_replace("â","я", $text);		
		$text = str_replace("\"","ъ", $text);	
		
		$text = str_replace("Ë","Ё", $text);
		$text = str_replace("Z̄","Ӝ", $text);
		$text = str_replace("Z̈","Ӟ", $text);
		$text = str_replace("Î","Ӥ", $text);
		$text = str_replace("C̈","Ӵ", $text);
		$text = str_replace("Ŝ","Щ", $text);
		$text = str_replace("È","Э", $text);
		$text = str_replace("Û","Ю", $text);
		$text = str_replace("Â","Я", $text);

		
		$text = str_replace("ń","n'", $text);
		$text = str_replace("Ń","N'", $text);
		$text = str_replace("š́","š'", $text);
		$text = str_replace("Š́","Š'", $text);
		$text = str_replace("ś","s'", $text);
		$text = str_replace("Ś","S'", $text);
		$text = str_replace("ź","z'", $text);
		$text = str_replace("Ź","Z'", $text);
			

		$text = str_replace("'j","ьj", $text);
		$text = str_replace("'J","ЬJ", $text);

		$text = str_replace("e̮","ӧ", $text);
		$text = str_replace("E̮","Ӧ", $text);
		
		$text = str_replace("jӧ","йӧ", $text);
		$text = str_replace("Jӧ","Йӧ", $text);
		$text = str_replace("JӦ","ЙӦ", $text);


		$text = str_replace("i̮","ы", $text);
		$text = str_replace("I̮","Ы", $text);		
		
		$text = str_replace("jы","йы", $text);
		$text = str_replace("Jы","Йы", $text);		
		$text = str_replace("JЫ","ЙЫ", $text);
		
		global $udm_cl;
		
		for ($i = 0; $i < count($udm_cl); $i++)
		{
			$text = str_replace($udm_cl[$i]."j",$udm_cl[$i]."ъj", $text);
			$text = str_replace($udm_cl[$i]."J",$udm_cl[$i]."ЪJ", $text);
		}
		
		$text = str_replace("ja","я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("JA","Я", $text);
		$text = str_replace("'a","я", $text);
		$text = str_replace("'A","Я", $text);
		$text = str_replace("a","а", $text);
		$text = str_replace("A","А", $text);
		
		$text = str_replace("ju","ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("JU","Ю", $text);
		$text = str_replace("'u","ю", $text);
		$text = str_replace("'U","Ю", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("U","У", $text);
		
		$text = str_replace("jo","ё", $text);
		$text = str_replace("Jo","Ё", $text);
		$text = str_replace("JO","Ё", $text);
		$text = str_replace("'o","ё", $text);
		$text = str_replace("'O","Ё", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("O","О", $text);
		
		$text = str_replace("'i","и", $text);
		$text = str_replace("'I","И", $text);
		
		$text = str_replace("li","лӥ", $text);
		$text = str_replace("Li","Лӥ", $text);
		$text = str_replace("LI","ЛӤ", $text);

		$text = str_replace("ni","нӥ", $text);
		$text = str_replace("Ni","Нӥ", $text);
		$text = str_replace("NI","НӤ", $text);

		$text = str_replace("si","сӥ", $text);
		$text = str_replace("Si","Сӥ", $text);
		$text = str_replace("SI","СӤ", $text);

		$text = str_replace("zi","зӥ", $text);
		$text = str_replace("Zi","Зӥ", $text);
		$text = str_replace("ZI","ЗӤ", $text);

		$text = str_replace("di","дӥ", $text);
		$text = str_replace("Di","Дӥ", $text);
		$text = str_replace("DI","ДӤ", $text);

		$text = str_replace("ti","тӥ", $text);
		$text = str_replace("Ti","Тӥ", $text);
		$text = str_replace("TI","ТӤ", $text);
		
		$text = str_replace("i","и", $text);
		$text = str_replace("I","И", $text);
		
		$text = str_replace("je","е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("JE","Е", $text);
		$text = str_replace("'e","е", $text);
		$text = str_replace("'E","Е", $text);
		
		
		
		$text = str_replace("le","лэ", $text);
		$text = str_replace("Le","Лэ", $text);
		$text = str_replace("LE","ЛЭ", $text);

		$text = str_replace("ne","нэ", $text);
		$text = str_replace("Ne","Нэ", $text);
		$text = str_replace("NE","НЭ", $text);

		$text = str_replace("se","сэ", $text);
		$text = str_replace("Se","Сэ", $text);
		$text = str_replace("SE","СЭ", $text);

		$text = str_replace("ze","зэ", $text);
		$text = str_replace("Ze","Зэ", $text);
		$text = str_replace("ZE","ЗЭ", $text);

		$text = str_replace("de","дэ", $text);
		$text = str_replace("De","Дэ", $text);
		$text = str_replace("DE","ДЭ", $text);

		$text = str_replace("te","тэ", $text);
		$text = str_replace("Te","Тэ", $text);
		$text = str_replace("TE","ТЭ", $text);
	
		$text = str_replace("š'š'","щ", $text);	
		
		$text = str_replace("'","ь", $text);
		$text = str_replace("Š'Š'","Щ", $text);
		$text = str_replace("Š'š'","Щ", $text);
			
		$text = str_replace("b","б", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("ǯ","ӝ", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("ʒ́","ӟ", $text);
		$text = str_replace("j","й", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("n","н", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("č́","ч", $text);
		$text = str_replace("č","ӵ", $text);
		$text = str_replace("š","ш", $text);

										
		$text = str_replace("B","Б", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Ǯ","Ӝ", $text);
		$text = str_replace("Z","З", $text);
		$text = str_replace("Ʒ́","Ӟ", $text);
		$text = str_replace("J","Й", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("N","Н", $text);
		$text = str_replace("P","П", $text);
		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("Č́","Ч", $text);
		$text = str_replace("Č","Ӵ", $text);
		$text = str_replace("Š","Ш", $text);


		$text = str_replace("льль","лль", $text);		
		$text = str_replace("ЛЬЛЬ","ЛЛЬ", $text);	

		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."e",$gr_c[$i]."е", $text);
			$text = str_replace($gr_c[$i]."E",$gr_c[$i]."Е", $text);
		}

		$text = str_replace("e","э", $text);
		$text = str_replace("E","Э", $text);		
		
		if ($lang == "kom")
		{
			$text = str_replace("Ӝ","Дж", $text);
			$text = str_replace("Ӵ","Тш", $text);
			$text = str_replace("Ӟ","Дз", $text);
			$text = str_replace("Ӥ","І", $text);

			$text = str_replace("ӝ","дж", $text);
			$text = str_replace("ӵ","тш", $text);
			$text = str_replace("ӟ","дз", $text);
			$text = str_replace("ӥ","і", $text);
		}
		
	}
	else if ($lang == "mns")
	{
		
		$text = str_replace("ŕ","r'", $text);
		$text = str_replace("Ŕ","R'", $text);			
		
		$text = str_replace("ź","z'", $text);
		$text = str_replace("Ź","Z'", $text);			
		
		$text = str_replace("ṕ","p'", $text);
		$text = str_replace("Ṕ","P'", $text);			

		$text = str_replace("ḿ","m'", $text);
		$text = str_replace("Ḿ","M'", $text);	
		
		$text = str_replace("ś","s'", $text);
		$text = str_replace("Ś","S'", $text);	
		
		$text = str_replace("ń","n'", $text);
		$text = str_replace("Ń","N'", $text);

		$text = str_replace("ľ","l'", $text);
		$text = str_replace("Ľ","L'", $text);

		$text = str_replace("ť","t'", $text);
		$text = str_replace("Ť","T'", $text);

		$text = str_replace("'ə","'i", $text);
		

		$text = str_replace("əm","um", $text);
		$text = str_replace("əp","up", $text);
		$text = str_replace("əw","uw", $text);

		$text = str_replace("īγ","ы̄г", $text);
		$text = str_replace("ĪΓ","Ы̄Г", $text);		

		$text = str_replace("iγ","ыг", $text);
		$text = str_replace("IΓ","ЫГ", $text);
		

		$text = str_replace("'j","ьj", $text);
		$text = str_replace("'J","ЬJ", $text);
		
		global $gr_clat;
		
		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat[$i]."j",$gr_clat[$i]."ъj", $text);
			$text = str_replace($gr_clat[$i]."J",$gr_clat[$i]."ЪJ", $text);
		}

		$text = str_replace("jā","я̄", $text);
		$text = str_replace("Jā","Я̄", $text);
		$text = str_replace("JĀ","Я̄", $text);
		$text = str_replace("'ā","я̄", $text);
		$text = str_replace("'Ā","Я̄", $text);
		$text = str_replace("ā","а̄", $text);
		$text = str_replace("Ā","А̄", $text);

		$text = str_replace("ja","я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("JA","Я", $text);
		$text = str_replace("'a","я", $text);
		$text = str_replace("'A","Я", $text);
		$text = str_replace("a","а", $text);
		$text = str_replace("A","А", $text);
		
		
		$text = str_replace("jū","ю̄", $text);
		$text = str_replace("Jū","Ю̄", $text);
		$text = str_replace("JŪ","Ю̄", $text);
		$text = str_replace("'ū","ю̄", $text);
		$text = str_replace("'Ū","Ю̄", $text);
		$text = str_replace("ū","ӯ", $text);
		$text = str_replace("Ū","Ӯ", $text);		

		$text = str_replace("ju","ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("JU","Ю", $text);
		$text = str_replace("'u","ю", $text);
		$text = str_replace("'U","Ю", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("U","У", $text);
	
	
		$text = str_replace("jō","ё̄", $text);
		$text = str_replace("Jō","Ё̄", $text);
		$text = str_replace("JŌ","Ё̄", $text);
		$text = str_replace("'ō","ё̄", $text);
		$text = str_replace("'Ō","Ё̄", $text);
		$text = str_replace("ō","о̄", $text);
		$text = str_replace("Ō","О̄", $text);
		
		$text = str_replace("jo","ё", $text);
		$text = str_replace("Jo","Ё", $text);
		$text = str_replace("JO","Ё", $text);
		$text = str_replace("'o","ё", $text);
		$text = str_replace("'O","Ё", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("O","О", $text);		


		$text = str_replace("jē","е̄", $text);
		$text = str_replace("Jē","Е̄", $text);
		$text = str_replace("JĒ","Е̄", $text);

		$text = str_replace("je","е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("JE","Е", $text);	
		
		
		$text = str_replace("ni","ны", $text);
		$text = str_replace("Ni","Ны", $text);
		$text = str_replace("NI","НЫ", $text);

		$text = str_replace("li","лы", $text);
		$text = str_replace("Li","Лы", $text);
		$text = str_replace("LI","ЛЫ", $text);

		$text = str_replace("si","сы", $text);
		$text = str_replace("Si","Сы", $text);
		$text = str_replace("SI","СЫ", $text);		
		
		$text = str_replace("ti","ты", $text);
		$text = str_replace("Ti","Ты", $text);
		$text = str_replace("TI","ТЫ", $text);

		$text = str_replace("i","и", $text);
		$text = str_replace("I","И", $text);	
		
		
		$text = str_replace("nī","ны̄", $text);
		$text = str_replace("Nī","Ны̄", $text);
		$text = str_replace("NĪ","НЫ̄", $text);

		$text = str_replace("lī","лы̄", $text);
		$text = str_replace("Lī","Лы̄", $text);
		$text = str_replace("LĪ","ЛЫ̄", $text);

		$text = str_replace("sī","сы̄", $text);
		$text = str_replace("Sī","Сы̄", $text);
		$text = str_replace("SĪ","СЫ̄", $text);		
		
		$text = str_replace("tī","ты̄", $text);
		$text = str_replace("Tī","Ты̄", $text);
		$text = str_replace("TĪ","ТЫ̄", $text);

		$text = str_replace("ī","ӣ", $text);
		$text = str_replace("Ī","Ӣ", $text);	

		$text = str_replace("ne","нэ", $text);
		$text = str_replace("Ne","Нэ", $text);
		$text = str_replace("NE","НЭ", $text);

		$text = str_replace("le","лэ", $text);
		$text = str_replace("Le","Лэ", $text);
		$text = str_replace("LE","ЛЭ", $text);

		$text = str_replace("se","сэ", $text);
		$text = str_replace("Se","Сэ", $text);
		$text = str_replace("SE","СЭ", $text);		
		
		$text = str_replace("te","тэ", $text);
		$text = str_replace("Te","Тэ", $text);
		$text = str_replace("TE","ТЭ", $text);


		$text = str_replace("nē","нэ̄", $text);
		$text = str_replace("Nē","Нэ̄", $text);
		$text = str_replace("NĒ","НЭ̄", $text);

		$text = str_replace("lē","лэ̄", $text);
		$text = str_replace("Lē","Лэ̄", $text);
		$text = str_replace("LĒ","ЛЭ̄", $text);

		$text = str_replace("sē","сэ̄", $text);
		$text = str_replace("Sē","Сэ̄", $text);
		$text = str_replace("SĒ","СЭ̄", $text);		
		
		$text = str_replace("tē","тэ̄", $text);
		$text = str_replace("Tē","Тэ̄", $text);
		$text = str_replace("TĒ","ТЭ̄", $text);

		$text = str_replace("tē","тэ̄", $text);




			
		$text = str_replace("b","б", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("w","в", $text);
		$text = str_replace("ʷ","в", $text);
		$text = str_replace("ə","ы", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("γ","г", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("j","й", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("n","н", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("č","ч", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("ŋ","ӈ", $text);
		$text = str_replace("η","ӈ", $text);
										
		$text = str_replace("B","Б", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("W","В", $text);
		$text = str_replace("Ə","Ы", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("Γ","Г", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Z","З", $text);
		$text = str_replace("J","Й", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("N","Н", $text);
		$text = str_replace("P","П", $text);
		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("Č́","Ч", $text);
		$text = str_replace("Č","Ӵ", $text);
		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Ŋ","Ӈ", $text);


		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."e",$gr_c[$i]."е", $text);
			$text = str_replace($gr_c[$i]."E",$gr_c[$i]."Е", $text);
			$text = str_replace($gr_c[$i]."ē",$gr_c[$i]."е̄", $text);
			$text = str_replace($gr_c[$i]."Ē",$gr_c[$i]."Е̄", $text);

		}

		$text = str_replace("e","э", $text);
		$text = str_replace("E","Э", $text);	

		$text = str_replace("ē","э̄", $text);
		$text = str_replace("Ē","Э̄", $text);
		
		$text = str_replace("'э","е", $text);		
		$text = str_replace("'Э","Е", $text);			

		$text = str_replace("'и","и", $text);		
		$text = str_replace("'И","И", $text);

		$text = str_replace("'ӣ","ӣ", $text);		
		$text = str_replace("'Ӣ","Ӣ", $text);
		
		$text = str_replace("'","ь", $text);			
	}
	else
	{

		$text = str_replace("t'ä" ,"t'a", $text);
		$text = str_replace("T'Ä" ,"T'A", $text);		
		$text = str_replace("n'ä" ,"n'a", $text);
		$text = str_replace("N'Ä" ,"N'A", $text);
		$text = str_replace("l'ä" ,"l'a", $text);
		$text = str_replace("L'Ä" ,"L'A", $text);
		
		$text = str_replace("č́" ,"č", $text);
		$text = str_replace("Č́" ,"Č", $text);

	
		$text = str_replace("ń" ,"n'", $text);
		$text = str_replace("ĺ" ,"l'", $text);
		$text = str_replace("ć" ,"c'", $text);
		$text = str_replace("ŕ" ,"r'", $text);
		$text = str_replace("ś" ,"s'", $text);
		$text = str_replace("ź" ,"z'", $text);		
		$text = str_replace("ḿ" ,"m'", $text);			
		$text = str_replace("ṕ" ,"p'", $text);	

		$text = str_replace("Ń" ,"N'", $text);
		$text = str_replace("Ĺ" ,"L'", $text);
		$text = str_replace("Ć" ,"C'", $text);
		$text = str_replace("Ŕ" ,"R'", $text);
		$text = str_replace("Ś" ,"S'", $text);
		$text = str_replace("Ź" ,"Z'", $text);		
		$text = str_replace("Ḿ" ,"M'", $text);			
		$text = str_replace("Ṕ" ,"P'", $text);	
	
		$text = str_replace("ʟ'" ,"льх", $text);
		$text = str_replace("ʟ" ,"лх", $text);
		$text = str_replace("ʀ́" ,"рьх", $text);		
		$text = str_replace("ʀ" ,"рх", $text);			
		$text = str_replace("ᴊ" ,"йх", $text);	
		
		
		$text = str_replace("'e","e", $text);
		$text = str_replace("'i","i", $text);

		$text = str_replace("'qqqqe","qqqqe", $text);
		$text = str_replace("'qqqqi","qqqqi", $text);
		
		$text = str_replace("je","е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("JE","Е", $text);
		
		if ($lang == "mdf")
		{
			$text = str_replace("'ä" ,"я", $text);
			$text = str_replace("'Ä" ,"Я", $text);			

			$text = str_replace("ä" ,"я", $text);
			$text = str_replace("Ä" ,"Я", $text);		
		}
		

		$last = "|";
		
		if (strlen($text) > 1)
			$c = $text[strlen($text)-2];
		else
			$c = "";
		
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$c = mb_substr($text, $i, 1,"UTF-8");

			if ($c == "e")
			{
				if (!is_clat($last) && !is_c($last))
					$text = mb_substr($text,0,$i,"UTF-8")."э".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
				else
					$text = mb_substr($text,0,$i,"UTF-8")."е".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			}
			else if ($c == "E")
			{
				if (!is_clat($last) && !is_c($last))
					$text = mb_substr($text,0,$i,"UTF-8")."Э".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
				else
					$text = mb_substr($text,0,$i,"UTF-8")."Е".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			}
			
			$last = $c;
		}
		
		$text = str_replace("qqqq", "", $text);
			
		$text = str_replace("Š́:", "Щ", $text);
		$text = str_replace("š́:", "щ", $text);
				
		$text = str_replace("ja","я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("JA","Я", $text);

		$text = str_replace("'a","я", $text);
		$text = str_replace("'A","Я", $text);
		
		$text = str_replace("ju","ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("JU","Ю", $text);

		$text = str_replace("'u","ю", $text);
		$text = str_replace("'U","Ю", $text);
		
		$text = str_replace("ö","ӧ", $text);
		$text = str_replace("Ö","Ӧ", $text);	

		$text = str_replace("ü","ӱ", $text);
		$text = str_replace("Ü","Ӱ", $text);
		
		$text = str_replace("'", "ь", $text);
		$text = str_replace("*", "ъ", $text);

		$text = str_replace("ä","ӓ", $text);
		$text = str_replace("Ä","Ӓ", $text);
		
		$text = str_replace("ə̑","ы", $text);
		$text = str_replace("Ə̑","Ы", $text);
		$text = str_replace("ə","ӹ", $text);
		$text = str_replace("Ə","Ӹ", $text);
		
		$text = str_replace("lj","ль", $text);
		$text = str_replace("Lj","Ль", $text);
		$text = str_replace("LJ","ЛЬ", $text);
					
		$text = str_replace("nj","нь", $text);
		$text = str_replace("Nj","Нь", $text);
		$text = str_replace("NJ","НЬ", $text);

		$text = str_replace("tj","ть", $text);
		$text = str_replace("Tj","Ть", $text);
		$text = str_replace("TJ","ТЬ", $text);
		
		$text = str_replace("n","н", $text);
		$text = str_replace("N","Н", $text);
	
		$text = str_replace("ŋ","ҥ", $text);
		$text = str_replace("Ŋ","Ҥ", $text);

		$text = str_replace("a","а", $text);
		$text = str_replace("b","б", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("h","х", $text);
		$text = str_replace("i","и", $text);
		$text = str_replace("j","[й]", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("q","ӹ", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("w","в", $text);
		$text = str_replace("x","х", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("č","ч", $text);

		$text = str_replace("A","А", $text);
		$text = str_replace("B","Б", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("H","Х", $text);
		$text = str_replace("I","И", $text);
		$text = str_replace("J","[Й]", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("O","О", $text);
		$text = str_replace("P","П", $text);

		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("U","У", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("W","В", $text);
		$text = str_replace("X","Х", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("Z","З", $text);

		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Č","Ч", $text);
		
		global $gr_v;

		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v[$i]."[",$gr_v[$i], $text);
			$text = str_replace("]".$gr_v[$i],$gr_v[$i], $text);
		}
		
		$text = str_replace("[Й]","Ь", $text);
		$text = str_replace("[й]","ь", $text);
		
		$text = str_replace("Й]","Й", $text);
		$text = str_replace("й]","й", $text);

		$text = str_replace("[Й","Й", $text);
		$text = str_replace("[й","й", $text);
	}
	
	return $text;
}

function cyr_to_lat($text, $lang, $assim)
{
	$text = str_replace("¤", "'", $text);
	
	if ($lang == "tat" || $lang == "bak")
	{
		if ($lang == "tat" )
		{
			$text = str_replace("ЮК", "ЮҠ", $text);
			$text = str_replace("Юк", "Юҡ", $text);
			$text = str_replace("юк", "юҡ", $text);

			$text = str_replace("ЯК", "ЯҠ", $text);
			$text = str_replace("Як", "Яҡ", $text);
			$text = str_replace("як", "яҡ", $text);		

			$text = str_replace("ГА", "ҒА", $text);
			$text = str_replace("Га", "Ға", $text);
			$text = str_replace("га", "ға", $text);

			$text = str_replace("КА", "ҠА", $text);
			$text = str_replace("Ка", "Ҡа", $text);
			$text = str_replace("ка", "ҡа", $text);		

			$text = str_replace("ГЫ", "ҒЫ", $text);
			$text = str_replace("Гы", "Ғы", $text);
			$text = str_replace("гы", "ғы", $text);

			$text = str_replace("КЫ", "ҠЫ", $text);
			$text = str_replace("Кы", "Ҡы", $text);
			$text = str_replace("кы", "ҡы", $text);	

			$text = str_replace("ГО", "ҒО", $text);
			$text = str_replace("Го", "Ғо", $text);
			$text = str_replace("го", "ғо", $text);

			$text = str_replace("КО", "ҠО", $text);
			$text = str_replace("Ко", "Ҡо", $text);
			$text = str_replace("ко", "ҡо", $text);	

			$text = str_replace("ГУ", "ҒУ", $text);
			$text = str_replace("Гу", "Ғу", $text);
			$text = str_replace("гу", "ғу", $text);
			
			$text = str_replace("КУ", "ҠУ", $text);
			$text = str_replace("Ку", "Ҡу", $text);
			$text = str_replace("ку", "ҡу", $text);			
			
			$text = str_replace("АГ", "АҒ", $text);
			$text = str_replace("Аг", "Ағ", $text);
			$text = str_replace("аг", "ағ", $text);

			$text = str_replace("АК", "АҠ", $text);
			$text = str_replace("Ак", "Аҡ", $text);
			$text = str_replace("ак", "аҡ", $text);		

			$text = str_replace("ЫГ", "ЫҒ", $text);
			$text = str_replace("Ыг", "Ығ", $text);
			$text = str_replace("ыг", "ығ", $text);

			$text = str_replace("ЫК", "ЫҠ", $text);
			$text = str_replace("Ык", "Ыҡ", $text);
			$text = str_replace("ык", "ыҡ", $text);	

			$text = str_replace("ОГ", "ОҒ", $text);
			$text = str_replace("Ог", "Оғ", $text);
			$text = str_replace("ог", "оғ", $text);

			$text = str_replace("ОК", "ОҠ", $text);
			$text = str_replace("Ок", "Оҡ", $text);
			$text = str_replace("ок", "оҡ", $text);	

			$text = str_replace("УГ", "УҒ", $text);
			$text = str_replace("Уг", "Уғ", $text);
			$text = str_replace("уг", "уғ", $text);
			
			$text = str_replace("УК", "УҠ", $text);
			$text = str_replace("Ук", "Уҡ", $text);
			$text = str_replace("ук", "уҡ", $text);			
			
			$text = str_replace("ЫЙК", "ЫЙҠ", $text);
			$text = str_replace("ыйк", "ыйҡ", $text);
			
			$text = str_replace("ЫЙГ", "ЫЙҒ", $text);
			$text = str_replace("ыйг", "ыйғ", $text);	
				
			$text = str_replace("АУ", "AΒ", $text);
			$text = str_replace("Ау", "Aβ", $text);
			$text = str_replace("ау", "aβ", $text);
		
			$text = str_replace("ӘҮ", "ÄΒ", $text);
			$text = str_replace("Әү", "Äβ", $text);
			$text = str_replace("әү", "äβ", $text);
			
			$text = str_replace("ЙЕ", "JJE", $text);
			$text = str_replace("Йе", "Jje", $text);
			$text = str_replace("йе", "jje", $text);
			
			$text = str_replace("ИИ", "IJИ", $text);
			$text = str_replace("Ии", "Ijи", $text);
			$text = str_replace("ии", "ijи", $text);
		
			$text = str_replace("АЕ", "АJƏ̑", $text);
			$text = str_replace("Ае", "Аjə̑", $text);
			$text = str_replace("ае", "аjə̑", $text);
			
			$text = str_replace("ӘЕ", "ÄJE", $text);
			$text = str_replace("Әе", "Äje", $text);
			$text = str_replace("әе", "äje", $text);

			$text = str_replace("ЕЕ", "EJE", $text);
			$text = str_replace("Ее", "Eje", $text);
			$text = str_replace("ее", "eje", $text);

			$text = str_replace("ИЕ", "IJE", $text);
			$text = str_replace("Ие", "Ije", $text);
			$text = str_replace("ие", "ije", $text);

			$text = str_replace("ОЕ", "OJO", $text);
			$text = str_replace("Ое", "Ojo", $text);
			$text = str_replace("ое", "ojo", $text);

			$text = str_replace("ӨЕ", "ÖJÖ", $text);
			$text = str_replace("Өе", "Öjö", $text);
			$text = str_replace("өе", "öjö", $text);

			$text = str_replace("УЕ", "UJƏ̑", $text);
			$text = str_replace("Уе", "Ujə̑", $text);
			$text = str_replace("уе", "ujə̑", $text);
			

			$text = str_replace("ҮЕ", "ÜJE", $text);
			$text = str_replace("Үе", "Üje", $text);
			$text = str_replace("үе", "üje", $text);

			$text = str_replace("ЫЕ", "Ə̑JƏ̑", $text);
			$text = str_replace("Ые", "Ə̑jə̑", $text);
			$text = str_replace("ые", "ə̑jə̑", $text);
			
			$text = str_replace("АЮ", "АJU⊥", $text);
			$text = str_replace("Аю", "Аju⊥", $text);
			$text = str_replace("аю", "аju⊥", $text);
			
			$text = str_replace("ӘЮ", "ÄJÜ⊥", $text);
			$text = str_replace("Әю", "Äjü⊥", $text);
			$text = str_replace("әю", "äjü⊥", $text);

			$text = str_replace("ЕЮ", "EJÜ⊥", $text);
			$text = str_replace("Ею", "Ejü⊥", $text);
			$text = str_replace("ею", "ejü⊥", $text);

			$text = str_replace("ИЮ", "IJÜ⊥", $text);
			$text = str_replace("Ию", "Ijü⊥", $text);
			$text = str_replace("ию", "ijü⊥", $text);
		
			$text = str_replace("ОЮ", "OJU⊥", $text);
			$text = str_replace("Ою", "Oju⊥", $text);
			$text = str_replace("ою", "oju⊥", $text);

			$text = str_replace("ӨЮ", "ÖJÜ⊥", $text);
			$text = str_replace("Өю", "Öjü⊥", $text);
			$text = str_replace("өю", "öjü⊥", $text);

			$text = str_replace("УЮ", "UJU⊥", $text);
			$text = str_replace("Ую", "Uju⊥", $text);
			$text = str_replace("ую", "uju⊥", $text);

			$text = str_replace("ҮЮ", "ÜJÜ⊥", $text);
			$text = str_replace("Үю", "Üjü⊥", $text);
			$text = str_replace("үю", "üjü⊥", $text);

			$text = str_replace("ЫЮ", "Ə̑JU⊥", $text);
			$text = str_replace("Ыю", "Ə̑ju⊥", $text);
			$text = str_replace("ыю", "ə̑ju⊥", $text);

			$text = str_replace("АЯ", "АJA", $text);
			$text = str_replace("Ая", "Аja", $text);
			$text = str_replace("ая", "аja", $text);
			
			$text = str_replace("ӘЯ", "ÄJÄ", $text);
			$text = str_replace("Әя", "Äjä", $text);
			$text = str_replace("әя", "äjä", $text);

			$text = str_replace("ЕЯ", "EJÄ", $text);
			$text = str_replace("Ея", "Ejä", $text);
			$text = str_replace("ея", "ejä", $text);

			$text = str_replace("ИЯ", "IJÄ", $text);
			$text = str_replace("Ия", "Ijä", $text);
			$text = str_replace("ия", "ijä", $text);

			$text = str_replace("ОЯ", "OJA", $text);
			$text = str_replace("Оя", "Oja", $text);
			$text = str_replace("оя", "oja", $text);

			$text = str_replace("ӨЯ", "ÖJÄ", $text);
			$text = str_replace("Өя", "Öjä", $text);
			$text = str_replace("өя", "öjä", $text);

			$text = str_replace("УЯ", "UJA", $text);
			$text = str_replace("Уя", "Uja", $text);
			$text = str_replace("уя", "uja", $text);

			$text = str_replace("ҮЯ", "ÜJÄ", $text);
			$text = str_replace("Үя", "Üjä", $text);
			$text = str_replace("үя", "üjä", $text);

			$text = str_replace("ЫЯ", "Ə̑JA", $text);
			$text = str_replace("Ыя", "Ə̑ja", $text);
			$text = str_replace("ыя", "ə̑ja", $text);

			$text = str_replace("ЪЯ", "Ъ⊥JA", $text);
			$text = str_replace("ъя", "ъ⊥ja", $text);

			$text = str_replace("ЬЯ", "Ь⊥JA", $text);
			$text = str_replace("ья", "ь⊥ja", $text);		
		
			$text = str_replace("ЪЮ", "Ъ⊥JU", $text);
			$text = str_replace("ъю", "ъ⊥ju", $text);

			$text = str_replace("ЬЮ", "Ь⊥JU", $text);
			$text = str_replace("ью", "ь⊥ju", $text);	

			$text = str_replace("ЪЕ", "Ъ⊥JU", $text);
			$text = str_replace("ъе", "ъ⊥ju", $text);

			$text = str_replace("ЬЕ", "Ь⊥JƏ̑", $text);
			$text = str_replace("ье", "ь⊥jə̑", $text);
		
			$text = str_replace("Я", "Ja", $text);
			$text = str_replace("я", "ja", $text);
		
			$text = str_replace("Ю", "Ju", $text);
			$text = str_replace("ю", "ju", $text);

			$text = str_replace("Е", "⊥Е", $text);
			$text = str_replace("е", "⊥e", $text);

			$text = str_replace("У", "U⊥", $text);
			$text = str_replace("у", "u⊥", $text);
			
			$text = str_replace("Ү", "Ü⊥", $text);
			$text = str_replace("ү", "ü⊥", $text);

			$text = str_replace("И", "И⊥", $text);
			$text = str_replace("и", "i⊥", $text);
			
			global $gr_c;
			
			for ($i = 0; $i < count($gr_c); $i++)
			{
				$text = str_replace($gr_c[$i]."⊥",$gr_c[$i], $text);
				$text = str_replace("⊥".$gr_c[$i],$gr_c[$i], $text);
			}
		
	
			$text = str_replace("⊥E", "Jə̑", $text);
			$text = str_replace("⊥e", "jə̑", $text);		
			
			$text = str_replace("⊥E", "Jə̑", $text);
			$text = str_replace("⊥e", "jə̑", $text);
	
			$text = str_replace("U⊥", "Uβ", $text);
			$text = str_replace("u⊥", "uβ", $text);
			
			$text = str_replace("Ü⊥", "Üβ", $text);
			$text = str_replace("ü⊥", "üβ", $text);

			$text = str_replace("I⊥", "Ij", $text);
			$text = str_replace("i⊥", "ij", $text);
		
			$text = str_replace("АҠЬ", "ÅK", $text);
			$text = str_replace("аҡь", "åk", $text);

			$text = str_replace("КЪ", "Ҡ", $text);
			$text = str_replace("Къ", "Ҡ", $text);
			$text = str_replace("къ", "ҡ", $text);

			$text = str_replace("ГЪ", "Ғ", $text);
			$text = str_replace("Гъ", "Ғ", $text);
			$text = str_replace("гъ", "ғ", $text);

			$text = str_replace("ӨА", "Ө⊥Ә", $text);
			$text = str_replace("өа", "ө⊥ә", $text);
		
			$text = str_replace("Э", "⊥E", $text);
			$text = str_replace("э", "⊥e", $text);
			
			$text = str_replace("Ъ", "Ъ⊥", $text);
			$text = str_replace("ъ", "ъ⊥", $text);	
			
			$text = str_replace("Ь", "Ь⊥", $text);
			$text = str_replace("ь", "ь⊥", $text);	
			
			global $gr_v;

			for ($i = 0; $i < count($gr_v); $i++)
			{
				$text = str_replace($gr_v[$i]."⊥",$gr_v[$i]."ʔ", $text);
				$text = str_replace("⊥".$gr_v[$i],"ʔ".$gr_v[$i], $text);
			}
		
		}
		else
		{
			$text = str_replace("ЪЯ", "JA", $text);
			$text = str_replace("ъя", "ja", $text);

			$text = str_replace("ЪЮ", "JU", $text);
			$text = str_replace("ъю", "ju", $text);		

			$text = str_replace("ЪЕ", "JE", $text);
			$text = str_replace("ъе", "je", $text);

			$text = str_replace("ЬЯ", "JA", $text);
			$text = str_replace("ья", "ja", $text);

			$text = str_replace("ЬЮ", "JU", $text);
			$text = str_replace("ью", "ju", $text);		

			$text = str_replace("ЬЕ", "JE", $text);
			$text = str_replace("ье", "je", $text);
			
			$text = str_replace("Я", "Ja", $text);
			$text = str_replace("я", "ja", $text);

			$text = str_replace("Ю", "Ju", $text);
			$text = str_replace("ю", "ju", $text);		


	
			global $gr_c;

			for ($i = 0; $i < count($gr_c); $i++)
			{
				$text = str_replace($gr_c[$i]."Е",$gr_c[$i]."E", $text);
				$text = str_replace($gr_c[$i]."е",$gr_c[$i]."e", $text);
			}

			$text = str_replace("Е", "Je", $text);
			$text = str_replace("е", "je", $text);	
	

			$text = str_replace("ъ", "ʔ", $text);		
			$text = str_replace("ь", "ʔ", $text);
			
			global $gr_v;

			for ($i = 0; $i < count($gr_v); $i++)
			{
				$text = str_replace($gr_v[$i]."У",$gr_v[$i]."Β", $text);
				$text = str_replace($gr_v[$i]."Ү",$gr_v[$i]."Β", $text);
				$text = str_replace($gr_v[$i]."у",$gr_v[$i]."β", $text);
				$text = str_replace($gr_v[$i]."ү",$gr_v[$i]."β", $text);	
			}
			
			
			$text = str_replace("и", "i", $text);
			$text = str_replace("И", "I", $text);
		}
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("ә", "ä", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "β", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("җ", "ž'", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("л", "ɫ", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("ң", "ŋ", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("ө", "ö", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ү", "ü", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("һ", "h", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "š'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ə̑", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Ә", "Ä", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "Β", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("Җ", "Ž'", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("Л", "Ɫ", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("Ң", "Ŋ", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("Ө", "Ö", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ү", "Ü", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Һ", "H", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Š'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ə̑", $text);
		
		$text = str_replace("к", "k", $text);
		$text = str_replace("К", "K", $text);	

		$text = str_replace("г", "g", $text);
		$text = str_replace("Г", "G", $text);

		$text = str_replace("ҡ", "q", $text);
		$text = str_replace("Ҡ", "Q", $text);

		$text = str_replace("ғ", "γ", $text);
		$text = str_replace("Ғ", "Γ", $text);
		
		
		$text = str_replace("ҙ", "δ", $text);
		$text = str_replace("Ҙ", "Δ", $text);
		
		$text = str_replace("ҫ", "ϑ", $text);
		$text = str_replace("Ҫ", "Θ", $text);
		
		$text = str_replace("Ё", "Йo", $text);	
		$text = str_replace("ё", "йo", $text);	
		
		if ($lang == "tat" )
		{
			global $gr_clat;
			global $tat_vel;
			global $tat_pal;
			$palatal = 0;
			
			for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x, $tat_pal))
				{
					$palatal = 1;
				}
				else if (in_array($x, $tat_vel))
				{
					if ($x == "ъ" || $x == "Ъ")
						$palatal = 0;
					else if ($palatal == 1)
						$text = mb_substr($text,0,$i+1,"UTF-8")."¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				}
				else if (!in_array($x, $gr_clat))
				{
					$palatal = 0;
				}
			}
			
			$text = str_replace("¤̑¤", "̑¤", $text);

			$text = str_replace("Ə̑¤J", "I", $text);
			$text = str_replace("Ə̑¤j", "I", $text);
			$text = str_replace("ə̑¤j", "i", $text);

			$text = str_replace("a¤", "ä", $text);
			$text = str_replace("ə̑¤", "e", $text);
			$text = str_replace("o¤", "ö", $text);
			$text = str_replace("u¤", "ü", $text);
			
			$text = str_replace("A¤", "Ä", $text);
			$text = str_replace("Ə̑¤", "E", $text);
			$text = str_replace("O¤", "Ö", $text);
			$text = str_replace("U¤", "Ü", $text);
			
			if ($assim)
			{
				$text = str_replace("NB", "MB", $text);
				$text = str_replace("nb", "mb", $text);
				$text = str_replace("NM", "MM", $text);
				$text = str_replace("nm", "mm", $text);
			}

			$text = tat_prep($text);
		}
		else
			$text = bash_prep($text);
	}
	else if ($lang == "myv" || $lang == "mdf")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);

		$text = str_replace("'", "ʲ", $text);
		
		
		global $gr_c;
		global $mor_pal;
		
		if ($lang == "mdf")
		{
			for ($i = 0; $i < count($gr_c); $i++)
			{
				if (in_array($gr_c[$i],  $mor_pal))
				{
					$text = str_replace($gr_c[$i]."я",$gr_c[$i]."јä", $text);
					$text = str_replace($gr_c[$i]."Я",$gr_c[$i]."ЈÄ", $text);
				}
				else
				{
					$text = str_replace($gr_c[$i]."я",$gr_c[$i]."ä", $text);
					$text = str_replace($gr_c[$i]."Я",$gr_c[$i]."Ä", $text);
				}
			}
		}
		
		
		$text = str_replace("е", "јe", $text);
		$text = str_replace("ё", "јo", $text);
		$text = str_replace("и", "јi", $text);
		$text = str_replace("ю", "јu", $text);
		$text = str_replace("я", "јa", $text);		
		$text = str_replace("ь", "ј", $text);

		$text = str_replace("Е", "Јe", $text);
		$text = str_replace("Ё", "Јo", $text);
		$text = str_replace("И", "Јi", $text);
		$text = str_replace("Ю", "Јu", $text);
		$text = str_replace("Я", "Јa", $text);		
		$text = str_replace("Ь", "Ј", $text);
		
		
		for ($i = 0; $i < count($mor_pal); $i++)
		{
			$text = str_replace($mor_pal[$i]."ј",$mor_pal[$i]."'", $text);
			$text = str_replace($mor_pal[$i]."Ј",$mor_pal[$i]."'", $text);
		}
		
		$text = str_replace("јi", "i", $text);
		$text = str_replace("Јi", "I", $text);	
		
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."Јe",$gr_c[$i]."E", $text);
			$text = str_replace($gr_c[$i]."јe",$gr_c[$i]."e", $text);
		}
		
		$text = str_replace("Ј", "J", $text);
		$text = str_replace("ј", "j", $text);		
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "v", $text);
		$text = str_replace("г", "g", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("к", "k", $text);
		$text = str_replace("л", "l", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "č'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ï", $text);
		$text = str_replace("э", "e", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "V", $text);
		$text = str_replace("Г", "G", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("К", "K", $text);
		$text = str_replace("Л", "L", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Č'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ï", $text);
		$text = str_replace("Э", "E", $text);

		$text = str_replace("J'", "J", $text);
		$text = str_replace("j'", "j", $text);
		
		$text = str_replace("''", "'", $text);

		$text = str_replace("Ъ", "", $text);
		$text = str_replace("ъ", "", $text);
		
		if ($lang == "mdf")
		{

		
			$text = str_replace("lχ", "ʟ", $text);
			$text = str_replace("LΧ", "ʟ", $text);
			$text = str_replace("Lχ", "ʟ", $text);
			
			$text = str_replace("l'χ", "ʟ'", $text);
			$text = str_replace("L'Χ", "ʟ'", $text);
			$text = str_replace("L'χ", "ʟ'", $text);
			
			$text = str_replace("rχ", "ʀ", $text);
			$text = str_replace("RΧ", "ʀ", $text);
			$text = str_replace("Rχ", "ʀ", $text);
			
			$text = str_replace("r'χ", "ʀ'", $text);
			$text = str_replace("R'Χ", "ʀ'", $text);
			$text = str_replace("R'χ", "ʀ'", $text);

			$text = str_replace("jχ", "ᴊ", $text);
			$text = str_replace("JΧ", "ᴊ", $text);
			$text = str_replace("Jχ", "ᴊ", $text);

			
			if ($assim)
			{
				global $gr_clat;
				global $gr_vlat;
				
				$vowels = 0;
				$pal = 0;
				
				for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
				{
					$x = mb_substr($text, $i, 1,"UTF-8");
					$x1 = mb_substr($text."#", $i+1, 1,"UTF-8");
					$x2 = mb_substr($text."##", $i+2, 1,"UTF-8");
					
					if ($vowels > 0)
					{
						if ($x == "e" && !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)))
							$text = mb_substr($text,0,$i,"UTF-8")."ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
						else if ($x == "E" && !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)))
							$text = mb_substr($text,0,$i,"UTF-8")."Ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
						else if ($x == "e" || $x == "o")
							$text = mb_substr($text,0,$i,"UTF-8")."ə".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");	
						else if ($x == "E" || $x == "O")
							$text = mb_substr($text,0,$i,"UTF-8")."Ə".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");						
					}
					
					if ($x == "a" && $pal == 1 &&	($x2 == "'" || !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)) ))
						$text = mb_substr($text,0,$i,"UTF-8")."ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
					else if ($x == "A" && $pal == 1 &&	($x2 == "'" || !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)) ))
						$text = mb_substr($text,0,$i,"UTF-8")."Ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
					
					
					if (in_array($x,  $gr_vlat))
					{
						$vowels++;
						$pal = 0;
					}
					else if (in_array($x,  $gr_clat))
					{
						if ($x == "'")
							$pal = 1;
					}
					else
					{
						$vowels = 0;
						$pal = 0;
					}
				}
				
				$text = str_replace("ng", "ŋg", $text);
			}
		}
	}
	else if ($lang == "rus")
	{
		if ($assim)
		{
		
			$text = str_replace("ё", "ё*", $text);
			$text = str_replace("Ё", "Ё*", $text);
			
			while (strpos($text,"**") > -1)
				$text = str_replace("**", "*", $text);
			
			global $gr_allm;
			$current = "";
			
			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
					$replace = stress_russian($current, $assim);
					$replace = str_replace("◌", "", $replace);
										
					$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
					$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					$current = "";
				}
			}
		
			$text = str_replace("гч", "хч", $text);
			$text = str_replace("ГЧ", "ХЧ", $text);
			
			$text = str_replace("гк", "хк", $text);
			$text = str_replace("ГК", "ХК", $text);
			
			$text = str_replace("сщ", "щ", $text);
			$text = str_replace("стн", "сн", $text);
			$text = str_replace("вств", "ств", $text);
			$text = str_replace("лнц", "нц", $text);
			$text = str_replace("рдц", "рц", $text);
			$text = str_replace("рдч", "рч", $text);
			$text = str_replace("ндск", "нск", $text);
			$text = str_replace("стск", "ск", $text);
			
			$text = str_replace("СЩ", "Щ", $text);
			$text = str_replace("СТН", "СН", $text);
			$text = str_replace("ВСТВ", "СТВ", $text);
			$text = str_replace("ЛНЦ", "НЦ", $text);
			$text = str_replace("РДЦ", "РЦ", $text);
			$text = str_replace("РДЧ", "РЧ", $text);
			$text = str_replace("НДСК", "НСК", $text);
			$text = str_replace("СТСК", "СК", $text);
		
			$prior = "";
				
			global $gr_c;
			global $gr_v;
			
			for ($i = 0; $i < count($gr_c); $i++)
			{
				if (!($gr_c[$i] == "ч" || $gr_c[$i] == "Ч" || $gr_c[$i] == "щ" || $gr_c[$i] == "Щ"))
				{
					$text = str_replace($gr_c[$i]." И",$gr_c[$i]." Ы", $text);
					$text = str_replace($gr_c[$i]." и",$gr_c[$i]." ы", $text);
				}
			}
		}
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);

		$text = str_replace("'", "ʲ", $text);
		
		$text = str_replace("е", "јe", $text);
		$text = str_replace("ё", "јo", $text);
		$text = str_replace("и", "ј[", $text);
		$text = str_replace("ю", "јu", $text);
		$text = str_replace("я", "јa", $text);		
		$text = str_replace("ь", "ј", $text);

		$text = str_replace("Е", "Је", $text);
		$text = str_replace("Ё", "Јо", $text);
		$text = str_replace("И", "Ј]", $text);
		$text = str_replace("Ю", "Ју", $text);
		$text = str_replace("Я", "Ја", $text);		
		$text = str_replace("Ь", "Ј", $text);

		if ($assim)
		{
			$text = str_replace("ШЈ", "Ш", $text);
			$text = str_replace("Шј", "Ш", $text);
			$text = str_replace("шј", "ш", $text);
			$text = str_replace("ЖЈ", "Ж", $text);
			$text = str_replace("Жј", "Ж", $text);
			$text = str_replace("жј", "ж", $text);
			$text = str_replace("ЦЈ", "Ц", $text);
			$text = str_replace("Цј", "Ц", $text);
			$text = str_replace("цј", "ц", $text);
		}
		
		$text = str_replace("Ј]", "Јi", $text);
		$text = str_replace("ј[", "јi", $text);
		$text = str_replace("]", "Ï", $text);
		$text = str_replace("[", "ï", $text);

		$text = str_replace("ъ", "|", $text);
		$text = str_replace("Ъ", "|", $text);
	
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."Ј",$gr_c[$i]."'", $text);
			$text = str_replace($gr_c[$i]."ј",$gr_c[$i]."'", $text);
		}
		
		$text = str_replace("ЈI", "I", $text);
		$text = str_replace("јi", "i", $text);
		
		$text = str_replace("Ј", "J", $text);
		$text = str_replace("ј", "j", $text);		
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "v", $text);
		$text = str_replace("г", "g", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("к", "k", $text);
		$text = str_replace("л", "l", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "č'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ï", $text);
		$text = str_replace("э", "e", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "V", $text);
		$text = str_replace("Г", "G", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("К", "K", $text);
		$text = str_replace("Л", "L", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Č'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ï", $text);
		$text = str_replace("Э", "E", $text);

		$text = str_replace("J'", "J", $text);
		$text = str_replace("j'", "j", $text);
			
		$text = str_replace("''", "'", $text);
		
		if ($assim)
		{
			$text = str_replace("ego", "ego¤", $text);
			$text = str_replace("Ego", "Ego¤", $text);		
			$text = str_replace("EGO", "EGO¤", $text);		
			$text = str_replace("ogo", "ogo¤", $text);
			$text = str_replace("OGO", "OGO¤", $text);
			
			$text = str_replace("SČ'", "Š'Š'", $text);
			$text = str_replace("Sč'", "Š'š'", $text);
			$text = str_replace("sč'", "š'š'", $text);

			$text = str_replace("ŽČ'", "Š'Š'", $text);
			$text = str_replace("žč'", "š'š'", $text);
		
			$text = str_replace("ST'", "S'T'", $text);
			$text = str_replace("st'", "s't'", $text);

			$text = str_replace("NŠ'Š'", "N'Š'Š'", $text);
			$text = str_replace("nš'š'", "n'š'š'", $text);
			
			$text = str_replace("NČ'", "N'Č'", $text);
			$text = str_replace("nč'", "n'č'", $text);
			
			$text = str_replace("t's'a", "ca", $text);
			$text = str_replace("T'S'A", "CA", $text);	

			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("dt'", "t't'", $text);
			$text = str_replace("DT'", "T'T'", $text);
		
			global $rus_latal;
			
			for ($i = 0; $i < count($rus_latal); $i++)
			{
				$text = str_replace("¤".$rus_latal[$i],$rus_latal[$i], $text);
			}
			
			$text = str_replace("go¤", "vo", $text);
			$text = str_replace("GO¤", "VO", $text);	

			$voice = -1; // 1: add voice, 0: keep, -1: remove voice
					
			for ($ix = 0; $ix < 2; $ix++)
			{			
				for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
				{
					$x = mb_substr($text, $i, 1,"UTF-8");
					if ($voice == -1)
					{
						$y = devoice($x);
						if ($x <> $y)
							$text = mb_substr($text,0,$i,"UTF-8").$y.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					}
					
					if ($voice == 1)
					{
						$y = voice($x);
						if ($x <> $y)
							$text = mb_substr($text,0,$i,"UTF-8").$y.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					}
					
					global $trig_soft;
					global $trig_hard;

					if ($x != " " && $x != "'")
					{
						$voice = 0;
					
						if (in_array($x, $trig_soft))
							$voice = 1;
						else if (in_array($x, $trig_hard) || (! (in_array($x, $rus_latal))))
							$voice = -1;
					}
				}
			}
						
			$text = str_replace("Ǯ'", "Ǯ", $text);
			$text = str_replace("ǯ'", "ǯ", $text);
			
			$current = "";
			
			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x, $rus_latal))
					$current = $current.$x;
				else
				{
					$replace = $current;
					switch ($current) {
						case "č'to":
							$replace = "što";
							break;
						case "Č'to":
							$replace = "Što";
							break;
						case "Č'TO":
							$replace = "ŠTO";
							break;
						case "bog":
							$replace = "boχ";
							break;
						case "Bog":
							$replace = "Boχ";
							break;
						case "BOG":
							$replace = "BOΧ";
							break;
						case "požalujsta":
							$replace = "požalusta";
							break;
						case "Požalujsta":
							$replace = "Požalusta";
							break;
						case "POŽALUJSTA":
							$replace = "POŽALUSTA";
							break;
					}
					if ($replace <> $current)
						$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");

					$current = "";
				}
			}
		}
	}
	else if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("Ь","ᴶ", $text);
		$text = str_replace("ь","ʲ", $text);

		$text = str_replace("Я","ᵂa", $text);
		$text = str_replace("я","ʷa", $text);

		$text = str_replace("Е","ᵂe", $text);
		$text = str_replace("е","ʷe", $text);

		$text = str_replace("И","ᵂI", $text);
		$text = str_replace("и","ʷi", $text);

		$text = str_replace("Ё","ᵂo", $text);
		$text = str_replace("ё","ʷo", $text);

		$text = str_replace("Ю","ᵂu", $text);
		$text = str_replace("ю","ʷu", $text);



		$text = str_replace("ᴶᵂ","ᴶJ", $text);
		$text = str_replace("ʲᵂ","ʲJ", $text);
		$text = str_replace("ᴶʷ","ᴶj", $text);
		$text = str_replace("ʲʷ","ʲj", $text);

		
		$text = str_replace("ᵂ","ᴶ¤", $text);
		$text = str_replace("ʷ","ʲ¤", $text);




		$text = str_replace("дʲ","d'", $text);
		$text = str_replace("Дʲ","D'", $text);
		$text = str_replace("дᴶ","d'", $text);
		$text = str_replace("Дᴶ","D'", $text);

		$text = str_replace("тʲ","t'", $text);
		$text = str_replace("Тʲ","T'", $text);
		$text = str_replace("тᴶ","t'", $text);
		$text = str_replace("Тᴶ","T'", $text);

		$text = str_replace("зʲ","z'", $text);
		$text = str_replace("Зʲ","Z'", $text);
		$text = str_replace("зᴶ","z'", $text);
		$text = str_replace("Зᴶ","Z'", $text);

		$text = str_replace("сʲ","s'", $text);
		$text = str_replace("Сʲ","S'", $text);
		$text = str_replace("сᴶ","s'", $text);
		$text = str_replace("Сᴶ","S'", $text);
		
		$text = str_replace("ллʲ","l'l'", $text);
		$text = str_replace("ЛЛʲ","L'L'", $text);

		$text = str_replace("лʲ","l'", $text);
		$text = str_replace("Лʲ","L'", $text);
		$text = str_replace("лᴶ","l'", $text);
		$text = str_replace("Лᴶ","L'", $text);

		$text = str_replace("нʲ","n'", $text);
		$text = str_replace("Нʲ","N'", $text);
		$text = str_replace("нᴶ","n'", $text);
		$text = str_replace("Нᴶ","N'", $text);
	
		$text = str_replace("'¤","'", $text);		

		
		
		$text = str_replace("ᴶ¤I","I", $text);
		$text = str_replace("ʲ¤i","i", $text);
		
		$text = str_replace("ᴶ¤E","ᵂE", $text);
		$text = str_replace("ʲ¤e","ʷe", $text);
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."ᵂ",$gr_c[$i], $text);
			$text = str_replace($gr_c[$i]."ʷ",$gr_c[$i], $text);
		}
		
		$text = str_replace("¤","", $text);		

		$text = str_replace("ʲ","j", $text);
		$text = str_replace("ᴶ","J", $text);
		$text = str_replace("ʷ","j", $text);
		$text = str_replace("ᵂ","J", $text);
		
		if ($lang == "udm")
		{
			$text = str_replace("ӝ","ǯ", $text);
			$text = str_replace("ӟ","ʒ́", $text);
			$text = str_replace("ӥ","i", $text);
			$text = str_replace("ӵ","č", $text);

			$text = str_replace("Ӝ","Ǯ", $text);
			$text = str_replace("Ӟ","Ʒ́", $text);
			$text = str_replace("Ӥ","I", $text);
			$text = str_replace("Ӵ","Č", $text);		
		}
		else
		{
			$text = str_replace("дж","ǯ", $text);
			$text = str_replace("дз","ʒ́", $text);
			$text = str_replace("дz'","ʒ́", $text);
			$text = str_replace("і","i", $text);
			$text = str_replace("тш","č", $text);

			$text = str_replace("ДЖ","Ǯ", $text);
			$text = str_replace("ДЗ","Ʒ́", $text);
			$text = str_replace("ДZ'","Ʒ́", $text);
			$text = str_replace("І","I", $text);
			$text = str_replace("ТШ","Č", $text);

			$text = str_replace("Дж","Ǯ", $text);
			$text = str_replace("Дз","Ʒ́", $text);
			$text = str_replace("Дz'","Ʒ́", $text);
			$text = str_replace("Тш","Č", $text);
		}

		$text = str_replace("а","a", $text);
		$text = str_replace("б","b", $text);
		$text = str_replace("в","v", $text);
		$text = str_replace("г","g", $text);
		$text = str_replace("д","d", $text);
		$text = str_replace("ж","ž", $text);
		$text = str_replace("з","z", $text);
		$text = str_replace("й","j", $text);
		$text = str_replace("к","k", $text);
		$text = str_replace("л","l", $text);
		$text = str_replace("м","m", $text);
		$text = str_replace("н","n", $text);
		$text = str_replace("о","o", $text);
		$text = str_replace("ӧ","e̮", $text);
		$text = str_replace("п","p", $text);
		$text = str_replace("р","r", $text);
		$text = str_replace("с","s", $text);
		$text = str_replace("т","t", $text);
		$text = str_replace("у","u", $text);
		$text = str_replace("ф","f", $text);
		$text = str_replace("х","χ", $text);
		$text = str_replace("ц","c", $text);
		$text = str_replace("ч","č́", $text);
		$text = str_replace("ш","š", $text);
		$text = str_replace("щ","š'š'", $text);
		$text = str_replace("ъ","", $text);
		$text = str_replace("ы","i̮", $text);
		$text = str_replace("э","e", $text);
		
		$text = str_replace("А","A", $text);
		$text = str_replace("Б","B", $text);
		$text = str_replace("В","V", $text);
		$text = str_replace("Г","G", $text);
		$text = str_replace("Д","D", $text);
		$text = str_replace("Ж","Ž", $text);
		$text = str_replace("З","Z", $text);
		$text = str_replace("Й","J", $text);
		$text = str_replace("К","K", $text);
		$text = str_replace("Л","L", $text);
		$text = str_replace("М","M", $text);
		$text = str_replace("Н","N", $text);
		$text = str_replace("О","O", $text);
		$text = str_replace("Ӧ","E̮", $text);
		$text = str_replace("П","P", $text);
		$text = str_replace("Р","R", $text);
		$text = str_replace("С","S", $text);
		$text = str_replace("Т","T", $text);
		$text = str_replace("У","U", $text);
		$text = str_replace("Ф","F", $text);
		$text = str_replace("Х","Χ", $text);
		$text = str_replace("Ц","C", $text);
		$text = str_replace("Ч","Č́", $text);

		$text = str_replace("Ш","Š", $text);
		$text = str_replace("Щ","Š'Š'", $text);
		$text = str_replace("Ъ","", $text);
		$text = str_replace("Ы","I̮", $text);
		$text = str_replace("Э","E", $text);
	}
	else if ($lang == "mns")
	{		
		
		$text = str_replace("Ь","ᴶ", $text);
		$text = str_replace("ь","ʲ", $text);

		$text = str_replace("Я̄","ᵂā", $text);
		$text = str_replace("я̄","ʷā", $text);

		$text = str_replace("Я","ᵂa", $text);
		$text = str_replace("я","ʷa", $text);

		$text = str_replace("Е̄","ᵂĒ", $text);
		$text = str_replace("е̄","ʷē", $text);

		$text = str_replace("Е","ᵂE", $text);
		$text = str_replace("е","ʷe", $text);

		$text = str_replace("Ӣ","ᵂĪ", $text);
		$text = str_replace("ӣ","ʷī", $text);

		$text = str_replace("И","ᵂI", $text);
		$text = str_replace("и","ʷi", $text);

		$text = str_replace("Ё̄","ᵂō", $text);
		$text = str_replace("ё̄","ʷō", $text);
		
		$text = str_replace("Ё","ᵂo", $text);
		$text = str_replace("ё","ʷo", $text);

		$text = str_replace("Ю̄","ᵂū", $text);
		$text = str_replace("ю̄","ʷū", $text);

		$text = str_replace("Ю","ᵂu", $text);
		$text = str_replace("ю","ʷu", $text);


		$text = str_replace("ᴶᵂ","ᴶJ", $text);
		$text = str_replace("ʲᵂ","ʲJ", $text);
		$text = str_replace("ᴶʷ","ᴶj", $text);
		$text = str_replace("ʲʷ","ʲj", $text);

		
		$text = str_replace("ᵂ","ᴶ¤", $text);
		$text = str_replace("ʷ","ʲ¤", $text);






		$text = str_replace("тʲ","t'", $text);
		$text = str_replace("Тʲ","T'", $text);
		$text = str_replace("тᴶ","t'", $text);
		$text = str_replace("Тᴶ","T'", $text);


		$text = str_replace("сʲ","s'", $text);
		$text = str_replace("Сʲ","S'", $text);
		$text = str_replace("сᴶ","s'", $text);
		$text = str_replace("Сᴶ","S'", $text);
		
		$text = str_replace("лʲ","l'", $text);
		$text = str_replace("Лʲ","L'", $text);
		$text = str_replace("лᴶ","l'", $text);
		$text = str_replace("Лᴶ","L'", $text);

		$text = str_replace("нʲ","n'", $text);
		$text = str_replace("Нʲ","N'", $text);
		$text = str_replace("нᴶ","n'", $text);
		$text = str_replace("Нᴶ","N'", $text);
	
		$text = str_replace("'¤","'", $text);		


		$text = str_replace("ᴶ¤Ī","Ī", $text);
		$text = str_replace("ʲ¤ī","ī", $text);		
		
		$text = str_replace("ᴶ¤I","I", $text);
		$text = str_replace("ʲ¤i","i", $text);
		
		$text = str_replace("ᴶ¤Ē","ᵂĒ", $text);
		$text = str_replace("ʲ¤ē","ʷē", $text);

		$text = str_replace("ᴶ¤E","ᵂE", $text);
		$text = str_replace("ʲ¤e","ʷe", $text);
			

		
		$text = str_replace("¤","", $text);		

		$text = str_replace("а̄","ā", $text);		
		$text = str_replace("а","a", $text);
		$text = str_replace("б","b", $text);
		$text = str_replace("в","w", $text);
		$text = str_replace("г","γ", $text);
		$text = str_replace("д","d", $text);
		$text = str_replace("ж","ž", $text);
		$text = str_replace("з","z", $text);
		$text = str_replace("й","j", $text);
		$text = str_replace("к","k", $text);
		$text = str_replace("л","l", $text);
		$text = str_replace("м","m", $text);
		$text = str_replace("н","n", $text);
		$text = str_replace("ӈ","η", $text);
		$text = str_replace("о̄","ō", $text);		
		$text = str_replace("о","o", $text);
		$text = str_replace("п","p", $text);
		$text = str_replace("р","r", $text);
		$text = str_replace("с","s", $text);
		$text = str_replace("т","t", $text);
		$text = str_replace("ӯ","ū", $text);
		$text = str_replace("у","u", $text);
		$text = str_replace("ф","f", $text);
		$text = str_replace("х","χ", $text);
		$text = str_replace("ц","c", $text);
		$text = str_replace("ч","č", $text);
		$text = str_replace("ш","š", $text);
		$text = str_replace("щ","s'", $text);
		$text = str_replace("ъ","", $text);
		$text = str_replace("ы","ə", $text);
		$text = str_replace("э̄","ē", $text);
		$text = str_replace("э","e", $text);

		$text = str_replace("А̄","Ā", $text);				
		$text = str_replace("А","A", $text);
		$text = str_replace("Б","B", $text);
		$text = str_replace("В","W", $text);
		$text = str_replace("Г","Γ", $text);
		$text = str_replace("Д","D", $text);
		$text = str_replace("Ж","Ž", $text);
		$text = str_replace("З","Z", $text);
		$text = str_replace("Й","J", $text);
		$text = str_replace("К","K", $text);
		$text = str_replace("Л","L", $text);
		$text = str_replace("М","M", $text);
		$text = str_replace("Н","N", $text);
		$text = str_replace("Ӈ","η", $text);
		$text = str_replace("Ō","Ō", $text);		
		$text = str_replace("О","O", $text);
		$text = str_replace("П","P", $text);
		$text = str_replace("Р","R", $text);
		$text = str_replace("С","S", $text);
		$text = str_replace("Т","T", $text);
		$text = str_replace("Ӯ","Ū", $text);
		$text = str_replace("У","U", $text);
		$text = str_replace("Ф","F", $text);
		$text = str_replace("Х","Χ", $text);
		$text = str_replace("Ц","C", $text);
		$text = str_replace("Ч","Č", $text);

		$text = str_replace("Ш","Š", $text);
		$text = str_replace("Щ","Ś", $text);
		$text = str_replace("Ъ","", $text);
		$text = str_replace("Ы","Ə", $text);
		$text = str_replace("Э̄","Ē", $text);
		$text = str_replace("Э","E", $text);



		global $gr_clat;

		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat[$i]."ᵂ",$gr_clat[$i], $text);
			$text = str_replace($gr_clat[$i]."ʷ",$gr_clat[$i], $text);
		}

		$text = str_replace("ʲ","j", $text);
		$text = str_replace("ᴶ","J", $text);
		$text = str_replace("ʷ","j", $text);
		$text = str_replace("ᵂ","J", $text);


		$text = str_replace("χw","χ¤w¤", $text);
		$text = str_replace("Χw","Χ¤w¤", $text);
		$text = str_replace("ΧW","Χ¤w¤", $text);

		$text = str_replace("kw","k¤w¤", $text);
		$text = str_replace("Kw","K¤w¤", $text);
		$text = str_replace("KW","K¤w¤", $text);



		$last2 = "¤";
		$last = "¤";
		$curr = "¤";
		$next = mb_substr($text, 0, 1,"UTF-8");
		$next2 = mb_substr($text, 1, 1,"UTF-8");

		$text = str_replace("n'", "ń", $text);	
		$text = str_replace("N'", "Ń", $text);

		$text = str_replace("s'", "ś", $text);	
		$text = str_replace("S'", "Ś", $text);		

		$text = str_replace("t'", "ť", $text);	
		$text = str_replace("T'", "Ť", $text);

		$text = str_replace("l'", "ľ", $text);	
		$text = str_replace("L'", "Ľ", $text);	
		
		$mansi_lab = array ("m", "b", "M", "B");
		
		$mansi_palat = array ("n", "s", "t", "l", "N", "S", "T", "L");
		
		global $gr_vlat;


		for ($i = 0; $i < mb_strlen($text); $i++)
		{
			
			$last2 = $last;
			$last = $curr;
			$curr = $next;
			$next = $next2;
						
			if ($i + 2 < mb_strlen($text))
			{
				$next2 = mb_substr($text, $i+2, 1,"UTF-8");
			}
			else
				$next2 = "¤";
			
			if ($curr == "u" && in_array($next, $mansi_lab) & in_array($last, $gr_clat) & in_array($last2, $gr_vlat))
				$curr = "ə";
			else if ($curr == "U" && in_array($next, $mansi_lab) & in_array($last, $gr_clat) & in_array($last2, $gr_vlat))
				$curr = "Ə";
			else if ($curr == "ə" && !(in_array($next, $gr_clat)) && !(in_array($next, $gr_vlat)))
				$curr = "i";
			else if ($curr == "Ə" && !(in_array($next, $gr_clat)) && !(in_array($next, $gr_vlat)))
				$curr = "I";
			else if ($curr == "ə" && (in_array($last, $mansi_palat)) && !(in_array($last2, $gr_clat)) && !(in_array($last2, $gr_vlat)))
				$curr = "i";
			else if ($curr == "Ə" && (in_array($last, $mansi_palat)) && !(in_array($last2, $gr_clat)) && !(in_array($last2, $gr_vlat)))
				$curr = "I";			
			else if ($curr == "i" && (in_array($last2, $gr_vlat)) && (in_array($last, $mansi_palat)) && (in_array($next, $gr_clat)) && !(in_array($next2, $gr_clat)) && !(in_array($next2, $gr_vlat)))
				$curr = "ə";
			else if ($curr == "I" && (in_array($last2, $gr_vlat)) && (in_array($last, $mansi_palat)) && (in_array($next, $gr_clat)) && !(in_array($next2, $gr_clat)) && !(in_array($next2, $gr_vlat)))
				$curr = "Ə";
			else if ($curr == "ə" && $next == "γ" && $last != "ń")
				$curr = "i";
			else if ($curr == "Ə" && $next == "Γ" && $last != "Ń")
				$curr = "I";
			
			$text = mb_substr($text,0,$i,"UTF-8").$curr.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
	$text = str_replace("ī", "ī", $text);	
	$text = str_replace("Ī", "Ī", $text);

	$text = str_replace("ī", "ī", $text);	
	$text = str_replace("Ī", "Ī", $text);	


	$text = str_replace("ť", "t'", $text);	
	$text = str_replace("Ť", "T'", $text);

	$text = str_replace("ľ", "l'", $text);	
	$text = str_replace("Ľ", "L'", $text);	

	$text = str_replace("χolət", "χolit", $text);	
	$text = str_replace("Χolət", "Χolit", $text);	
	$text = str_replace("ΧOLƏT", "ΧOLIT", $text);	

	$text = str_replace("əγp", "iγp", $text);	
	$text = str_replace("əγl", "iγl", $text);	
	$text = str_replace("əγt", "iγt", $text);	

	
	$text = str_replace("ƏΓP", "IΓP", $text);	
	$text = str_replace("ƏΓL", "IΓL", $text);	
	$text = str_replace("ƏΓT", "IΓT", $text);	


	$text = str_replace("ələ", "ilə", $text);	
	$text = str_replace("əlu", "ilu", $text);	
	$text = str_replace("əlam", "ilam", $text);	
	$text = str_replace("səmēn", "sə¤mēn", $text);	
	$text = str_replace("śəmēn", "śə¤mēn", $text);	
	$text = str_replace("əmēn", "imēn", $text);	
	$text = str_replace("səmen", "sə¤men", $text);	
	$text = str_replace("śəmen", "ŚƏ¤men", $text);	
	$text = str_replace("əmen", "imen", $text);		
	$text = str_replace("əte", "ite", $text);	
	$text = str_replace("əja", "ija", $text);	
	
	$text = str_replace("ƏLƏ", "ILƏ", $text);	
	$text = str_replace("ƏLU", "ILU", $text);	
	$text = str_replace("ƏLAM", "ILAM", $text);	
	$text = str_replace("SƏMĒN", "SƏ¤MĒN", $text);	
	$text = str_replace("ŚƏMĒN", "ŚƏ¤MĒN", $text);	
	$text = str_replace("ƏMĒN", "IMĒN", $text);	
	$text = str_replace("SƏMEN", "SƏ¤MEN", $text);	
	$text = str_replace("ŚƏMEN", "ŚƏ¤MEN", $text);	
	$text = str_replace("ƏMEN", "IMEN", $text);		
	$text = str_replace("ƏTE", "ITE", $text);	
	$text = str_replace("ƏJA", "IJA", $text);	

	$text = str_replace("nūpil", "nūpəl", $text);		
	$text = str_replace("NŪPIL", "NŪPƏL", $text);	

	}
	else
	{	
		if ($lang == "chv")
		{
			$text = str_replace("Ӑ","Ă", $text);
			$text = str_replace("ӑ","ă", $text);			
			
			$text = str_replace("В","V", $text);
			$text = str_replace("в","v", $text);
			
			$text = str_replace("Ӗ","Ĕ", $text);
			$text = str_replace("ӗ","ĕ", $text);
			
			$text = str_replace("Ҫ","Ś", $text);
			$text = str_replace("ҫ","ś", $text);
			
			$text = str_replace("Ӳ","Ü", $text);
			$text = str_replace("ӳ","ü", $text);
			
			$text = str_replace("Ы","Ï", $text);
			$text = str_replace("ы","ï", $text);

			$text = str_replace("Ч","Č́", $text);
			$text = str_replace("ч","č́", $text);
		}
	
	
		if ($assim && $lang == "mhr")
		{
			global $gr_allm;

			$current = "";

			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
				
					
					$replace = stress_meadow($current, $assim);
					$replace = str_replace("◌", "", $replace);
					
					if (strpos($replace,"*") > -1)
					{
						$replace = $replace."◌";

						$replace = str_replace("е◌", "е<sup>ə̑</sup>", $replace);
						$replace = str_replace("о◌", "о<sup>ə̑</sup>", $replace);
						$replace = str_replace("ӧ◌", "ӧ<sup>ə̑</sup>", $replace);
						
						$replace = str_replace("◌", "", $replace);
					}
										
					$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
					$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					$current = "";
				}
			}
		}

		if ($lang == "mrj")
		{
			global $gr_allm;

			$current = "";

			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
					
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
					if (strpos($current,"я") > -1 || strpos($current,"Я") > -1) 
					{
						$replace = ortup_hill($current);
						$replace = str_replace("я◌", "ьӓ", $replace);
						$replace = str_replace("Я◌", "ЬӒ", $replace);
						$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
						$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					}
					$current = "";
				}
			}
		}
		
		$text = str_replace("в","β", $text);
		$text = str_replace("в","Β", $text);

		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
				
		$text = str_replace("'е", "'e", $text);
		$text = str_replace("'Е", "'E", $text);

		$text = str_replace("'и", "'i", $text);
		$text = str_replace("'И", "'I", $text);	
		
		$text = str_replace("ь", "'", $text);
		$text = str_replace("Ь","'", $text);
		
		$text = str_replace("[", "", $text);
		$text = str_replace("]", "", $text);
		
		$text = str_replace("<td>-е", "<td>-e", $text);
	
	
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c[$i]."(Е",$gr_c[$i]."(E", $text);
			$text = str_replace($gr_c[$i]."(е",$gr_c[$i]."(e", $text);
		}
		
		$last = "|";

		$text = str_replace("Я", "ʷa", $text);
		$text = str_replace("я", "ʲa", $text);

		$text = str_replace("Е", "ʷe", $text);
		$text = str_replace("е", "ʲe", $text);

		$text = str_replace("Ё", "ʷo", $text);
		$text = str_replace("ё", "ʲo", $text);

		$text = str_replace("Ю", "ʷu", $text);
		$text = str_replace("ю", "ʲu", $text);

		$text = str_replace("ъʲ", "ъj", $text);
		$text = str_replace("Ъʲ", "Ъj", $text);		
		$text = str_replace("'ʲ", "'j", $text);		

		$text = str_replace("ъʷ", "ъJ", $text);
		$text = str_replace("Ъʷ", "ЪJ", $text);		
		$text = str_replace("'ʷ", "'J", $text);	

		$text = str_replace("а","a", $text);
		$text = str_replace("ӓ","ä", $text);
		$text = str_replace("б","b", $text);
		$text = str_replace("в","v", $text);
		$text = str_replace("г","g", $text);
		$text = str_replace("д","d", $text);
		$text = str_replace("ж","ž", $text);
		$text = str_replace("з","z", $text);
		$text = str_replace("и","i", $text);
		$text = str_replace("й","j", $text);
		$text = str_replace("к","k", $text);
		$text = str_replace("л","l", $text);
		$text = str_replace("м","m", $text);
		$text = str_replace("н","n", $text);
		$text = str_replace("ҥ","ŋ", $text);
		$text = str_replace("о","o", $text);
		$text = str_replace("ӧ","ö", $text);
		$text = str_replace("п","p", $text);
		$text = str_replace("р","r", $text);
		$text = str_replace("с","s", $text);
		$text = str_replace("т","t", $text);
		$text = str_replace("у","u", $text);
		$text = str_replace("ӱ","ü", $text);
		$text = str_replace("ф","f", $text);
		$text = str_replace("х","χ", $text);
		$text = str_replace("ц","c", $text);
		
		if ($lang == "mhr")
		{
			$text = str_replace("ч","č'", $text);
			$text = str_replace("Ч","Č'", $text);
		}
		else
		{
			$text = str_replace("ч","č", $text);
			$text = str_replace("Ч","Č", $text);
		}
		
		$text = str_replace("ш","š", $text);
		$text = str_replace("щ","š'š'", $text);
		$text = str_replace("ъ","", $text);
		$text = str_replace("ы","ə̑", $text);
		$text = str_replace("ӹ","ə", $text);	
		$text = str_replace("ь","'", $text);
		$text = str_replace("э","e", $text);
		
		$text = str_replace("А","A", $text);
		$text = str_replace("Ӓ","Ä", $text);	
		$text = str_replace("Б","B", $text);
		$text = str_replace("В","V", $text);
		$text = str_replace("Г","G", $text);
		$text = str_replace("Д","D", $text);
		$text = str_replace("Ж","Ž", $text);
		$text = str_replace("З","Z", $text);
		$text = str_replace("И","I", $text);
		$text = str_replace("Й","J", $text);
		$text = str_replace("К","K", $text);
		$text = str_replace("Л","L", $text);
		$text = str_replace("М","M", $text);
		$text = str_replace("Н","N", $text);
		$text = str_replace("Ҥ","Ŋ", $text);
		$text = str_replace("О","O", $text);
		$text = str_replace("Ӧ","Ö", $text);
		$text = str_replace("П","P", $text);
		$text = str_replace("Р","R", $text);
		$text = str_replace("С","S", $text);
		$text = str_replace("Т","T", $text);
		$text = str_replace("У","U", $text);
		$text = str_replace("Ӱ","Ü", $text);
		$text = str_replace("Ф","F", $text);
		$text = str_replace("Х","Χ", $text);
		$text = str_replace("Ц","C", $text);
		$text = str_replace("Ш","Š", $text);
		$text = str_replace("Щ","Š'š'", $text);
		$text = str_replace("Ъ","", $text);
		$text = str_replace("Ы","Ə̑", $text);
		$text = str_replace("Ӹ","Ə̑", $text);
		$text = str_replace("Э","E", $text);
		
		if ($assim && $lang == "mhr")
		{
			$text = str_replace("d","d◌", $text);
			$text = str_replace("D","D◌", $text);

			global $gr_vlat;
			
			for ($i = 0; $i < count($gr_vlat); $i++)
			{
				$text = str_replace("◌".$gr_vlat[$i],$gr_vlat[$i], $text);
			}

			$text = str_replace("d◌","t", $text);
			$text = str_replace("D◌","T", $text);
			
			$text = str_replace("◌","", $text);
			
		
			$text = str_replace("d","◌d", $text);
			$text = str_replace("D","◌D", $text);
			
			$text = str_replace("g","◌g", $text);
			$text = str_replace("G","◌G", $text);	
		
			global $mar_latso;
			
			for ($i = 0; $i < count($mar_latso); $i++)
			{
				$text = str_replace($mar_latso[$i]."◌",$mar_latso[$i], $text);
				$text = str_replace($mar_latso[$i]." ◌",$mar_latso[$i]." ", $text);
				$text = str_replace($mar_latso[$i]."* ◌",$mar_latso[$i]."* ", $text);
				$text = str_replace($mar_latso[$i]."*◌",$mar_latso[$i]."*", $text);
			}
			
			$text = str_replace("◌d","t", $text);
			$text = str_replace("◌D","T", $text);

			$text = str_replace("◌g","k", $text);
			$text = str_replace("◌G","K", $text);			

			$text = str_replace("◌","", $text);
			
			$text = str_replace("žt","št", $text);	
			$text = str_replace("ŽT","ŠT", $text);	
			$text = str_replace("zt","st", $text);	
			$text = str_replace("ZT","ST", $text);	
			$text = str_replace("žš","šš", $text);	
			$text = str_replace("ŽŠ","ŠŠ", $text);	
			$text = str_replace("zš","sš", $text);				
			$text = str_replace("ZŠ","SŠ", $text);		

			$text = str_replace("vk","pk", $text);	
			$text = str_replace("VK","PK", $text);	
			$text = str_replace("gk","kk", $text);				
			$text = str_replace("GK","KK", $text);
			
			$text = str_replace("nk","ŋg", $text);
			$text = str_replace("NK","ŊG", $text);

			$text = str_replace("ng","ŋg", $text);	
			$text = str_replace("NG","ŊG", $text);	
			
			$text = str_replace("nč'","n'č'", $text);	
			$text = str_replace("NČ'","N'Č'", $text);			
		}
	}
	
	global $gr_clat;

	for ($i = 0; $i < count($gr_clat); $i++)
	{
		$text = str_replace($gr_clat[$i]."ʲ",$gr_clat[$i]."⊥", $text);
		$text = str_replace($gr_clat[$i]."ʷ",$gr_clat[$i]."⊥", $text);	
	}
		
	$text = str_replace("⊥e", "e", $text);	
	$text = str_replace("⊥", "'", $text);			
	$text = str_replace("ʲ", "j", $text);
	$text = str_replace("ʷ", "J", $text);
		
	$text = str_replace("''", "'", $text);
	
	
	$text = str_replace("n'", "ń", $text);	
	$text = str_replace("N'", "Ń", $text);

	$text = str_replace("s'", "ś", $text);	
	$text = str_replace("S'", "Ś", $text);		


	$text = str_replace("z'", "ź", $text);	
	$text = str_replace("Z'", "Ź", $text);		

	$text = str_replace("m'", "ḿ", $text);	
	$text = str_replace("M'", "Ḿ", $text);		

	$text = str_replace("p'", "ṕ", $text);	
	$text = str_replace("P'", "Ṕ", $text);	
	
	$text = str_replace("r'", "ŕ", $text);	
	$text = str_replace("R'", "Ŕ", $text);

	$text = str_replace("č'","č́", $text);
	$text = str_replace("Č'","Č́", $text);

	$text = str_replace("š'","š́", $text);
	$text = str_replace("Š'","Š́", $text);

	$text = str_replace("c'","ć", $text);
	$text = str_replace("C'","Ć", $text);			

	$text = str_replace("ʀ'","ʀ́", $text);	

	$text = str_replace("¤w¤","ʷ", $text);	

	return $text;
}

function cyr_to_iso($text, $lang)
{
	$text = str_replace("Ӏ", "‡", $text);
	$text = str_replace("ʼ", "`", $text);
	$text = str_replace("ˮ", "¨", $text);
	
	$text = str_replace("А", "A", $text);
	$text = str_replace("Ӓ", "Ä", $text);
	$text = str_replace("Ӓ̄", "Ạ̈", $text);
	$text = str_replace("Ӑ", "Ă", $text);
	$text = str_replace("А̄", "Ā", $text);
	$text = str_replace("Ӕ", "Æ", $text);
	$text = str_replace("А́", "Á", $text);
	$text = str_replace("А̊", "Å", $text);
	$text = str_replace("Б", "B", $text);
	$text = str_replace("В", "V", $text);
	$text = str_replace("Г", "G", $text);
	$text = str_replace("Ѓ", "Ǵ", $text);
	$text = str_replace("Ғ", "Ġ", $text);
	$text = str_replace("Ҕ", "Ğ", $text);
	$text = str_replace("Һ", "Ḥ", $text);
	$text = str_replace("Д", "D", $text);
	$text = str_replace("Ђ", "Đ", $text);
	$text = str_replace("Е", "E", $text);
	$text = str_replace("Ӗ", "Ĕ", $text);
	$text = str_replace("Ё", "Ë", $text);
	$text = str_replace("Є", "Ê", $text);
	$text = str_replace("Ж", "Ž", $text);
	$text = str_replace("Җ", "Ž̦", $text);
	$text = str_replace("Ӝ", "Z̄", $text);
	$text = str_replace("Ӂ", "Z̆", $text);
	$text = str_replace("З", "Z", $text);
	$text = str_replace("Ӟ", "Z̈", $text);
	$text = str_replace("Ҙ", "Ẓ", $text);
	$text = str_replace("Ӡ", "Ź", $text);
	$text = str_replace("Ѕ", "Ẑ", $text);
	$text = str_replace("И", "I", $text);
	$text = str_replace("Ӣ", "Ī", $text);
	$text = str_replace("И́", "Í", $text);
	$text = str_replace("Ӥ", "Î", $text);
	$text = str_replace("Й", "J", $text);
	$text = str_replace("І", "Ì", $text);
	$text = str_replace("Ї", "Ï", $text);
	$text = str_replace("І̄", "Ǐ", $text);
	$text = str_replace("Ј", "J̌", $text);
	$text = str_replace("Ј̵", "J́", $text);
	$text = str_replace("К", "K", $text);
	$text = str_replace("Ќ", "Ḱ", $text);
	$text = str_replace("Ӄ", "Ḳ", $text);
	$text = str_replace("Ҝ", "K̂", $text);
	$text = str_replace("Ҡ", "Ǩ", $text);
	$text = str_replace("Ҟ", "K̄", $text);
	$text = str_replace("Қ", "K̦", $text);
	$text = str_replace("К̨", "K̀", $text);
	$text = str_replace("Ԛ", "Q", $text);
	$text = str_replace("Л", "L", $text);
	$text = str_replace("Љ", "L̂", $text);
	$text = str_replace("Л’", "Ĺ", $text);
	$text = str_replace("Ԡ", "L̦", $text);
	$text = str_replace("М", "M", $text);
	$text = str_replace("Н", "N", $text);
	$text = str_replace("Њ", "N̂", $text);
	$text = str_replace("Ң", "N̦", $text);
	$text = str_replace("Ӊ", "Ṇ", $text);
	$text = str_replace("Ҥ", "Ṅ", $text);
	$text = str_replace("Ԋ", "Ǹ", $text);
	$text = str_replace("Ԣ", "Ń", $text);
	$text = str_replace("Ӈ", "Ň", $text);
	$text = str_replace("Н̄", "N̄", $text);
	$text = str_replace("О", "O", $text);
	$text = str_replace("Ӧ", "Ö", $text);
	$text = str_replace("Ө", "Ô", $text);
	$text = str_replace("Ӫ", "Ő", $text);
	$text = str_replace("Ӧ̄", "Ọ̈", $text);
	$text = str_replace("Ҩ", "Ò", $text);
	$text = str_replace("О́", "Ó", $text);
	$text = str_replace("О̄", "Ō", $text);
	$text = str_replace("Œ", "Œ", $text);
	$text = str_replace("П", "P", $text);
	$text = str_replace("Ҧ", "Ṕ", $text);
	$text = str_replace("Ԥ", "P̀", $text);
	$text = str_replace("Р", "R", $text);
	$text = str_replace("С", "S", $text);
	$text = str_replace("Ҫ", "Ș", $text);
	$text = str_replace("С̀", "S̀", $text);
	$text = str_replace("Т", "T", $text);
	$text = str_replace("Ћ", "Ć", $text);
	$text = str_replace("Ԏ", "T̀", $text);
	$text = str_replace("Т̌", "Ť", $text);
	$text = str_replace("Ҭ", "Ț", $text);
	$text = str_replace("У", "U", $text);
	$text = str_replace("Ӱ", "Ü", $text);
	$text = str_replace("Ӯ", "Ū", $text);
	$text = str_replace("Ў", "Ŭ", $text);
	$text = str_replace("Ӳ", "Ű", $text);
	$text = str_replace("У́", "Ú", $text);
	$text = str_replace("Ӱ̄", "Ụ̈", $text);
	$text = str_replace("Ү", "Ù", $text);
	$text = str_replace("Ұ", "U̇", $text);
	$text = str_replace("Ӱ̄", "Ụ̄", $text);
	$text = str_replace("Ԝ", "W", $text);
	$text = str_replace("Ф", "F", $text);
	$text = str_replace("Х", "H", $text);
	$text = str_replace("Ҳ", "H̦", $text);
	$text = str_replace("Ц", "C", $text);
	$text = str_replace("Ҵ", "C̄", $text);
	$text = str_replace("Џ", "D̂", $text);
	$text = str_replace("Ч", "Č", $text);
	$text = str_replace("Ҷ", "C̦", $text);
	$text = str_replace("Ӌ", "C̣", $text);
	$text = str_replace("Ӵ", "C̈", $text);
	$text = str_replace("Ҹ", "Ĉ", $text);
	$text = str_replace("Ч̀", "C̀", $text);
	$text = str_replace("Ҽ", "C̆", $text);
	$text = str_replace("Ҿ", "C̨̆", $text);
	$text = str_replace("Ш", "Š", $text);
	$text = str_replace("Щ", "Ŝ", $text);
	$text = str_replace("Ъ", "ʺ", $text);
	$text = str_replace("Ы", "Y", $text);
	$text = str_replace("Ӹ", "Ÿ", $text);
	$text = str_replace("Ы̄", "Ȳ", $text);
	$text = str_replace("Ь", "ʹ", $text);
	$text = str_replace("Э", "È", $text);
	$text = str_replace("Ә", "A̋", $text);
	$text = str_replace("Ӛ", "À", $text);
	$text = str_replace("Ю", "Û", $text);
	$text = str_replace("Ю̄", "Û̄", $text);
	$text = str_replace("Я", "Â", $text);
	$text = str_replace("Ґ", "G̀", $text);
	$text = str_replace("Ѣ", "Ě", $text);
	$text = str_replace("Ѫ", "Ǎ", $text);
	$text = str_replace("Ѳ", "F̀", $text);
	$text = str_replace("Ѵ", "Ỳ", $text);
	
	$text = str_replace("а", "a", $text);
	$text = str_replace("ӓ", "ä", $text);
	$text = str_replace("ӓ̄", "ạ̈", $text);
	$text = str_replace("ӑ", "ă", $text);
	$text = str_replace("а̄", "ā", $text);
	$text = str_replace("ӕ", "æ", $text);
	$text = str_replace("а́", "á", $text);
	$text = str_replace("а̊", "å", $text);
	$text = str_replace("б", "b", $text);
	$text = str_replace("в", "v", $text);
	$text = str_replace("г", "g", $text);
	$text = str_replace("ѓ", "ǵ", $text);
	$text = str_replace("ғ", "ġ", $text);
	$text = str_replace("ҕ", "ğ", $text);
	$text = str_replace("һ", "ḥ", $text);
	$text = str_replace("д", "d", $text);
	$text = str_replace("ђ", "đ", $text);
	$text = str_replace("е", "e", $text);
	$text = str_replace("ӗ", "ĕ", $text);
	$text = str_replace("ё", "ë", $text);
	$text = str_replace("є", "ê", $text);
	$text = str_replace("ж", "ž", $text);
	$text = str_replace("җ", "ž̦", $text);
	$text = str_replace("ӝ", "z̄", $text);
	$text = str_replace("ӂ", "z̆", $text);
	$text = str_replace("з", "z", $text);
	$text = str_replace("ӟ", "z̈", $text);
	$text = str_replace("ҙ", "ẓ", $text);
	$text = str_replace("ӡ", "ź", $text);
	$text = str_replace("ѕ", "ẑ", $text);
	$text = str_replace("и", "i", $text);
	$text = str_replace("ӣ", "ī", $text);
	$text = str_replace("и́", "í", $text);
	$text = str_replace("ӥ", "î", $text);
	$text = str_replace("й", "j", $text);
	$text = str_replace("і", "ì", $text);
	$text = str_replace("ї", "ï", $text);
	$text = str_replace("і̄", "ǐ", $text);
	$text = str_replace("ј", "ǰ", $text);
	$text = str_replace("ј̵", "j́", $text);
	$text = str_replace("к", "k", $text);
	$text = str_replace("ќ", "ḱ", $text);
	$text = str_replace("ӄ", "ḳ", $text);
	$text = str_replace("ҝ", "k̂", $text);
	$text = str_replace("ҡ", "ǩ", $text);
	$text = str_replace("ҟ", "k̄", $text);
	$text = str_replace("қ", "k̦", $text);
	$text = str_replace("к̨", "k̀", $text);
	$text = str_replace("ԛ", "q", $text);
	$text = str_replace("л", "l", $text);
	$text = str_replace("љ", "l̂", $text);
	$text = str_replace("Л’", "ĺ", $text);
	$text = str_replace("ԡ", "l̦", $text);
	$text = str_replace("м", "m", $text);
	$text = str_replace("н", "n", $text);
	$text = str_replace("њ", "n̂", $text);
	$text = str_replace("ң", "n̦", $text);
	$text = str_replace("ӊ", "ṇ", $text);
	$text = str_replace("ҥ", "ṅ", $text);
	$text = str_replace("ԋ", "ǹ", $text);
	$text = str_replace("ԣ", "ń", $text);
	$text = str_replace("ӈ", "ň", $text);
	$text = str_replace("н̄", "n̄", $text);
	$text = str_replace("о", "o", $text);
	$text = str_replace("ӧ", "ö", $text);
	$text = str_replace("ө", "ô", $text);
	$text = str_replace("ӫ", "ő", $text);
	$text = str_replace("о̄̈", "ọ̈", $text);
	$text = str_replace("ҩ", "ò", $text);
	$text = str_replace("о́", "ó", $text);
	$text = str_replace("о̄", "ō", $text);
	$text = str_replace("œ", "œ", $text);
	$text = str_replace("п", "p", $text);
	$text = str_replace("ҧ", "ṕ", $text);
	$text = str_replace("ԥ", "p̀", $text);
	$text = str_replace("р", "r", $text);
	$text = str_replace("с", "s", $text);
	$text = str_replace("ҫ", "ș", $text);
	$text = str_replace("с̀", "s̀", $text);
	$text = str_replace("т", "t", $text);
	$text = str_replace("ћ", "ć", $text);
	$text = str_replace("ԏ", "t̀", $text);
	$text = str_replace("т̌", "ť", $text);
	$text = str_replace("ҭ", "ț", $text);
	$text = str_replace("у", "u", $text);
	$text = str_replace("ӱ", "ü", $text);
	$text = str_replace("ӯ", "ū", $text);
	$text = str_replace("ў", "ŭ", $text);
	$text = str_replace("ӳ", "ű", $text);
	$text = str_replace("у́", "ú", $text);
	$text = str_replace("ӱ̄", "ụ̈", $text);
	$text = str_replace("ү", "ù", $text);
	$text = str_replace("ұ", "u̇", $text);
	$text = str_replace("ӱ̄", "ụ̄", $text);
	$text = str_replace("ԝ", "w", $text);
	$text = str_replace("ф", "f", $text);
	$text = str_replace("х", "h", $text);
	$text = str_replace("ҳ", "h̦", $text);
	$text = str_replace("ц", "c", $text);
	$text = str_replace("ҵ", "c̄", $text);
	$text = str_replace("џ", "d̂", $text);
	$text = str_replace("ч", "č", $text);
	$text = str_replace("ҷ", "c̦", $text);
	$text = str_replace("ӌ", "c̣", $text);
	$text = str_replace("ӵ", "c̈", $text);
	$text = str_replace("ҹ", "ĉ", $text);
	$text = str_replace("ч̀", "c̀", $text);
	$text = str_replace("ҽ", "c̆", $text);
	$text = str_replace("ҿ", "c̨̆", $text);
	$text = str_replace("ш", "š", $text);
	$text = str_replace("щ", "ŝ", $text);
	$text = str_replace("ъ", "ʺ", $text);
	$text = str_replace("ы", "y", $text);
	$text = str_replace("ӹ", "ÿ", $text);
	$text = str_replace("ы̄", "ȳ", $text);
	$text = str_replace("ь", "ʹ", $text);
	$text = str_replace("э", "è", $text);
	$text = str_replace("ә", "a̋", $text);
	$text = str_replace("ӛ", "à", $text);
	$text = str_replace("ю", "û", $text);
	$text = str_replace("ю̄", "û̄", $text);
	$text = str_replace("я", "â", $text);
	$text = str_replace("ґ", "g̀", $text);
	$text = str_replace("ѣ", "ě", $text);
	$text = str_replace("ѫ", "ǎ", $text);
	$text = str_replace("ѳ", "f̀", $text);
	$text = str_replace("ѵ", "ỳ", $text);

	return $text;	
}

function iso_to_cyr($text, $lang)
{
	$text = str_replace("a", "а", $text);
	$text = str_replace("ä", "ӓ", $text);
	$text = str_replace("ạ̈", "ӓ̄", $text);
	$text = str_replace("ă", "ӑ", $text);
	$text = str_replace("ā", "а̄", $text);
	$text = str_replace("æ", "ӕ", $text);
	$text = str_replace("á", "а́", $text);
	$text = str_replace("å", "а̊", $text);
	$text = str_replace("b", "б", $text);
	$text = str_replace("v", "в", $text);
	$text = str_replace("g", "г", $text);
	$text = str_replace("ǵ", "ѓ", $text);
	$text = str_replace("ġ", "ғ", $text);
	$text = str_replace("ğ", "ҕ", $text);
	$text = str_replace("ḥ", "һ", $text);
	$text = str_replace("d", "д", $text);
	$text = str_replace("đ", "ђ", $text);
	$text = str_replace("e", "е", $text);
	$text = str_replace("ĕ", "ӗ", $text);
	$text = str_replace("ë", "ё", $text);
	$text = str_replace("ê", "є", $text);
	$text = str_replace("ž", "ж", $text);
	$text = str_replace("ž̦", "җ", $text);
	$text = str_replace("z̄", "ӝ", $text);
	$text = str_replace("z̆", "ӂ", $text);
	$text = str_replace("z", "з", $text);
	$text = str_replace("z̈", "ӟ", $text);
	$text = str_replace("ẓ", "ҙ", $text);
	$text = str_replace("ź", "ӡ", $text);
	$text = str_replace("ẑ", "ѕ", $text);
	$text = str_replace("i", "и", $text);
	$text = str_replace("ī", "ӣ", $text);
	$text = str_replace("í", "и́", $text);
	$text = str_replace("î", "ӥ", $text);
	$text = str_replace("j", "й", $text);
	$text = str_replace("ì", "і", $text);
	$text = str_replace("ï", "ї", $text);
	$text = str_replace("ǐ", "і̄", $text);
	$text = str_replace("ǰ", "ј", $text);
	$text = str_replace("j́", "ј̵", $text);
	$text = str_replace("k", "к", $text);
	$text = str_replace("ḱ", "ќ", $text);
	$text = str_replace("ḳ", "ӄ", $text);
	$text = str_replace("k̂", "ҝ", $text);
	$text = str_replace("ǩ", "ҡ", $text);
	$text = str_replace("k̄", "ҟ", $text);
	$text = str_replace("k̦", "қ", $text);
	$text = str_replace("k̀", "к̨", $text);
	$text = str_replace("q", "ԛ", $text);
	$text = str_replace("l", "л", $text);
	$text = str_replace("l̂", "љ", $text);
	$text = str_replace("ĺ", "Л’", $text);
	$text = str_replace("l̦", "ԡ", $text);
	$text = str_replace("m", "м", $text);
	$text = str_replace("n", "н", $text);
	$text = str_replace("n̂", "њ", $text);
	$text = str_replace("n̦", "ң", $text);
	$text = str_replace("ṇ", "ӊ", $text);
	$text = str_replace("ṅ", "ҥ", $text);
	$text = str_replace("ǹ", "ԋ", $text);
	$text = str_replace("ń", "ԣ", $text);
	$text = str_replace("ň", "ӈ", $text);
	$text = str_replace("n̄", "н̄", $text);
	$text = str_replace("o", "о", $text);
	$text = str_replace("ö", "ӧ", $text);
	$text = str_replace("ô", "ө", $text);
	$text = str_replace("ő", "ӫ", $text);
	$text = str_replace("ọ̈", "о̄̈", $text);
	$text = str_replace("ò", "ҩ", $text);
	$text = str_replace("ó", "о́", $text);
	$text = str_replace("ō", "о̄", $text);
	$text = str_replace("œ", "œ", $text);
	$text = str_replace("p", "п", $text);
	$text = str_replace("ṕ", "ҧ", $text);
	$text = str_replace("p̀", "ԥ", $text);
	$text = str_replace("r", "р", $text);
	$text = str_replace("s", "с", $text);
	$text = str_replace("ș", "ҫ", $text);
	$text = str_replace("s̀", "с̀", $text);
	$text = str_replace("t", "т", $text);
	$text = str_replace("ć", "ћ", $text);
	$text = str_replace("t̀", "ԏ", $text);
	$text = str_replace("ť", "т̌", $text);
	$text = str_replace("ț", "ҭ", $text);
	$text = str_replace("u", "у", $text);
	$text = str_replace("ü", "ӱ", $text);
	$text = str_replace("ū", "ӯ", $text);
	$text = str_replace("ŭ", "ў", $text);
	$text = str_replace("ű", "ӳ", $text);
	$text = str_replace("ú", "у́", $text);
	$text = str_replace("ụ̈", "ӱ̄", $text);
	$text = str_replace("ù", "ү", $text);
	$text = str_replace("u̇", "ұ", $text);
	$text = str_replace("ụ̄", "ӱ̄", $text);
	$text = str_replace("w", "ԝ", $text);
	$text = str_replace("f", "ф", $text);
	$text = str_replace("h", "х", $text);
	$text = str_replace("h̦", "ҳ", $text);
	$text = str_replace("c", "ц", $text);
	$text = str_replace("c̄", "ҵ", $text);
	$text = str_replace("d̂", "џ", $text);
	$text = str_replace("č", "ч", $text);
	$text = str_replace("c̦", "ҷ", $text);
	$text = str_replace("c̣", "ӌ", $text);
	$text = str_replace("c̈", "ӵ", $text);
	$text = str_replace("ĉ", "ҹ", $text);
	$text = str_replace("c̀", "ч̀", $text);
	$text = str_replace("c̆", "ҽ", $text);
	$text = str_replace("c̨̆", "ҿ", $text);
	$text = str_replace("š", "ш", $text);
	$text = str_replace("ŝ", "щ", $text);
	$text = str_replace("ʺ", "ъ", $text);
	$text = str_replace("y", "ы", $text);
	$text = str_replace("ÿ", "ӹ", $text);
	$text = str_replace("ȳ", "ы̄", $text);
	$text = str_replace("ʹ", "ь", $text);
	$text = str_replace("è", "э", $text);
	$text = str_replace("a̋", "ә", $text);
	$text = str_replace("à", "ӛ", $text);
	$text = str_replace("û", "ю", $text);
	$text = str_replace("û̄", "ю̄", $text);
	$text = str_replace("â", "я", $text);
	$text = str_replace("g̀", "ґ", $text);
	$text = str_replace("ě", "ѣ", $text);
	$text = str_replace("ǎ", "ѫ", $text);
	$text = str_replace("f̀", "ѳ", $text);
	$text = str_replace("ỳ", "ѵ", $text);

	$text = str_replace("A", "А", $text);
	$text = str_replace("Ä", "Ӓ", $text);
	$text = str_replace("Ạ̈", "Ӓ̄", $text);
	$text = str_replace("Ă", "Ӑ", $text);
	$text = str_replace("Ā", "А̄", $text);
	$text = str_replace("Æ", "Ӕ", $text);
	$text = str_replace("Á", "А́", $text);
	$text = str_replace("Å", "А̊", $text);
	$text = str_replace("B", "Б", $text);
	$text = str_replace("V", "В", $text);
	$text = str_replace("G", "Г", $text);
	$text = str_replace("Ǵ", "Ѓ", $text);
	$text = str_replace("Ġ", "Ғ", $text);
	$text = str_replace("Ğ", "Ҕ", $text);
	$text = str_replace("Ḥ", "Һ", $text);
	$text = str_replace("D", "Д", $text);
	$text = str_replace("Đ", "Ђ", $text);
	$text = str_replace("E", "Е", $text);
	$text = str_replace("Ĕ", "Ӗ", $text);
	$text = str_replace("Ë", "Ё", $text);
	$text = str_replace("Ê", "Є", $text);
	$text = str_replace("Ž", "Ж", $text);
	$text = str_replace("Ž̦", "Җ", $text);
	$text = str_replace("Z̄", "Ӝ", $text);
	$text = str_replace("Z̆", "Ӂ", $text);
	$text = str_replace("Z", "З", $text);
	$text = str_replace("Z̈", "Ӟ", $text);
	$text = str_replace("Ẓ", "Ҙ", $text);
	$text = str_replace("Ź", "Ӡ", $text);
	$text = str_replace("Ẑ", "Ѕ", $text);
	$text = str_replace("I", "И", $text);
	$text = str_replace("Ī", "Ӣ", $text);
	$text = str_replace("Í", "И́", $text);
	$text = str_replace("Î", "Ӥ", $text);
	$text = str_replace("J", "Й", $text);
	$text = str_replace("Ì", "І", $text);
	$text = str_replace("Ï", "Ї", $text);
	$text = str_replace("Ǐ", "І̄", $text);
	$text = str_replace("J̌", "Ј", $text);
	$text = str_replace("J́", "Ј̵", $text);
	$text = str_replace("K", "К", $text);
	$text = str_replace("Ḱ", "Ќ", $text);
	$text = str_replace("Ḳ", "Ӄ", $text);
	$text = str_replace("K̂", "Ҝ", $text);
	$text = str_replace("Ǩ", "Ҡ", $text);
	$text = str_replace("K̄", "Ҟ", $text);
	$text = str_replace("K̦", "Қ", $text);
	$text = str_replace("K̀", "К̨", $text);
	$text = str_replace("Q", "Ԛ", $text);
	$text = str_replace("L", "Л", $text);
	$text = str_replace("L̂", "Љ", $text);
	$text = str_replace("Ĺ", "Л’", $text);
	$text = str_replace("L̦", "Ԡ", $text);
	$text = str_replace("M", "М", $text);
	$text = str_replace("N", "Н", $text);
	$text = str_replace("N̂", "Њ", $text);
	$text = str_replace("N̦", "Ң", $text);
	$text = str_replace("Ṇ", "Ӊ", $text);
	$text = str_replace("Ṅ", "Ҥ", $text);
	$text = str_replace("Ǹ", "Ԋ", $text);
	$text = str_replace("Ń", "Ԣ", $text);
	$text = str_replace("Ň", "Ӈ", $text);
	$text = str_replace("N̄", "Н̄", $text);
	$text = str_replace("O", "О", $text);
	$text = str_replace("Ö", "Ӧ", $text);
	$text = str_replace("Ô", "Ө", $text);
	$text = str_replace("Ő", "Ӫ", $text);
	$text = str_replace("Ọ̈", "Ӧ̄", $text);
	$text = str_replace("Ò", "Ҩ", $text);
	$text = str_replace("Ó", "О́", $text);
	$text = str_replace("Ō", "О̄", $text);
	$text = str_replace("Œ", "Œ", $text);
	$text = str_replace("P", "П", $text);
	$text = str_replace("Ṕ", "Ҧ", $text);
	$text = str_replace("P̀", "Ԥ", $text);
	$text = str_replace("R", "Р", $text);
	$text = str_replace("S", "С", $text);
	$text = str_replace("Ș", "Ҫ", $text);
	$text = str_replace("S̀", "С̀", $text);
	$text = str_replace("T", "Т", $text);
	$text = str_replace("Ć", "Ћ", $text);
	$text = str_replace("T̀", "Ԏ", $text);
	$text = str_replace("Ť", "Т̌", $text);
	$text = str_replace("Ț", "Ҭ", $text);
	$text = str_replace("U", "У", $text);
	$text = str_replace("Ü", "Ӱ", $text);
	$text = str_replace("Ū", "Ӯ", $text);
	$text = str_replace("Ŭ", "Ў", $text);
	$text = str_replace("Ű", "Ӳ", $text);
	$text = str_replace("Ú", "У́", $text);
	$text = str_replace("Ụ̈", "Ӱ̄", $text);
	$text = str_replace("Ù", "Ү", $text);
	$text = str_replace("U̇", "Ұ", $text);
	$text = str_replace("Ụ̄", "Ӱ̄", $text);
	$text = str_replace("W", "Ԝ", $text);
	$text = str_replace("F", "Ф", $text);
	$text = str_replace("H", "Х", $text);
	$text = str_replace("H̦", "Ҳ", $text);
	$text = str_replace("C", "Ц", $text);
	$text = str_replace("C̄", "Ҵ", $text);
	$text = str_replace("D̂", "Џ", $text);
	$text = str_replace("Č", "Ч", $text);
	$text = str_replace("C̦", "Ҷ", $text);
	$text = str_replace("C̣", "Ӌ", $text);
	$text = str_replace("C̈", "Ӵ", $text);
	$text = str_replace("Ĉ", "Ҹ", $text);
	$text = str_replace("C̀", "Ч̀", $text);
	$text = str_replace("C̆", "Ҽ", $text);
	$text = str_replace("C̨̆", "Ҿ", $text);
	$text = str_replace("Š", "Ш", $text);
	$text = str_replace("Ŝ", "Щ", $text);
	$text = str_replace("ʺ", "Ъ", $text);
	$text = str_replace("Y", "Ы", $text);
	$text = str_replace("Ÿ", "Ӹ", $text);
	$text = str_replace("Ȳ", "Ы̄", $text);
	$text = str_replace("ʹ", "Ь", $text);
	$text = str_replace("È", "Э", $text);
	$text = str_replace("A̋", "Ә", $text);
	$text = str_replace("À", "Ӛ", $text);
	$text = str_replace("Û", "Ю", $text);
	$text = str_replace("Û̄", "Ю̄", $text);
	$text = str_replace("Â", "Я", $text);
	$text = str_replace("G̀", "Ґ", $text);
	$text = str_replace("Ě", "Ѣ", $text);
	$text = str_replace("Ǎ", "Ѫ", $text);
	$text = str_replace("F̀", "Ѳ", $text);
	$text = str_replace("Ỳ", "Ѵ", $text);

	$text = str_replace("‡", "Ӏ", $text);
	$text = str_replace("`", "ʼ", $text);
	$text = str_replace("¨", "ˮ", $text);

	return $text;	
}

function ipa_to_upa($text, $lang)
{
	if ($lang == "mns")
	{
		$text = str_replace("aː", "ā", $text);
		$text = str_replace("eː", "ē", $text);
		$text = str_replace("iː", "ī", $text);
		$text = str_replace("oː", "ō", $text);
		$text = str_replace("uː", "ū", $text);
	}
	
	$x = "";
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$prev = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($x == "ː")
		{
			$text = mb_substr($text,0,$i,"UTF-8").$prev.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			$x = $prev;
		}
	}
	
	if ($lang == "chv")
	{
		$text = str_replace("ə", "ă", $text);
		$text = str_replace("ɛ", "e", $text);	
		$text = str_replace("ɘ", "ĕ", $text);		
		$text = str_replace("ɕ", "ś", $text);			
		$text = str_replace("y", "ü", $text);			
		$text = str_replace("ʐ", "ž", $text);			
		$text = str_replace("ʋ", "v", $text);	
		$text = str_replace("ʂ", "š", $text);			
		$text = str_replace("ɯ", "ï", $text);	
	}
	
	
	$text = str_replace("̪", "", $text);
	$text = str_replace("o̞", "o", $text);
	
	$text = str_replace("ʲ", "'", $text);

	$text = str_replace("s'", "ś", $text);
	$text = str_replace("z'", "ź", $text);
	$text = str_replace("n'", "ń", $text);

	$text = str_replace("ɣ", "γ", $text);

	
	$text = str_replace("æ", "ä", $text);
	$text = str_replace("ɒ", "å", $text);
	$text = str_replace("ð", "δ", $text);
	$text = str_replace("θ", "ϑ", $text);
	$text = str_replace("ʒ", "ž", $text);
	$text = str_replace("ʎ", "l'", $text);
	$text = str_replace("ɲ", "ń", $text);
	
	$text = str_replace("e̽", "ə", $text);

	
	$text = str_replace("ɫ", "l", $text);

	$text = str_replace("ɨ", "i̮", $text);
	$text = str_replace("ɘ", "e̮", $text);
	

	
	$text = str_replace("ɯ", "i̮", $text);
	$text = str_replace("ʌ", "e̮", $text);	
	

	$text = str_replace("ø", "ö", $text);
	$text = str_replace("y", "ü", $text);
	$text = str_replace("x", "χ", $text);
	$text = str_replace("c", "t'", $text);
	$text = str_replace("t͡s", "c", $text);
	$text = str_replace("t͡ɕ", "č́", $text);
	$text = str_replace("t͡ʃ", "č", $text);
	$text = str_replace("d͡ʒ", "ǯ", $text);
	$text = str_replace("d͡ʑ", "ʒ́", $text);
	$text = str_replace("d͡z", "ʒ́", $text);
	
	$text = str_replace("ɟ", "d'", $text);
	
	if ($lang == "udm" || $lang == "kom" )
	{
		$text = str_replace("ɕ", "ś", $text);
		$text = str_replace("ʑ", "ź", $text);
		
	}
	
	$text = str_replace("ʃ", "š", $text);
	$text = str_replace("ɕː", "š́š́", $text);
	$text = str_replace("ɕ", "š́", $text);

	if ($lang == "mhr" || $lang == "mrj" || $lang == "tat" || $lang == "bak")
	{		
		$text = str_replace("ə̈","ӹ", $text);
		$text = str_replace("Ə̈","Ӹ", $text);	
		

		$text = str_replace("ɤ̘", "ə̑", $text);
		$text = str_replace("ɤ", "ə̑", $text);
		$text = str_replace("ə", "ə̑", $text);	
		
		
		$text = str_replace("̑̑","̑", $text);
		
		
		$text = str_replace("ӹ","ə̈", $text);
		$text = str_replace("Ӹ","Ə̈", $text);	
	}
	
	$text = str_replace("ʁ", "γ", $text);
	$text = str_replace("ʑ", "ž'", $text);

	if ($lang != "mns")
	{
		$text = str_replace("ə", "e̮", $text);
		$text = str_replace("w", "β", $text);		
	}

	
	return $text;	
}

function upa_to_ipa($text, $lang, $assim)
{
	$text = mb_strtolower($text, 'UTF-8');
	
	$text = str_replace("š́š́", "ɕɕ", $text);
	
	if ($lang == "chv")
	{
		$text = str_replace("ă", "ə", $text);
		$text = str_replace("e", "ɛ", $text);	
		$text = str_replace("ĕ", "ɘ", $text);		
		$text = str_replace("ś", "ɕ", $text);			
		$text = str_replace("ü", "y", $text);			
		$text = str_replace("ž", "ʐ", $text);			
		$text = str_replace("v", "ʋ", $text);	
		$text = str_replace("š", "ʂ", $text);			
		$text = str_replace("ï", "ɯ", $text);	
	}
	else if ($lang == "rus")
	{
		$text = str_replace("ń", "nʲ", $text);	
		$text = str_replace("ś", "sʲ", $text);	
		$text = str_replace("ź", "zʲ", $text);	
		$text = str_replace("ŕ", "rʲ", $text);	
		$text = str_replace("ḿ", "mʲ", $text);	
		$text = str_replace("ṕ", "pʲ", $text);	
		$text = str_replace("ć", "c", $text);	
		
		$text = str_replace("š", "ʂ", $text);
		$text = str_replace("ž'", "ʑ", $text);
		$text = str_replace("ž", "ʐ", $text);


		$text = str_replace("č́", "t͡ɕ", $text);
		$text = str_replace("'", "ʲ", $text);		
		$text = str_replace("̪ʲ", "ʲ", $text);	
	}
	else if ($lang == "myv" || $lang == "mdf")
	{
		$text = str_replace("ń", "nʲ", $text);	
		$text = str_replace("ś", "sʲ", $text);	
		$text = str_replace("ź", "zʲ", $text);
		$text = str_replace("ŕ", "rʲ", $text);	
		$text = str_replace("ć", "t͡sʲ", $text);			
		$text = str_replace("t'", "tʲ", $text);	
		$text = str_replace("d'", "dʲ", $text);
		$text = str_replace("l'", "lʲ", $text);	
		$text = str_replace("ʟ'", "l̥ʲ", $text);	
		$text = str_replace("ʀ́", "r̥ʲ", $text);			
		$text = str_replace("ʟ", "l̥", $text);	
		$text = str_replace("ʀ", "r̥", $text);
		$text = str_replace("ᴊ", "j̊", $text);
	}
	else if ($lang == "mns")
	{
		$text = str_replace("ā", "aː", $text);
		$text = str_replace("ē", "eː", $text);
		$text = str_replace("ī", "iː", $text);
		$text = str_replace("ō", "oː", $text);
		$text = str_replace("ū", "uː", $text);
		$text = str_replace("ə̄", "əː", $text);
		$text = str_replace("η", "ŋ", $text);

		$text = str_replace("ŕ", "rʲ", $text);
		$text = str_replace("ź", "zʲ", $text);
		$text = str_replace("ṕ", "pʲ", $text);
		$text = str_replace("ḿ", "mʲ", $text);		
		
		$text = str_replace("ś", "sʲ", $text);
		$text = str_replace("ľ", "lʲ", $text);
		$text = str_replace("ń", "nʲ", $text);
		$text = str_replace("ť", "tʲ", $text);		
		$text = str_replace("'", "ʲ", $text);	
		$text = str_replace("ʲə", "ʲi", $text);

		$text = str_replace("w", "β", $text);

		$text = str_replace("əm","um", $text);
		$text = str_replace("əp","up", $text);	
		$text = str_replace("əβ","uβ", $text);


	}
	
	if ($lang == "tat" || $lang == "bak")
	{
		$text = str_replace("γ", "ʁ", $text);
		$text = str_replace("β", "w", $text);
	}
	//$text = str_replace("q", "", $text);	// ????????????????????
	

	$text = str_replace("å", "ɒ", $text);
	$text = str_replace("ä", "æ", $text);
	$text = str_replace("δ", "ð", $text);
	$text = str_replace("ϑ", "θ", $text);
	$text = str_replace("γ", "ɣ", $text);
	$text = str_replace("ž'", "ʑ", $text);
	$text = str_replace("ž", "ʒ", $text);
	$text = str_replace("l'", "ʎ", $text);
	$text = str_replace("ń", "ɲ", $text);
	$text = str_replace("ö", "ø", $text);
	$text = str_replace("ü", "y", $text);
	$text = str_replace("χ", "x", $text);
	$text = str_replace("c", "t͡s", $text);
	$text = str_replace("č́", "t͡ɕ", $text);
	$text = str_replace("č", "t͡ʃ", $text);
	$text = str_replace("ʒ́", "d͡ʑ", $text);
	$text = str_replace("ǯ", "d͡ʒ", $text);
	$text = str_replace("š́", "ɕ", $text);
	$text = str_replace("š", "ʃ", $text);

	$text = str_replace("ə̑", "ы", $text);
	
	if ($lang == "mrj")
	{
		$text = str_replace("t'", "c", $text);	
		$text = str_replace("ə", "ə̈", $text);
	}	
	
	$text = str_replace("ы", "ə", $text);

	
	if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("ś", "ɕ", $text);
		$text = str_replace("ź", "ʑ", $text);
		$text = str_replace("d'", "ɟ", $text);
		$text = str_replace("t'", "c", $text);
	//	$text = str_replace("l", "ɫ", $text);
		$text = str_replace("e̮", "ɘ", $text);
	}

	$text = str_replace("i̮", "ɨ", $text);
	$text = str_replace("e̮", "ə", $text);
	
	$text = str_replace("ï", "ɨ", $text);


	
	$text = str_replace("'", "ʲ", $text);

	$x = "";
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$prev = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
			
		if ($prev == $x)
			$text = mb_substr($text,0,$i,"UTF-8")."ː".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
	}
	while (strpos($text,"ːː") > -1)
		$text = str_replace("ːː", "ː", $text);
	
	$text = str_replace("\nː", "\n", $text);
	
	if ($lang == "rus" && $assim)
	{
		$text = str_replace("i❁","ɪ", $text);		// И
		$text = str_replace("i❀","ɪ", $text);
		
		$text = str_replace("ɨ❁","ɪ̈", $text);		// Ы
		$text = str_replace("ɨ❀","ɪ̈", $text);

		$text = str_replace("jo*","jɵ̞*", $text);	// О, Ё
		$text = str_replace("ʲo*","ʲɵ̞*", $text);	
		$text = str_replace("o*","o̞*", $text);
		
		$text = str_replace("o❁","ɐ", $text);
		$text = str_replace("o❀","ə", $text);
		
		$text = str_replace("ʲe","ʲ❁", $text);		// E, Э
		$text = str_replace("je","j❁", $text);		
		$text = str_replace("e*","ɛ", $text);
		$text = str_replace("e❁","ɪ̈", $text);
		$text = str_replace("e❀","ɪ̈", $text);
		$text = str_replace("ʲ❁","ʲe", $text);
		$text = str_replace("j❁","je", $text);
		$text = str_replace("e❁","ɪ", $text);
		$text = str_replace("e❀","ɪ", $text);
		
		$text = str_replace("u❁","ʊ", $text);		// У, Ю
		$text = str_replace("u❀","ʊ", $text);
		
		$text = str_replace("ja*","j❁", $text);	
		$text = str_replace("ʲa*","ʲ❁", $text);
		$text = str_replace("a*l̪","ɑ*l̪", $text);
		$text = str_replace("j❁","ja*", $text);	
		$text = str_replace("ʲ❁","ʲa*", $text);
		
		$text = str_replace("ja❁","jɪ", $text);		// А, Я
		$text = str_replace("ja❀","jɪ", $text);	
		$text = str_replace("ʲa❁","ʲɪ", $text);
		$text = str_replace("ʲa❀","ʲɪ", $text);	
		$text = str_replace("а❁","ɐ", $text);
		$text = str_replace("а❀","ə", $text);
		
		global $rus_pal;
		
		for ($i = 0; $i < count($rus_pal); $i++)
		{
			$text = str_replace("ʲa*".$rus_pal[$i],"ʲæ*".$rus_pal[$i], $text);
			$text = str_replace("ja*".$rus_pal[$i],"jæ*".$rus_pal[$i], $text);
			$text = str_replace("ʲa*❉".$rus_pal[$i],"ʲæ*❉".$rus_pal[$i], $text);
			$text = str_replace("ja*❉".$rus_pal[$i],"jæ*❉".$rus_pal[$i], $text);

			$text = str_replace("ʲʊ".$rus_pal[$i],"ʲʊ̈".$rus_pal[$i], $text);
			$text = str_replace("jʊ".$rus_pal[$i],"jʊ̈".$rus_pal[$i], $text);			
		}
			
	}
	
	
	if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("ɨː", "ɨɨ", $text);
	}

	return $text;	
}

function substr_unicode($str, $s, $l = null) // Courtesy of qeremy [atta] gmail [dotta] com, http://php.net/manual/en/function.mb-substr.php
{
	return join("", array_slice(preg_split("//u", $str, -1, PREG_SPLIT_NO_EMPTY), $s, $l));
}

function strlen_unicode($s) // http://forums.phpfreaks.com/topic/137101-strlen-and-unicode/
{
  $a = preg_split("//u", $s);
  $i = -2;
  foreach ($a as $b)
    $i++;
  return $i;
}

function db_result($result,$row,$field) // needed to replicate old functionalities in mysqli
{ 
  if($result->num_rows==0) return 'unknown'; 
  $result->data_seek($row);
  $ceva=$result->fetch_assoc(); 
  $rasp=$ceva[$field];
  return $rasp; 
}

function stress_meadow ($text) // add Meadow Mari stress
{
	if (strrpos ($text, "/") > 0)
	{
		$y = strrpos($text,"/");
		
		$part1 = substr($text,0,$y);
		$part2 = substr($text,$y+strlen("/"),strlen($text));
		
		return (stress_meadow ($part1)."/".stress_meadow ($part2));
	}
	
	
	$text = str_replace("•", "*", $text);
	
	global $gr_v;
	
	if (substr_count ($text, "*") == 1)
	{
		for ($i = 0; $i < count($gr_v); $i++)
		{
			if (substr_count ($text, $gr_v{$i}."*") == 1)
			{
				return ($text);
			}
		}
	}
	
	if (substr_count ($text, "*") > 0)
	{
		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v{$i},$gr_v{$i}."◌", $text);
		}
		
		$text = str_replace("◌¤", "◌", $text);
		
		$text = str_replace("◌*", "¤", $text);
		
		if (substr_count ($text, "◌") == 0)
		{
			$text = str_replace("¤", "", $text);
		}
		
		$text = str_replace("*", "", $text);
		$text = str_replace("¤", "*", $text);

		$text = str_replace("◌","", $text);
		return ($text);
	}
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$text = str_replace($gr_v{$i},$gr_v{$i}."◌", $text);
	}
	
	$text = str_replace("◌¤", "◌€", $text);
	
	if (substr_count ($text, "◌") < 2)
	{
		$text = str_replace("◌", "", $text);
		return ($text);
	}
	
	while (strpos($text,"|") > strpos($text,"◌"))
		$text = preg_replace('/◌/', '', $text, 1);	
	
	$text = $text."¤";
	
	$text = str_replace("е◌€", "е", $text);
	$text = str_replace("о◌€", "о", $text);
	$text = str_replace("ӧ◌€", "ӧ", $text);
	$text = str_replace("а◌€", "а", $text);	

	$text = str_replace("е◌¤", "е", $text);
	$text = str_replace("Е◌¤", "Е", $text);
	$text = str_replace("о◌¤", "о", $text);
	$text = str_replace("О◌¤", "О", $text);
	$text = str_replace("ӧ◌¤", "ӧ", $text);
	$text = str_replace("Ӧ◌¤", "Ӧ", $text);
	
	$text = str_replace("¤", "", $text);
	
	if (substr_count ($text, "◌") < 2)
	{
		$text = str_replace("◌", "*", $text);
		return ($text);
	}
	
	for ($i = mb_strlen($text,"UTF-8"); $i > 0; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		$y = mb_substr($text, $i-1, 1,"UTF-8");
	
		if ($x == "◌")
		{
			if ($y != "ы" && $y != "Ы")
			{
				$text = mb_substr($text,0,$i,"UTF-8")."*".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				$text = str_replace("◌", "", $text);
				return ($text);
			}
			else
			{
				$text = mb_substr($text,0,$i,"UTF-8").mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				if (substr_count ($text, "◌") < 2)
				{
					$text = str_replace("◌", "*", $text);
					return ($text);
				}
			}
		}
	}

	$text = str_replace("◌","", $text);
	
	return ($text);
}

function ortup_hill ($text) // update Hill orthography
{
	$text = str_replace("лык","лѩк",$text);
	$text = str_replace("ЛЫК","ЛѨК",$text);
		
	global $hm_pal;
	global $hm_vel;
	$palme = false;
	
	$x = "";
	
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$last = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if (in_array($x, $hm_pal))
			$palme = true;
		else if ($palme && ($x == "а" || $x == "А" || $x == "ы" || $x == "Ы"))
			$text = mb_substr($text,0,$i+1,"UTF-8")."◌".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		else if ($palme && ($x == "я" || $x == "Я") && ($last == "н" || $last == "Н" || $last == "л" || $last == "Л" || $last == "т" || $last == "Т"))
			$text = mb_substr($text,0,$i+1,"UTF-8")."◌".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		else if (in_array($x, $hm_vel) || $x == "|")
			$palme = false;
	}

	$text = str_replace("а◌", "ӓ", $text);
	$text = str_replace("А◌", "Ӓ", $text);
	$text = str_replace("ы◌", "ӹ", $text);
	$text = str_replace("Ы◌", "Ӹ", $text);
	
	$text = str_replace("ѩ","ы",$text);
	$text = str_replace("Ѩ","Ы",$text);
	
	return $text;
}

function stress_russian ($text) // mark unstressed Rus
{
	$text = str_replace("❀","", $text);
	$text = str_replace("❁","", $text);

	global $rus_vowels;

	for ($i = 0; $i < count($rus_vowels); $i++)
	{
		$text = str_replace($rus_vowels{$i},$rus_vowels{$i}."❀", $text);
	}

	$x = substr_count ($text, "❀");
	$y = substr_count ($text, "*");

	$text = str_replace("❀*","*", $text);

	if ($x < 2 || $y != 1)
	{
		$text = str_replace("❀","*❉", $text);
		return ($text);
	}
	
	$y = strpos($text,"*");
	$temp = substr($text,0,$y);
	$y = strrpos($temp,"❀");
	if ($y > -1)
		$text = substr($text,0,$y)."❁".substr($text,$y+strlen("❀"),strlen($text));
		
	return ($text);
}

function devoice ($text) // devoice a consonant
{
	$text = str_replace("b", "p", $text);
	$text = str_replace("d", "t", $text);
	$text = str_replace("g", "k", $text);
	$text = str_replace("v", "f", $text);
	$text = str_replace("z", "s", $text);
	$text = str_replace("ž", "š", $text);

	$text = str_replace("B", "P", $text);
	$text = str_replace("D", "T", $text);
	$text = str_replace("G", "K", $text);
	$text = str_replace("V", "F", $text);
	$text = str_replace("Z", "S", $text);
	$text = str_replace("Ž", "Š", $text);
	
	return $text;
}

function voice ($text) // voice a consonant
{
	$text = str_replace("p", "b", $text);
	$text = str_replace("t", "d", $text);
	$text = str_replace("k", "g", $text);
	$text = str_replace("f", "v", $text);
	$text = str_replace("s", "z", $text);
	$text = str_replace("š", "ž", $text);

	$text = str_replace("P", "B", $text);
	$text = str_replace("T", "D", $text);
	$text = str_replace("K", "G", $text);
	$text = str_replace("F", "V", $text);
	$text = str_replace("S", "Z", $text);
	$text = str_replace("Š", "Ž", $text);
	
	$text = str_replace("χ", "γ", $text);
	$text = str_replace("Χ", "Γ", $text);
	
	$text = str_replace("c", "ʒ́", $text);
	$text = str_replace("C", "Ʒ́", $text);
	
	$text = str_replace("č", "ǯ", $text);
	$text = str_replace("Č", "Ǯ", $text);	
	
	return $text;
}

?>